# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libbgfx.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS
  INCLUDES  += -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bgfx/3rdparty -I../../../../../3rdparty/bx/include -I../../../../../3rdparty/bgfx/3rdparty/khronos -I../../../../../3rdparty/bgfx/3rdparty/dxsdk/include -I../../../../../3rdparty/bx/include/compat/mingw
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -Wno-uninitialized -Wno-unused-function -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o \
	$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/3rdparty/bgfx/src/image.o \
	$(OBJDIR)/3rdparty/bgfx/src/ovr.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/3rdparty/bgfx/src \
	$(OBJDIR)/3rdparty/bgfx/examples/common/font \
	$(OBJDIR)/3rdparty/bgfx/examples/common/imgui \
	$(OBJDIR)/3rdparty/bgfx/examples/common \
	$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/3rdparty/bgfx/src/bgfx.o: ../../../../../3rdparty/bgfx/src/bgfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/glcontext_egl.o: ../../../../../3rdparty/bgfx/src/glcontext_egl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/glcontext_glx.o: ../../../../../3rdparty/bgfx/src/glcontext_glx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/glcontext_ppapi.o: ../../../../../3rdparty/bgfx/src/glcontext_ppapi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/glcontext_wgl.o: ../../../../../3rdparty/bgfx/src/glcontext_wgl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/image.o: ../../../../../3rdparty/bgfx/src/image.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/ovr.o: ../../../../../3rdparty/bgfx/src/ovr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d12.o: ../../../../../3rdparty/bgfx/src/renderer_d3d12.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d11.o: ../../../../../3rdparty/bgfx/src/renderer_d3d11.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_d3d9.o: ../../../../../3rdparty/bgfx/src/renderer_d3d9.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_gl.o: ../../../../../3rdparty/bgfx/src/renderer_gl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_null.o: ../../../../../3rdparty/bgfx/src/renderer_null.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderer_vk.o: ../../../../../3rdparty/bgfx/src/renderer_vk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/renderdoc.o: ../../../../../3rdparty/bgfx/src/renderdoc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/shader_dxbc.o: ../../../../../3rdparty/bgfx/src/shader_dxbc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/shader_dx9bc.o: ../../../../../3rdparty/bgfx/src/shader_dx9bc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/shader_spirv.o: ../../../../../3rdparty/bgfx/src/shader_spirv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/src/vertexdecl.o: ../../../../../3rdparty/bgfx/src/vertexdecl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/bgfx_utils.o: ../../../../../3rdparty/bgfx/examples/common/bgfx_utils.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/bounds.o: ../../../../../3rdparty/bgfx/examples/common/bounds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/camera.o: ../../../../../3rdparty/bgfx/examples/common/camera.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/cube_atlas.o: ../../../../../3rdparty/bgfx/examples/common/cube_atlas.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/font/font_manager.o: ../../../../../3rdparty/bgfx/examples/common/font/font_manager.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_buffer_manager.o: ../../../../../3rdparty/bgfx/examples/common/font/text_buffer_manager.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/font/text_metrics.o: ../../../../../3rdparty/bgfx/examples/common/font/text_metrics.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/font/utf8.o: ../../../../../3rdparty/bgfx/examples/common/font/utf8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/imgui/imgui.o: ../../../../../3rdparty/bgfx/examples/common/imgui/imgui.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg.o: ../../../../../3rdparty/bgfx/examples/common/nanovg/nanovg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.o: ../../../../../3rdparty/bgfx/examples/common/nanovg/nanovg_bgfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
