# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libdasm.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o \
	$(OBJDIR)/src/devices/cpu/arc/arcdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o \
	$(OBJDIR)/src/devices/cpu/arm/armdasm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o \
	$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o \
	$(OBJDIR)/src/devices/cpu/asap/asapdasm.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o \
	$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o \
	$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o \
	$(OBJDIR)/src/devices/cpu/t11/t11dasm.o \
	$(OBJDIR)/src/devices/cpu/f8/f8dasm.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o \
	$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o \
	$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o \
	$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o \
	$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o \
	$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/i860/i860dis.o \
	$(OBJDIR)/src/devices/cpu/i960/i960dis.o \
	$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o \
	$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o \
	$(OBJDIR)/src/devices/cpu/psx/psxdasm.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4d.o \
	$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o \
	$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o \
	$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o \
	$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/inst.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/tables.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o \
	$(OBJDIR)/src/devices/cpu/nec/necdasm.o \
	$(OBJDIR)/src/devices/cpu/v60/v60d.o \
	$(OBJDIR)/src/devices/cpu/v810/v810dasm.o \
	$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o \
	$(OBJDIR)/src/devices/cpu/minx/minxd.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturnds.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510d.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o \
	$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o \
	$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o \
	$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o \
	$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o \
	$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o \
	$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o \
	$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o \
	$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o \
	$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80dasm.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o \
	$(OBJDIR)/src/devices/cpu/z180/z180dasm.o \
	$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o \
	$(OBJDIR)/src/devices/cpu/z8/z8dasm.o \
	$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o \
	$(OBJDIR)/src/devices/cpu/score/scoredsm.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/devices/cpu/tms0980 \
	$(OBJDIR)/src/devices/cpu/rsp \
	$(OBJDIR)/src/devices/cpu/ccpu \
	$(OBJDIR)/src/devices/cpu/tlcs900 \
	$(OBJDIR)/src/devices/cpu/hmcs40 \
	$(OBJDIR)/src/devices/cpu/tms57002 \
	$(OBJDIR)/src/devices/cpu/se3208 \
	$(OBJDIR)/src/devices/cpu/tms32010 \
	$(OBJDIR)/src/devices/cpu/i8085 \
	$(OBJDIR)/src/devices/cpu/mcs51 \
	$(OBJDIR)/src/devices/cpu/alto2 \
	$(OBJDIR)/src/devices/cpu/lh5801 \
	$(OBJDIR)/src/devices/cpu/cp1610 \
	$(OBJDIR)/src/devices/cpu/g65816 \
	$(OBJDIR)/src/devices/cpu/mb86235 \
	$(OBJDIR)/src/devices/cpu/ssem \
	$(OBJDIR)/src/devices/cpu/v60 \
	$(OBJDIR)/src/devices/cpu/e132xs \
	$(OBJDIR)/src/devices/cpu/i860 \
	$(OBJDIR)/src/devices/cpu/arc \
	$(OBJDIR)/src/devices/cpu/melps4 \
	$(OBJDIR)/src/devices/cpu/score \
	$(OBJDIR)/src/devices/cpu/sm8500 \
	$(OBJDIR)/src/devices/cpu/arm7 \
	$(OBJDIR)/src/devices/cpu/unsp \
	$(OBJDIR)/src/devices/cpu/cubeqcpu \
	$(OBJDIR)/src/devices/cpu/i4004 \
	$(OBJDIR)/src/devices/cpu/hd61700 \
	$(OBJDIR)/src/devices/cpu/h6280 \
	$(OBJDIR)/src/devices/cpu/scudsp \
	$(OBJDIR)/src/devices/cpu/jaguar \
	$(OBJDIR)/src/devices/cpu/scmp \
	$(OBJDIR)/src/devices/cpu/patinhofeio \
	$(OBJDIR)/src/devices/cpu/saturn \
	$(OBJDIR)/src/devices/cpu/superfx \
	$(OBJDIR)/src/devices/cpu/pps4 \
	$(OBJDIR)/src/devices/cpu/sh4 \
	$(OBJDIR)/src/devices/cpu/am29000 \
	$(OBJDIR)/src/devices/cpu/asap \
	$(OBJDIR)/src/devices/cpu/mb88xx \
	$(OBJDIR)/src/devices/cpu/z8000 \
	$(OBJDIR)/src/devices/cpu/i8008 \
	$(OBJDIR)/src/devices/cpu/z180 \
	$(OBJDIR)/src/devices/cpu/lr35902 \
	$(OBJDIR)/src/devices/cpu/cosmac \
	$(OBJDIR)/src/devices/cpu/mcs48 \
	$(OBJDIR)/src/devices/cpu/f8 \
	$(OBJDIR)/src/devices/cpu/tms32082 \
	$(OBJDIR)/src/devices/cpu/psx \
	$(OBJDIR)/src/devices/cpu/upd7725 \
	$(OBJDIR)/src/devices/cpu/tms32025 \
	$(OBJDIR)/src/devices/cpu/sh2 \
	$(OBJDIR)/src/devices/cpu/tms34010 \
	$(OBJDIR)/src/devices/cpu/z8 \
	$(OBJDIR)/src/devices/cpu/sharc \
	$(OBJDIR)/src/devices/cpu/mips \
	$(OBJDIR)/src/devices/cpu/tms7000 \
	$(OBJDIR)/src/devices/cpu/avr8 \
	$(OBJDIR)/src/devices/cpu/pic16c5x \
	$(OBJDIR)/src/devices/cpu/ssp1601 \
	$(OBJDIR)/src/devices/cpu/spc700 \
	$(OBJDIR)/src/devices/cpu/i960 \
	$(OBJDIR)/src/devices/cpu/cop400 \
	$(OBJDIR)/src/devices/cpu/v810 \
	$(OBJDIR)/src/devices/cpu/tms32051 \
	$(OBJDIR)/src/devices/cpu/s2650 \
	$(OBJDIR)/src/devices/cpu/pic16c62x \
	$(OBJDIR)/src/devices/cpu/lc8670 \
	$(OBJDIR)/src/devices/cpu/upd7810 \
	$(OBJDIR)/src/devices/cpu/minx \
	$(OBJDIR)/src/devices/cpu/ucom4 \
	$(OBJDIR)/src/devices/cpu/tms32031 \
	$(OBJDIR)/src/devices/cpu/nec \
	$(OBJDIR)/src/devices/cpu/powerpc \
	$(OBJDIR)/src/devices/cpu/8x300 \
	$(OBJDIR)/src/devices/cpu/arcompact \
	$(OBJDIR)/src/devices/cpu/z80 \
	$(OBJDIR)/src/devices/cpu/sm510 \
	$(OBJDIR)/src/devices/cpu/alph8201 \
	$(OBJDIR)/src/devices/cpu/e0c6200 \
	$(OBJDIR)/src/devices/cpu/m6805 \
	$(OBJDIR)/src/devices/cpu/amis2000 \
	$(OBJDIR)/src/devices/cpu/dsp56k \
	$(OBJDIR)/src/devices/cpu/m68000 \
	$(OBJDIR)/src/devices/cpu/hcd62121 \
	$(OBJDIR)/src/devices/cpu/apexc \
	$(OBJDIR)/src/devices/cpu/ie15 \
	$(OBJDIR)/src/devices/cpu/m6809 \
	$(OBJDIR)/src/devices/cpu/dsp16 \
	$(OBJDIR)/src/devices/cpu/pdp1 \
	$(OBJDIR)/src/devices/cpu/mc68hc11 \
	$(OBJDIR)/src/devices/cpu/hphybrid \
	$(OBJDIR)/src/devices/cpu/m6800 \
	$(OBJDIR)/src/devices/cpu/i386 \
	$(OBJDIR)/src/devices/cpu/t11 \
	$(OBJDIR)/src/devices/cpu/esrip \
	$(OBJDIR)/src/devices/cpu/m37710 \
	$(OBJDIR)/src/devices/cpu/i8089 \
	$(OBJDIR)/src/devices/cpu/tms9900 \
	$(OBJDIR)/src/devices/cpu/sc61860 \
	$(OBJDIR)/src/devices/cpu/mb86233 \
	$(OBJDIR)/src/devices/cpu/arm \
	$(OBJDIR)/src/devices/cpu/dsp32 \
	$(OBJDIR)/src/devices/cpu/adsp2100 \
	../../../../generated/emu/cpu/tms57002 \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/devices/cpu/8x300/8x300dasm.o: ../../../../../src/devices/cpu/8x300/8x300dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arc/arcdasm.o: ../../../../../src/devices/cpu/arc/arcdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm.o: ../../../../../src/devices/cpu/arcompact/arcompactdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_dispatch.o: ../../../../../src/devices/cpu/arcompact/arcompactdasm_dispatch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompactdasm_ops.o: ../../../../../src/devices/cpu/arcompact/arcompactdasm_ops.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompact_common.o: ../../../../../src/devices/cpu/arcompact/arcompact_common.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm/armdasm.o: ../../../../../src/devices/cpu/arm/armdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm7/arm7dasm.o: ../../../../../src/devices/cpu/arm7/arm7dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/se3208/se3208dis.o: ../../../../../src/devices/cpu/se3208/se3208dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/amis2000/amis2000d.o: ../../../../../src/devices/cpu/amis2000/amis2000d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alph8201/8201dasm.o: ../../../../../src/devices/cpu/alph8201/8201dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/adsp2100/2100dasm.o: ../../../../../src/devices/cpu/adsp2100/2100dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sharc/sharcdsm.o: ../../../../../src/devices/cpu/sharc/sharcdsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/apexc/apexcdsm.o: ../../../../../src/devices/cpu/apexc/apexcdsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o: ../../../../../src/devices/cpu/dsp16/dsp16dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp32/dsp32dis.o: ../../../../../src/devices/cpu/dsp32/dsp32dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/asap/asapdasm.o: ../../../../../src/devices/cpu/asap/asapdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/am29000/am29dasm.o: ../../../../../src/devices/cpu/am29000/am29dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/jaguar/jagdasm.o: ../../../../../src/devices/cpu/jaguar/jagdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cubeqcpu/cubedasm.o: ../../../../../src/devices/cpu/cubeqcpu/cubedasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/esrip/esripdsm.o: ../../../../../src/devices/cpu/esrip/esripdsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200d.o: ../../../../../src/devices/cpu/e0c6200/e0c6200d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cosmac/cosdasm.o: ../../../../../src/devices/cpu/cosmac/cosdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cop400/cop410ds.o: ../../../../../src/devices/cpu/cop400/cop410ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cop400/cop420ds.o: ../../../../../src/devices/cpu/cop400/cop420ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cop400/cop440ds.o: ../../../../../src/devices/cpu/cop400/cop440ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cp1610/1610dasm.o: ../../../../../src/devices/cpu/cp1610/1610dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ccpu/ccpudasm.o: ../../../../../src/devices/cpu/ccpu/ccpudasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/t11/t11dasm.o: ../../../../../src/devices/cpu/t11/t11dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/f8/f8dasm.o: ../../../../../src/devices/cpu/f8/f8dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816ds.o: ../../../../../src/devices/cpu/g65816/g65816ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121d.o: ../../../../../src/devices/cpu/hcd62121/hcd62121d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40d.o: ../../../../../src/devices/cpu/hmcs40/hmcs40d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh2/sh2dasm.o: ../../../../../src/devices/cpu/sh2/sh2dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh4dasm.o: ../../../../../src/devices/cpu/sh4/sh4dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid_dasm.o: ../../../../../src/devices/cpu/hphybrid/hphybrid_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h6280/6280dasm.o: ../../../../../src/devices/cpu/h6280/6280dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/e132xs/32xsdasm.o: ../../../../../src/devices/cpu/e132xs/32xsdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ie15/ie15dasm.o: ../../../../../src/devices/cpu/ie15/ie15dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i4004/4004dasm.o: ../../../../../src/devices/cpu/i4004/4004dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8008/8008dasm.o: ../../../../../src/devices/cpu/i8008/8008dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/scmp/scmpdasm.o: ../../../../../src/devices/cpu/scmp/scmpdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8085/8085dasm.o: ../../../../../src/devices/cpu/i8085/8085dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8089/i8089_dasm.o: ../../../../../src/devices/cpu/i8089/i8089_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs48/mcs48dsm.o: ../../../../../src/devices/cpu/mcs48/mcs48dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs51/mcs51dasm.o: ../../../../../src/devices/cpu/mcs51/mcs51dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i386/i386dasm.o: ../../../../../src/devices/cpu/i386/i386dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i860/i860dis.o: ../../../../../src/devices/cpu/i860/i860dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i960/i960dis.o: ../../../../../src/devices/cpu/i960/i960dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lh5801/5801dasm.o: ../../../../../src/devices/cpu/lh5801/5801dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ssem/ssemdasm.o: ../../../../../src/devices/cpu/ssem/ssemdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb88xx/mb88dasm.o: ../../../../../src/devices/cpu/mb88xx/mb88dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb86233/mb86233d.o: ../../../../../src/devices/cpu/mb86233/mb86233d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb86235/mb86235d.o: ../../../../../src/devices/cpu/mb86235/mb86235d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pic16c5x/16c5xdsm.o: ../../../../../src/devices/cpu/pic16c5x/16c5xdsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pic16c62x/16c62xdsm.o: ../../../../../src/devices/cpu/pic16c62x/16c62xdsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/r3kdasm.o: ../../../../../src/devices/cpu/mips/r3kdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/mips3dsm.o: ../../../../../src/devices/cpu/mips/mips3dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/psxdasm.o: ../../../../../src/devices/cpu/psx/psxdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/melps4/melps4d.o: ../../../../../src/devices/cpu/melps4/melps4d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m7700ds.o: ../../../../../src/devices/cpu/m37710/m7700ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6800/6800dasm.o: ../../../../../src/devices/cpu/m6800/6800dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6805/6805dasm.o: ../../../../../src/devices/cpu/m6805/6805dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/6809dasm.o: ../../../../../src/devices/cpu/m6809/6809dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/6309dasm.o: ../../../../../src/devices/cpu/m6809/6309dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/knmidasm.o: ../../../../../src/devices/cpu/m6809/knmidasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mc68hc11/hc11dasm.o: ../../../../../src/devices/cpu/mc68hc11/hc11dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m68000/m68kdasm.o: ../../../../../src/devices/cpu/m68000/m68kdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/dsp56dsm.o: ../../../../../src/devices/cpu/dsp56k/dsp56dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/opcode.o: ../../../../../src/devices/cpu/dsp56k/opcode.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/inst.o: ../../../../../src/devices/cpu/dsp56k/inst.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/pmove.o: ../../../../../src/devices/cpu/dsp56k/pmove.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/tables.o: ../../../../../src/devices/cpu/dsp56k/tables.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pdp1/pdp1dasm.o: ../../../../../src/devices/cpu/pdp1/pdp1dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pdp1/tx0dasm.o: ../../../../../src/devices/cpu/pdp1/tx0dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio_dasm.o: ../../../../../src/devices/cpu/patinhofeio/patinho_feio_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/powerpc/ppc_dasm.o: ../../../../../src/devices/cpu/powerpc/ppc_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/nec/necdasm.o: ../../../../../src/devices/cpu/nec/necdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/v60/v60d.o: ../../../../../src/devices/cpu/v60/v60d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/v810/v810dasm.o: ../../../../../src/devices/cpu/v810/v810dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7725/dasm7725.o: ../../../../../src/devices/cpu/upd7725/dasm7725.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7810/upd7810_dasm.o: ../../../../../src/devices/cpu/upd7810/upd7810_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ucom4/ucom4d.o: ../../../../../src/devices/cpu/ucom4/ucom4d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/minx/minxd.o: ../../../../../src/devices/cpu/minx/minxd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rsp_dasm.o: ../../../../../src/devices/cpu/rsp/rsp_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/saturn/saturnds.o: ../../../../../src/devices/cpu/saturn/saturnds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm510/sm510d.o: ../../../../../src/devices/cpu/sm510/sm510d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm8500/sm8500d.o: ../../../../../src/devices/cpu/sm8500/sm8500d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/s2650/2650dasm.o: ../../../../../src/devices/cpu/s2650/2650dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sc61860/scdasm.o: ../../../../../src/devices/cpu/sc61860/scdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/spc700/spc700ds.o: ../../../../../src/devices/cpu/spc700/spc700ds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601d.o: ../../../../../src/devices/cpu/ssp1601/ssp1601d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/unsp/unspdasm.o: ../../../../../src/devices/cpu/unsp/unspdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/avr8/avr8dasm.o: ../../../../../src/devices/cpu/avr8/avr8dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms0980/tms0980d.o: ../../../../../src/devices/cpu/tms0980/tms0980d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms7000/7000dasm.o: ../../../../../src/devices/cpu/tms7000/7000dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms9900/9900dasm.o: ../../../../../src/devices/cpu/tms9900/9900dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms34010/34010dsm.o: ../../../../../src/devices/cpu/tms34010/34010dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32010/32010dsm.o: ../../../../../src/devices/cpu/tms32010/32010dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32025/32025dsm.o: ../../../../../src/devices/cpu/tms32025/32025dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32031/dis32031.o: ../../../../../src/devices/cpu/tms32031/dis32031.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32051/dis32051.o: ../../../../../src/devices/cpu/tms32051/dis32051.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32082/dis_mp.o: ../../../../../src/devices/cpu/tms32082/dis_mp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32082/dis_pp.o: ../../../../../src/devices/cpu/tms32082/dis_pp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o: ../../../../../src/devices/cpu/tms57002/57002dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tlcs900/dasm900.o: ../../../../../src/devices/cpu/tlcs900/dasm900.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/z80dasm.o: ../../../../../src/devices/cpu/z80/z80dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lr35902/lr35902d.o: ../../../../../src/devices/cpu/lr35902/lr35902d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z180/z180dasm.o: ../../../../../src/devices/cpu/z180/z180dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z8000/8000dasm.o: ../../../../../src/devices/cpu/z8000/8000dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z8/z8dasm.o: ../../../../../src/devices/cpu/z8/z8dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/superfx/sfx_dasm.o: ../../../../../src/devices/cpu/superfx/sfx_dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pps4/pps4dasm.o: ../../../../../src/devices/cpu/pps4/pps4dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hd61700/hd61700d.o: ../../../../../src/devices/cpu/hd61700/hd61700d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lc8670/lc8670dsm.o: ../../../../../src/devices/cpu/lc8670/lc8670dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/scudsp/scudspdasm.o: ../../../../../src/devices/cpu/scudsp/scudspdasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/score/scoredsm.o: ../../../../../src/devices/cpu/score/scoredsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/alto2dsm.o: ../../../../../src/devices/cpu/alto2/alto2dsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms57002/57002dsm.o: ../../../../generated/emu/cpu/tms57002/tms57002.inc

../../../../generated/emu/cpu/tms57002/tms57002.inc: ../../../../../src/devices/cpu/tms57002/tmsinstr.lst ../../../../../src/devices/cpu/tms57002/tmsmake.py 
	$(SILENT) @echo Generating TMS57002 source file...
	$(SILENT) python ../../../../../src/devices/cpu/tms57002/tmsmake.py  $< $@

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
