# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/src/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/src/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/src/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/src/mame_mess
  override TARGET     = $(TARGETDIR)/libemu.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/emu/hashfile.o \
	$(OBJDIR)/src/emu/addrmap.o \
	$(OBJDIR)/src/emu/attotime.o \
	$(OBJDIR)/src/emu/audit.o \
	$(OBJDIR)/src/emu/cheat.o \
	$(OBJDIR)/src/emu/clifront.o \
	$(OBJDIR)/src/emu/cliopts.o \
	$(OBJDIR)/src/emu/config.o \
	$(OBJDIR)/src/emu/crsshair.o \
	$(OBJDIR)/src/emu/debugger.o \
	$(OBJDIR)/src/emu/devdelegate.o \
	$(OBJDIR)/src/emu/devcb.o \
	$(OBJDIR)/src/emu/devcpu.o \
	$(OBJDIR)/src/emu/devfind.o \
	$(OBJDIR)/src/emu/device.o \
	$(OBJDIR)/src/emu/didisasm.o \
	$(OBJDIR)/src/emu/diexec.o \
	$(OBJDIR)/src/emu/digfx.o \
	$(OBJDIR)/src/emu/diimage.o \
	$(OBJDIR)/src/emu/dimemory.o \
	$(OBJDIR)/src/emu/dinetwork.o \
	$(OBJDIR)/src/emu/dinvram.o \
	$(OBJDIR)/src/emu/dioutput.o \
	$(OBJDIR)/src/emu/dipty.o \
	$(OBJDIR)/src/emu/dirtc.o \
	$(OBJDIR)/src/emu/diserial.o \
	$(OBJDIR)/src/emu/dislot.o \
	$(OBJDIR)/src/emu/disound.o \
	$(OBJDIR)/src/emu/dispatch.o \
	$(OBJDIR)/src/emu/distate.o \
	$(OBJDIR)/src/emu/divideo.o \
	$(OBJDIR)/src/emu/drawgfx.o \
	$(OBJDIR)/src/emu/driver.o \
	$(OBJDIR)/src/emu/drivenum.o \
	$(OBJDIR)/src/emu/emualloc.o \
	$(OBJDIR)/src/emu/emucore.o \
	$(OBJDIR)/src/emu/emuopts.o \
	$(OBJDIR)/src/emu/emupal.o \
	$(OBJDIR)/src/emu/fileio.o \
	$(OBJDIR)/src/emu/hash.o \
	$(OBJDIR)/src/emu/image.o \
	$(OBJDIR)/src/emu/info.o \
	$(OBJDIR)/src/emu/input.o \
	$(OBJDIR)/src/emu/ioport.o \
	$(OBJDIR)/src/emu/luaengine.o \
	$(OBJDIR)/src/emu/mame.o \
	$(OBJDIR)/src/emu/machine.o \
	$(OBJDIR)/src/emu/mconfig.o \
	$(OBJDIR)/src/emu/memarray.o \
	$(OBJDIR)/src/emu/memory.o \
	$(OBJDIR)/src/emu/network.o \
	$(OBJDIR)/src/emu/parameters.o \
	$(OBJDIR)/src/emu/output.o \
	$(OBJDIR)/src/emu/render.o \
	$(OBJDIR)/src/emu/rendfont.o \
	$(OBJDIR)/src/emu/rendlay.o \
	$(OBJDIR)/src/emu/rendutil.o \
	$(OBJDIR)/src/emu/romload.o \
	$(OBJDIR)/src/emu/save.o \
	$(OBJDIR)/src/emu/schedule.o \
	$(OBJDIR)/src/emu/screen.o \
	$(OBJDIR)/src/emu/softlist.o \
	$(OBJDIR)/src/emu/sound.o \
	$(OBJDIR)/src/emu/speaker.o \
	$(OBJDIR)/src/emu/sprite.o \
	$(OBJDIR)/src/emu/tilemap.o \
	$(OBJDIR)/src/emu/timer.o \
	$(OBJDIR)/src/emu/uiinput.o \
	$(OBJDIR)/src/emu/ui/ui.o \
	$(OBJDIR)/src/emu/ui/menu.o \
	$(OBJDIR)/src/emu/ui/mainmenu.o \
	$(OBJDIR)/src/emu/ui/miscmenu.o \
	$(OBJDIR)/src/emu/ui/barcode.o \
	$(OBJDIR)/src/emu/ui/cheatopt.o \
	$(OBJDIR)/src/emu/ui/devopt.o \
	$(OBJDIR)/src/emu/ui/filemngr.o \
	$(OBJDIR)/src/emu/ui/filesel.o \
	$(OBJDIR)/src/emu/ui/imgcntrl.o \
	$(OBJDIR)/src/emu/ui/info.o \
	$(OBJDIR)/src/emu/ui/info_pty.o \
	$(OBJDIR)/src/emu/ui/inputmap.o \
	$(OBJDIR)/src/emu/ui/selgame.o \
	$(OBJDIR)/src/emu/ui/sliders.o \
	$(OBJDIR)/src/emu/ui/slotopt.o \
	$(OBJDIR)/src/emu/ui/swlist.o \
	$(OBJDIR)/src/emu/ui/tapectrl.o \
	$(OBJDIR)/src/emu/ui/videoopt.o \
	$(OBJDIR)/src/emu/ui/viewgfx.o \
	$(OBJDIR)/src/emu/validity.o \
	$(OBJDIR)/src/emu/video.o \
	$(OBJDIR)/src/emu/debug/debugcmd.o \
	$(OBJDIR)/src/emu/debug/debugcon.o \
	$(OBJDIR)/src/emu/debug/debugcpu.o \
	$(OBJDIR)/src/emu/debug/debughlp.o \
	$(OBJDIR)/src/emu/debug/debugvw.o \
	$(OBJDIR)/src/emu/debug/dvdisasm.o \
	$(OBJDIR)/src/emu/debug/dvmemory.o \
	$(OBJDIR)/src/emu/debug/dvbpoints.o \
	$(OBJDIR)/src/emu/debug/dvwpoints.o \
	$(OBJDIR)/src/emu/debug/dvstate.o \
	$(OBJDIR)/src/emu/debug/dvtext.o \
	$(OBJDIR)/src/emu/debug/express.o \
	$(OBJDIR)/src/emu/debug/textbuf.o \
	$(OBJDIR)/src/emu/profiler.o \
	$(OBJDIR)/src/emu/sound/filter.o \
	$(OBJDIR)/src/devices/sound/flt_vol.o \
	$(OBJDIR)/src/devices/sound/flt_rc.o \
	$(OBJDIR)/src/emu/sound/wavwrite.o \
	$(OBJDIR)/src/devices/sound/samples.o \
	$(OBJDIR)/src/emu/drivers/empty.o \
	$(OBJDIR)/src/emu/drivers/testcpu.o \
	$(OBJDIR)/src/devices/machine/bcreader.o \
	$(OBJDIR)/src/devices/machine/buffer.o \
	$(OBJDIR)/src/devices/machine/clock.o \
	$(OBJDIR)/src/emu/machine/generic.o \
	$(OBJDIR)/src/devices/machine/keyboard.o \
	$(OBJDIR)/src/devices/machine/laserdsc.o \
	$(OBJDIR)/src/devices/machine/latch.o \
	$(OBJDIR)/src/devices/machine/nvram.o \
	$(OBJDIR)/src/devices/machine/ram.o \
	$(OBJDIR)/src/devices/machine/legscsi.o \
	$(OBJDIR)/src/devices/machine/terminal.o \
	$(OBJDIR)/src/devices/imagedev/bitbngr.o \
	$(OBJDIR)/src/devices/imagedev/cassette.o \
	$(OBJDIR)/src/devices/imagedev/chd_cd.o \
	$(OBJDIR)/src/devices/imagedev/diablo.o \
	$(OBJDIR)/src/devices/imagedev/flopdrv.o \
	$(OBJDIR)/src/devices/imagedev/floppy.o \
	$(OBJDIR)/src/devices/imagedev/harddriv.o \
	$(OBJDIR)/src/devices/imagedev/mfmhd.o \
	$(OBJDIR)/src/devices/imagedev/midiin.o \
	$(OBJDIR)/src/devices/imagedev/midiout.o \
	$(OBJDIR)/src/devices/imagedev/printer.o \
	$(OBJDIR)/src/devices/imagedev/snapquik.o \
	$(OBJDIR)/src/emu/video/generic.o \
	$(OBJDIR)/src/emu/video/resnet.o \
	$(OBJDIR)/src/emu/video/rgbgen.o \
	$(OBJDIR)/src/emu/video/rgbsse.o \
	$(OBJDIR)/src/emu/video/rgbvmx.o \
	$(OBJDIR)/src/emu/video/vector.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/emu \
	$(OBJDIR)/src/emu/drivers \
	$(OBJDIR)/src/emu/ui \
	$(OBJDIR)/src/devices/imagedev \
	$(OBJDIR)/src/emu/sound \
	$(OBJDIR)/src/emu/machine \
	$(OBJDIR)/src/devices/machine \
	$(OBJDIR)/src/emu/video \
	$(OBJDIR)/src/devices/sound \
	$(OBJDIR)/src/emu/debug \
	../../../../generated/emu/layout \
	../../../../generated/emu \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/emu/hashfile.o: ../../../../../src/emu/hashfile.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/addrmap.o: ../../../../../src/emu/addrmap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/attotime.o: ../../../../../src/emu/attotime.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/audit.o: ../../../../../src/emu/audit.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/cheat.o: ../../../../../src/emu/cheat.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/clifront.o: ../../../../../src/emu/clifront.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/cliopts.o: ../../../../../src/emu/cliopts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/config.o: ../../../../../src/emu/config.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/crsshair.o: ../../../../../src/emu/crsshair.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debugger.o: ../../../../../src/emu/debugger.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/devdelegate.o: ../../../../../src/emu/devdelegate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/devcb.o: ../../../../../src/emu/devcb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/devcpu.o: ../../../../../src/emu/devcpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/devfind.o: ../../../../../src/emu/devfind.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/device.o: ../../../../../src/emu/device.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/didisasm.o: ../../../../../src/emu/didisasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/diexec.o: ../../../../../src/emu/diexec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/digfx.o: ../../../../../src/emu/digfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/diimage.o: ../../../../../src/emu/diimage.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dimemory.o: ../../../../../src/emu/dimemory.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dinetwork.o: ../../../../../src/emu/dinetwork.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dinvram.o: ../../../../../src/emu/dinvram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dioutput.o: ../../../../../src/emu/dioutput.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dipty.o: ../../../../../src/emu/dipty.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dirtc.o: ../../../../../src/emu/dirtc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/diserial.o: ../../../../../src/emu/diserial.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dislot.o: ../../../../../src/emu/dislot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/disound.o: ../../../../../src/emu/disound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/dispatch.o: ../../../../../src/emu/dispatch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/distate.o: ../../../../../src/emu/distate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/divideo.o: ../../../../../src/emu/divideo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/drawgfx.o: ../../../../../src/emu/drawgfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/driver.o: ../../../../../src/emu/driver.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/drivenum.o: ../../../../../src/emu/drivenum.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/emualloc.o: ../../../../../src/emu/emualloc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/emucore.o: ../../../../../src/emu/emucore.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/emuopts.o: ../../../../../src/emu/emuopts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/emupal.o: ../../../../../src/emu/emupal.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/fileio.o: ../../../../../src/emu/fileio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/hash.o: ../../../../../src/emu/hash.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/image.o: ../../../../../src/emu/image.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/info.o: ../../../../../src/emu/info.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/input.o: ../../../../../src/emu/input.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ioport.o: ../../../../../src/emu/ioport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/luaengine.o: ../../../../../src/emu/luaengine.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/mame.o: ../../../../../src/emu/mame.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/machine.o: ../../../../../src/emu/machine.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/mconfig.o: ../../../../../src/emu/mconfig.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/memarray.o: ../../../../../src/emu/memarray.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/memory.o: ../../../../../src/emu/memory.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/network.o: ../../../../../src/emu/network.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/parameters.o: ../../../../../src/emu/parameters.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/output.o: ../../../../../src/emu/output.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/render.o: ../../../../../src/emu/render.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/rendfont.o: ../../../../../src/emu/rendfont.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/rendlay.o: ../../../../../src/emu/rendlay.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/rendutil.o: ../../../../../src/emu/rendutil.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/romload.o: ../../../../../src/emu/romload.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/save.o: ../../../../../src/emu/save.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/schedule.o: ../../../../../src/emu/schedule.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/screen.o: ../../../../../src/emu/screen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/softlist.o: ../../../../../src/emu/softlist.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/sound.o: ../../../../../src/emu/sound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/speaker.o: ../../../../../src/emu/speaker.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/sprite.o: ../../../../../src/emu/sprite.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/tilemap.o: ../../../../../src/emu/tilemap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/timer.o: ../../../../../src/emu/timer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/uiinput.o: ../../../../../src/emu/uiinput.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/ui.o: ../../../../../src/emu/ui/ui.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/menu.o: ../../../../../src/emu/ui/menu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/mainmenu.o: ../../../../../src/emu/ui/mainmenu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/miscmenu.o: ../../../../../src/emu/ui/miscmenu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/barcode.o: ../../../../../src/emu/ui/barcode.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/cheatopt.o: ../../../../../src/emu/ui/cheatopt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/devopt.o: ../../../../../src/emu/ui/devopt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/filemngr.o: ../../../../../src/emu/ui/filemngr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/filesel.o: ../../../../../src/emu/ui/filesel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/imgcntrl.o: ../../../../../src/emu/ui/imgcntrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/info.o: ../../../../../src/emu/ui/info.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/info_pty.o: ../../../../../src/emu/ui/info_pty.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/inputmap.o: ../../../../../src/emu/ui/inputmap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/selgame.o: ../../../../../src/emu/ui/selgame.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/sliders.o: ../../../../../src/emu/ui/sliders.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/slotopt.o: ../../../../../src/emu/ui/slotopt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/swlist.o: ../../../../../src/emu/ui/swlist.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/tapectrl.o: ../../../../../src/emu/ui/tapectrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/videoopt.o: ../../../../../src/emu/ui/videoopt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/ui/viewgfx.o: ../../../../../src/emu/ui/viewgfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/validity.o: ../../../../../src/emu/validity.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video.o: ../../../../../src/emu/video.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/debugcmd.o: ../../../../../src/emu/debug/debugcmd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/debugcon.o: ../../../../../src/emu/debug/debugcon.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/debugcpu.o: ../../../../../src/emu/debug/debugcpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/debughlp.o: ../../../../../src/emu/debug/debughlp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/debugvw.o: ../../../../../src/emu/debug/debugvw.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvdisasm.o: ../../../../../src/emu/debug/dvdisasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvmemory.o: ../../../../../src/emu/debug/dvmemory.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvbpoints.o: ../../../../../src/emu/debug/dvbpoints.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvwpoints.o: ../../../../../src/emu/debug/dvwpoints.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvstate.o: ../../../../../src/emu/debug/dvstate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/dvtext.o: ../../../../../src/emu/debug/dvtext.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/express.o: ../../../../../src/emu/debug/express.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/debug/textbuf.o: ../../../../../src/emu/debug/textbuf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/profiler.o: ../../../../../src/emu/profiler.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/sound/filter.o: ../../../../../src/emu/sound/filter.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/flt_vol.o: ../../../../../src/devices/sound/flt_vol.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/flt_rc.o: ../../../../../src/devices/sound/flt_rc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/sound/wavwrite.o: ../../../../../src/emu/sound/wavwrite.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/samples.o: ../../../../../src/devices/sound/samples.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/drivers/empty.o: ../../../../../src/emu/drivers/empty.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/drivers/testcpu.o: ../../../../../src/emu/drivers/testcpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/bcreader.o: ../../../../../src/devices/machine/bcreader.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/buffer.o: ../../../../../src/devices/machine/buffer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/clock.o: ../../../../../src/devices/machine/clock.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/machine/generic.o: ../../../../../src/emu/machine/generic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/keyboard.o: ../../../../../src/devices/machine/keyboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/laserdsc.o: ../../../../../src/devices/machine/laserdsc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/latch.o: ../../../../../src/devices/machine/latch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nvram.o: ../../../../../src/devices/machine/nvram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ram.o: ../../../../../src/devices/machine/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/legscsi.o: ../../../../../src/devices/machine/legscsi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/terminal.o: ../../../../../src/devices/machine/terminal.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/bitbngr.o: ../../../../../src/devices/imagedev/bitbngr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/cassette.o: ../../../../../src/devices/imagedev/cassette.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/chd_cd.o: ../../../../../src/devices/imagedev/chd_cd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/diablo.o: ../../../../../src/devices/imagedev/diablo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/flopdrv.o: ../../../../../src/devices/imagedev/flopdrv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/floppy.o: ../../../../../src/devices/imagedev/floppy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/harddriv.o: ../../../../../src/devices/imagedev/harddriv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/mfmhd.o: ../../../../../src/devices/imagedev/mfmhd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/midiin.o: ../../../../../src/devices/imagedev/midiin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/midiout.o: ../../../../../src/devices/imagedev/midiout.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/printer.o: ../../../../../src/devices/imagedev/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/imagedev/snapquik.o: ../../../../../src/devices/imagedev/snapquik.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/generic.o: ../../../../../src/emu/video/generic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/resnet.o: ../../../../../src/emu/video/resnet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/rgbgen.o: ../../../../../src/emu/video/rgbgen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/rgbsse.o: ../../../../../src/emu/video/rgbsse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/rgbvmx.o: ../../../../../src/emu/video/rgbvmx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/video/vector.o: ../../../../../src/emu/video/vector.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/emu/rendfont.o: ../../../../generated/emu/uismall.fh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/dualhovu.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/dualhsxs.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/dualhuov.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/horizont.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/triphsxs.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/quadhsxs.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/vertical.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/lcd.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/lcd_rot.lh

$(OBJDIR)/src/emu/rendlay.o: ../../../../generated/emu/layout/noscreens.lh

$(OBJDIR)/src/emu/video.o: ../../../../generated/emu/layout/snap.lh

../../../../generated/emu/uismall.fh: ../../../../../src/emu/uismall.png ../../../../../scripts/build/png2bdc.py ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting uismall.png...
	$(SILENT) python ../../../../../scripts/build/png2bdc.py  $< temp.bdc
	$(SILENT) python ../../../../../scripts/build/file2str.py  temp.bdc $@ font_uismall UINT8

../../../../generated/emu/layout/dualhovu.lh: ../../../../../src/emu/layout/dualhovu.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/dualhovu.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_dualhovu

../../../../generated/emu/layout/dualhsxs.lh: ../../../../../src/emu/layout/dualhsxs.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/dualhsxs.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_dualhsxs

../../../../generated/emu/layout/dualhuov.lh: ../../../../../src/emu/layout/dualhuov.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/dualhuov.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_dualhuov

../../../../generated/emu/layout/horizont.lh: ../../../../../src/emu/layout/horizont.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/horizont.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_horizont

../../../../generated/emu/layout/triphsxs.lh: ../../../../../src/emu/layout/triphsxs.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/triphsxs.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_triphsxs

../../../../generated/emu/layout/quadhsxs.lh: ../../../../../src/emu/layout/quadhsxs.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/quadhsxs.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_quadhsxs

../../../../generated/emu/layout/vertical.lh: ../../../../../src/emu/layout/vertical.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/vertical.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_vertical

../../../../generated/emu/layout/lcd.lh: ../../../../../src/emu/layout/lcd.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/lcd.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_lcd

../../../../generated/emu/layout/lcd_rot.lh: ../../../../../src/emu/layout/lcd_rot.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/lcd_rot.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_lcd_rot

../../../../generated/emu/layout/noscreens.lh: ../../../../../src/emu/layout/noscreens.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/noscreens.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_noscreens

../../../../generated/emu/layout/snap.lh: ../../../../../src/emu/layout/snap.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/snap.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_snap

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
