# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/liblua.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DLUA_COMPAT_ALL
  INCLUDES  += -I../../../../../3rdparty
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-bad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/lua/src/lapi.o \
	$(OBJDIR)/3rdparty/lua/src/lcode.o \
	$(OBJDIR)/3rdparty/lua/src/lctype.o \
	$(OBJDIR)/3rdparty/lua/src/ldebug.o \
	$(OBJDIR)/3rdparty/lua/src/ldo.o \
	$(OBJDIR)/3rdparty/lua/src/ldump.o \
	$(OBJDIR)/3rdparty/lua/src/lfunc.o \
	$(OBJDIR)/3rdparty/lua/src/lgc.o \
	$(OBJDIR)/3rdparty/lua/src/llex.o \
	$(OBJDIR)/3rdparty/lua/src/lmem.o \
	$(OBJDIR)/3rdparty/lua/src/lobject.o \
	$(OBJDIR)/3rdparty/lua/src/lopcodes.o \
	$(OBJDIR)/3rdparty/lua/src/lparser.o \
	$(OBJDIR)/3rdparty/lua/src/lstate.o \
	$(OBJDIR)/3rdparty/lua/src/lstring.o \
	$(OBJDIR)/3rdparty/lua/src/ltable.o \
	$(OBJDIR)/3rdparty/lua/src/ltm.o \
	$(OBJDIR)/3rdparty/lua/src/lundump.o \
	$(OBJDIR)/3rdparty/lua/src/lvm.o \
	$(OBJDIR)/3rdparty/lua/src/lzio.o \
	$(OBJDIR)/3rdparty/lua/src/lauxlib.o \
	$(OBJDIR)/3rdparty/lua/src/lbaselib.o \
	$(OBJDIR)/3rdparty/lua/src/lbitlib.o \
	$(OBJDIR)/3rdparty/lua/src/lcorolib.o \
	$(OBJDIR)/3rdparty/lua/src/ldblib.o \
	$(OBJDIR)/3rdparty/lua/src/liolib.o \
	$(OBJDIR)/3rdparty/lua/src/lmathlib.o \
	$(OBJDIR)/3rdparty/lua/src/loslib.o \
	$(OBJDIR)/3rdparty/lua/src/lstrlib.o \
	$(OBJDIR)/3rdparty/lua/src/ltablib.o \
	$(OBJDIR)/3rdparty/lua/src/loadlib.o \
	$(OBJDIR)/3rdparty/lua/src/linit.o \
	$(OBJDIR)/3rdparty/lua/src/lutf8lib.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/3rdparty/lua/src \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/3rdparty/lua/src/lapi.o: ../../../../../3rdparty/lua/src/lapi.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lcode.o: ../../../../../3rdparty/lua/src/lcode.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lctype.o: ../../../../../3rdparty/lua/src/lctype.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ldebug.o: ../../../../../3rdparty/lua/src/ldebug.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ldo.o: ../../../../../3rdparty/lua/src/ldo.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ldump.o: ../../../../../3rdparty/lua/src/ldump.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lfunc.o: ../../../../../3rdparty/lua/src/lfunc.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lgc.o: ../../../../../3rdparty/lua/src/lgc.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/llex.o: ../../../../../3rdparty/lua/src/llex.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lmem.o: ../../../../../3rdparty/lua/src/lmem.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lobject.o: ../../../../../3rdparty/lua/src/lobject.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lopcodes.o: ../../../../../3rdparty/lua/src/lopcodes.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lparser.o: ../../../../../3rdparty/lua/src/lparser.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lstate.o: ../../../../../3rdparty/lua/src/lstate.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lstring.o: ../../../../../3rdparty/lua/src/lstring.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ltable.o: ../../../../../3rdparty/lua/src/ltable.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ltm.o: ../../../../../3rdparty/lua/src/ltm.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lundump.o: ../../../../../3rdparty/lua/src/lundump.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lvm.o: ../../../../../3rdparty/lua/src/lvm.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lzio.o: ../../../../../3rdparty/lua/src/lzio.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lauxlib.o: ../../../../../3rdparty/lua/src/lauxlib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lbaselib.o: ../../../../../3rdparty/lua/src/lbaselib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lbitlib.o: ../../../../../3rdparty/lua/src/lbitlib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lcorolib.o: ../../../../../3rdparty/lua/src/lcorolib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ldblib.o: ../../../../../3rdparty/lua/src/ldblib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/liolib.o: ../../../../../3rdparty/lua/src/liolib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lmathlib.o: ../../../../../3rdparty/lua/src/lmathlib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/loslib.o: ../../../../../3rdparty/lua/src/loslib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lstrlib.o: ../../../../../3rdparty/lua/src/lstrlib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/ltablib.o: ../../../../../3rdparty/lua/src/ltablib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/loadlib.o: ../../../../../3rdparty/lua/src/loadlib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/linit.o: ../../../../../3rdparty/lua/src/linit.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/lua/src/lutf8lib.o: ../../../../../3rdparty/lua/src/lutf8lib.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
