# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libmameshared.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/machine/archimds.o \
	$(OBJDIR)/src/mame/video/archimds.o \
	$(OBJDIR)/src/mame/machine/amiga.o \
	$(OBJDIR)/src/mame/video/amiga.o \
	$(OBJDIR)/src/mame/video/amigaaga.o \
	$(OBJDIR)/src/mame/video/tia.o \
	$(OBJDIR)/src/mame/machine/atari.o \
	$(OBJDIR)/src/mame/video/atari.o \
	$(OBJDIR)/src/mame/video/antic.o \
	$(OBJDIR)/src/mame/video/gtia.o \
	$(OBJDIR)/src/mame/drivers/jaguar.o \
	$(OBJDIR)/src/mame/audio/jaguar.o \
	$(OBJDIR)/src/mame/video/jaguar.o \
	$(OBJDIR)/src/mame/audio/gorf.o \
	$(OBJDIR)/src/mame/audio/wow.o \
	$(OBJDIR)/src/mame/drivers/astrocde.o \
	$(OBJDIR)/src/mame/video/astrocde.o \
	$(OBJDIR)/src/mame/machine/kabuki.o \
	$(OBJDIR)/src/mame/video/pk8000.o \
	$(OBJDIR)/src/mame/video/ppu2c0x.o \
	$(OBJDIR)/src/mame/machine/snes.o \
	$(OBJDIR)/src/mame/audio/snes_snd.o \
	$(OBJDIR)/src/mame/machine/n64.o \
	$(OBJDIR)/src/mame/video/n64.o \
	$(OBJDIR)/src/mame/video/rdpblend.o \
	$(OBJDIR)/src/mame/video/rdptpipe.o \
	$(OBJDIR)/src/mame/machine/megadriv.o \
	$(OBJDIR)/src/mame/drivers/naomi.o \
	$(OBJDIR)/src/mame/machine/awboard.o \
	$(OBJDIR)/src/mame/machine/dc.o \
	$(OBJDIR)/src/mame/machine/dc-ctrl.o \
	$(OBJDIR)/src/mame/machine/gdrom.o \
	$(OBJDIR)/src/mame/machine/jvs13551.o \
	$(OBJDIR)/src/mame/machine/maple-dc.o \
	$(OBJDIR)/src/mame/machine/mapledev.o \
	$(OBJDIR)/src/mame/machine/mie.o \
	$(OBJDIR)/src/mame/machine/naomi.o \
	$(OBJDIR)/src/mame/machine/naomibd.o \
	$(OBJDIR)/src/mame/machine/naomig1.o \
	$(OBJDIR)/src/mame/machine/naomigd.o \
	$(OBJDIR)/src/mame/machine/naomim1.o \
	$(OBJDIR)/src/mame/machine/naomim2.o \
	$(OBJDIR)/src/mame/machine/naomim4.o \
	$(OBJDIR)/src/mame/machine/naomirom.o \
	$(OBJDIR)/src/mame/machine/315-5881_crypt.o \
	$(OBJDIR)/src/mame/video/powervr2.o \
	$(OBJDIR)/src/mame/drivers/neogeo.o \
	$(OBJDIR)/src/mame/machine/neocrypt.o \
	$(OBJDIR)/src/mame/machine/ng_memcard.o \
	$(OBJDIR)/src/mame/video/neogeo.o \
	$(OBJDIR)/src/mame/video/neogeo_spr.o \
	$(OBJDIR)/src/mame/drivers/cdi.o \
	$(OBJDIR)/src/mame/machine/cdi070.o \
	$(OBJDIR)/src/mame/machine/cdicdic.o \
	$(OBJDIR)/src/mame/machine/cdislave.o \
	$(OBJDIR)/src/mame/video/mcd212.o \
	$(OBJDIR)/src/mame/drivers/3do.o \
	$(OBJDIR)/src/mame/machine/3do.o \
	$(OBJDIR)/src/mame/drivers/konamim2.o \
	$(OBJDIR)/src/mame/drivers/vectrex.o \
	$(OBJDIR)/src/mame/machine/vectrex.o \
	$(OBJDIR)/src/mame/video/vectrex.o \
	$(OBJDIR)/src/mame/drivers/cps1.o \
	$(OBJDIR)/src/mame/video/cps1.o \
	$(OBJDIR)/src/mame/video/chihiro.o \
	$(OBJDIR)/src/mame/machine/xbox.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/mame/drivers \
	$(OBJDIR)/src/mame/audio \
	$(OBJDIR)/src/mame/video \
	$(OBJDIR)/src/mame/machine \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/mame/machine/archimds.o: ../../../../../src/mame/machine/archimds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/archimds.o: ../../../../../src/mame/video/archimds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/amiga.o: ../../../../../src/mame/machine/amiga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/amiga.o: ../../../../../src/mame/video/amiga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/amigaaga.o: ../../../../../src/mame/video/amigaaga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/tia.o: ../../../../../src/mame/video/tia.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/atari.o: ../../../../../src/mame/machine/atari.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/atari.o: ../../../../../src/mame/video/atari.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/antic.o: ../../../../../src/mame/video/antic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/gtia.o: ../../../../../src/mame/video/gtia.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/jaguar.o: ../../../../../src/mame/drivers/jaguar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/audio/jaguar.o: ../../../../../src/mame/audio/jaguar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/jaguar.o: ../../../../../src/mame/video/jaguar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/audio/gorf.o: ../../../../../src/mame/audio/gorf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/audio/wow.o: ../../../../../src/mame/audio/wow.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/astrocde.o: ../../../../../src/mame/drivers/astrocde.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/astrocde.o: ../../../../../src/mame/video/astrocde.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/kabuki.o: ../../../../../src/mame/machine/kabuki.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/pk8000.o: ../../../../../src/mame/video/pk8000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/ppu2c0x.o: ../../../../../src/mame/video/ppu2c0x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/snes.o: ../../../../../src/mame/machine/snes.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/audio/snes_snd.o: ../../../../../src/mame/audio/snes_snd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/n64.o: ../../../../../src/mame/machine/n64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/n64.o: ../../../../../src/mame/video/n64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/rdpblend.o: ../../../../../src/mame/video/rdpblend.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/rdptpipe.o: ../../../../../src/mame/video/rdptpipe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/megadriv.o: ../../../../../src/mame/machine/megadriv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/naomi.o: ../../../../../src/mame/drivers/naomi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/awboard.o: ../../../../../src/mame/machine/awboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/dc.o: ../../../../../src/mame/machine/dc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/dc-ctrl.o: ../../../../../src/mame/machine/dc-ctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/gdrom.o: ../../../../../src/mame/machine/gdrom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/jvs13551.o: ../../../../../src/mame/machine/jvs13551.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/maple-dc.o: ../../../../../src/mame/machine/maple-dc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/mapledev.o: ../../../../../src/mame/machine/mapledev.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/mie.o: ../../../../../src/mame/machine/mie.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomi.o: ../../../../../src/mame/machine/naomi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomibd.o: ../../../../../src/mame/machine/naomibd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomig1.o: ../../../../../src/mame/machine/naomig1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomigd.o: ../../../../../src/mame/machine/naomigd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomim1.o: ../../../../../src/mame/machine/naomim1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomim2.o: ../../../../../src/mame/machine/naomim2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomim4.o: ../../../../../src/mame/machine/naomim4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/naomirom.o: ../../../../../src/mame/machine/naomirom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/315-5881_crypt.o: ../../../../../src/mame/machine/315-5881_crypt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/powervr2.o: ../../../../../src/mame/video/powervr2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/neogeo.o: ../../../../../src/mame/drivers/neogeo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/neocrypt.o: ../../../../../src/mame/machine/neocrypt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/ng_memcard.o: ../../../../../src/mame/machine/ng_memcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/neogeo.o: ../../../../../src/mame/video/neogeo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/neogeo_spr.o: ../../../../../src/mame/video/neogeo_spr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cdi.o: ../../../../../src/mame/drivers/cdi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/cdi070.o: ../../../../../src/mame/machine/cdi070.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/cdicdic.o: ../../../../../src/mame/machine/cdicdic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/cdislave.o: ../../../../../src/mame/machine/cdislave.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/mcd212.o: ../../../../../src/mame/video/mcd212.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/3do.o: ../../../../../src/mame/drivers/3do.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/3do.o: ../../../../../src/mame/machine/3do.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/konamim2.o: ../../../../../src/mame/drivers/konamim2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/vectrex.o: ../../../../../src/mame/drivers/vectrex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/vectrex.o: ../../../../../src/mame/machine/vectrex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/vectrex.o: ../../../../../src/mame/video/vectrex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cps1.o: ../../../../../src/mame/drivers/cps1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/cps1.o: ../../../../../src/mame/video/cps1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/chihiro.o: ../../../../../src/mame/video/chihiro.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/xbox.o: ../../../../../src/mame/machine/xbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
