# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug/ocore_windows
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release/ocore_windows
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug/ocore_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release/ocore_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug/ocore_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release/ocore_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libocore_windows.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0
  INCLUDES  += -I../../../../../src/emu -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/windows -I../../../../../src/lib/winpcap
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdcore.o \
	$(OBJDIR)/src/osd/strconv.o \
	$(OBJDIR)/src/osd/windows/main.o \
	$(OBJDIR)/src/osd/windows/windir.o \
	$(OBJDIR)/src/osd/windows/winfile.o \
	$(OBJDIR)/src/osd/modules/sync/sync_windows.o \
	$(OBJDIR)/src/osd/windows/winutf8.o \
	$(OBJDIR)/src/osd/windows/winutil.o \
	$(OBJDIR)/src/osd/windows/winclip.o \
	$(OBJDIR)/src/osd/windows/winsocket.o \
	$(OBJDIR)/src/osd/windows/winptty.o \
	$(OBJDIR)/src/osd/modules/osdmodule.o \
	$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o \
	$(OBJDIR)/src/osd/modules/sync/work_osd.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/osd/windows \
	$(OBJDIR)/src/osd/modules/lib \
	$(OBJDIR)/src/osd/modules/sync \
	$(OBJDIR)/src/osd/modules \
	$(OBJDIR)/src/osd \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/osd/osdcore.o: ../../../../../src/osd/osdcore.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/strconv.o: ../../../../../src/osd/strconv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/main.o: ../../../../../src/osd/windows/main.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/windir.o: ../../../../../src/osd/windows/windir.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winfile.o: ../../../../../src/osd/windows/winfile.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sync/sync_windows.o: ../../../../../src/osd/modules/sync/sync_windows.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winutf8.o: ../../../../../src/osd/windows/winutf8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winutil.o: ../../../../../src/osd/windows/winutil.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winclip.o: ../../../../../src/osd/windows/winclip.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winsocket.o: ../../../../../src/osd/windows/winsocket.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winptty.o: ../../../../../src/osd/windows/winptty.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/osdmodule.o: ../../../../../src/osd/modules/osdmodule.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/lib/osdlib_win32.o: ../../../../../src/osd/modules/lib/osdlib_win32.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sync/work_osd.o: ../../../../../src/osd/modules/sync/work_osd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
