# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug/osd_windows
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release/osd_windows
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug/osd_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release/osd_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug/osd_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DMALLOC_DEBUG -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release/osd_windows
  TARGETDIR  = ../../../../../scripts/src/osd
  override TARGET     = $(TARGETDIR)/libosd_windows.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DOSD_WINDOWS -D_WIN32_WINNT=0x0501 -DUNICODE -D_UNICODE -Dmain=utf8_main -DUSE_NETWORK -DOSD_NET_USE_PCAP -DUSE_SDL=0 -DUSE_OPENGL=1 -DUSE_BGFX -DUSE_QTDEBUG=0 -DDIRECT3D_VERSION=0x0900 -DDIRECTINPUT_VERSION=0x0800
  INCLUDES  += -I../../../../../3rdparty/winpcap/Include -I../../../../../3rdparty/bgfx/include -I../../../../../3rdparty/bx/include -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/osd -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/osd/modules/render -I../../../../../3rdparty -I../../../../../src/osd/windows
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/osd/osdnet.o \
	$(OBJDIR)/src/osd/modules/lib/osdobj_common.o \
	$(OBJDIR)/src/osd/modules/debugger/none.o \
	$(OBJDIR)/src/osd/modules/debugger/debugint.o \
	$(OBJDIR)/src/osd/modules/debugger/debugwin.o \
	$(OBJDIR)/src/osd/modules/font/font_sdl.o \
	$(OBJDIR)/src/osd/modules/font/font_windows.o \
	$(OBJDIR)/src/osd/modules/font/font_osx.o \
	$(OBJDIR)/src/osd/modules/font/font_none.o \
	$(OBJDIR)/src/osd/modules/netdev/taptun.o \
	$(OBJDIR)/src/osd/modules/netdev/pcap.o \
	$(OBJDIR)/src/osd/modules/netdev/none.o \
	$(OBJDIR)/src/osd/modules/midi/portmidi.o \
	$(OBJDIR)/src/osd/modules/midi/none.o \
	$(OBJDIR)/src/osd/modules/sound/js_sound.o \
	$(OBJDIR)/src/osd/modules/sound/direct_sound.o \
	$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o \
	$(OBJDIR)/src/osd/modules/sound/sdl_sound.o \
	$(OBJDIR)/src/osd/modules/sound/none.o \
	$(OBJDIR)/src/osd/modules/render/drawogl.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o \
	$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o \
	$(OBJDIR)/src/osd/modules/render/drawbgfx.o \
	$(OBJDIR)/src/osd/modules/render/drawd3d.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o \
	$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o \
	$(OBJDIR)/src/osd/modules/render/drawdd.o \
	$(OBJDIR)/src/osd/modules/render/drawgdi.o \
	$(OBJDIR)/src/osd/modules/render/drawnone.o \
	$(OBJDIR)/src/osd/windows/input.o \
	$(OBJDIR)/src/osd/windows/output.o \
	$(OBJDIR)/src/osd/windows/video.o \
	$(OBJDIR)/src/osd/windows/window.o \
	$(OBJDIR)/src/osd/windows/winmenu.o \
	$(OBJDIR)/src/osd/windows/winmain.o \
	$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o \
	$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/osd/modules/netdev \
	$(OBJDIR)/src/osd/modules/sound \
	$(OBJDIR)/src/osd/modules/debugger/win \
	$(OBJDIR)/src/osd/modules/midi \
	$(OBJDIR)/src/osd/windows \
	$(OBJDIR)/src/osd/modules/lib \
	$(OBJDIR)/src/osd/modules/render/d3d \
	$(OBJDIR)/src/osd/modules/opengl \
	$(OBJDIR)/src/osd/modules/render \
	$(OBJDIR)/src/osd/modules/debugger \
	$(OBJDIR)/src/osd/modules/font \
	$(OBJDIR)/src/osd \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/osd/osdnet.o: ../../../../../src/osd/osdnet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/lib/osdobj_common.o: ../../../../../src/osd/modules/lib/osdobj_common.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/none.o: ../../../../../src/osd/modules/debugger/none.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/debugint.o: ../../../../../src/osd/modules/debugger/debugint.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/debugwin.o: ../../../../../src/osd/modules/debugger/debugwin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/font/font_sdl.o: ../../../../../src/osd/modules/font/font_sdl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/font/font_windows.o: ../../../../../src/osd/modules/font/font_windows.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/font/font_osx.o: ../../../../../src/osd/modules/font/font_osx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/font/font_none.o: ../../../../../src/osd/modules/font/font_none.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/netdev/taptun.o: ../../../../../src/osd/modules/netdev/taptun.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/netdev/pcap.o: ../../../../../src/osd/modules/netdev/pcap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/netdev/none.o: ../../../../../src/osd/modules/netdev/none.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/midi/portmidi.o: ../../../../../src/osd/modules/midi/portmidi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/midi/none.o: ../../../../../src/osd/modules/midi/none.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sound/js_sound.o: ../../../../../src/osd/modules/sound/js_sound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sound/direct_sound.o: ../../../../../src/osd/modules/sound/direct_sound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sound/coreaudio_sound.o: ../../../../../src/osd/modules/sound/coreaudio_sound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sound/sdl_sound.o: ../../../../../src/osd/modules/sound/sdl_sound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/sound/none.o: ../../../../../src/osd/modules/sound/none.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawogl.o: ../../../../../src/osd/modules/render/drawogl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/opengl/gl_shader_tool.o: ../../../../../src/osd/modules/opengl/gl_shader_tool.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/opengl/gl_shader_mgr.o: ../../../../../src/osd/modules/opengl/gl_shader_mgr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawbgfx.o: ../../../../../src/osd/modules/render/drawbgfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawd3d.o: ../../../../../src/osd/modules/render/drawd3d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/d3d/d3d9intf.o: ../../../../../src/osd/modules/render/d3d/d3d9intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/d3d/d3dhlsl.o: ../../../../../src/osd/modules/render/d3d/d3dhlsl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawdd.o: ../../../../../src/osd/modules/render/drawdd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawgdi.o: ../../../../../src/osd/modules/render/drawgdi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/render/drawnone.o: ../../../../../src/osd/modules/render/drawnone.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/input.o: ../../../../../src/osd/windows/input.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/output.o: ../../../../../src/osd/windows/output.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/video.o: ../../../../../src/osd/windows/video.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/window.o: ../../../../../src/osd/windows/window.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winmenu.o: ../../../../../src/osd/windows/winmenu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/windows/winmain.o: ../../../../../src/osd/windows/winmain.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/consolewininfo.o: ../../../../../src/osd/modules/debugger/win/consolewininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/debugbaseinfo.o: ../../../../../src/osd/modules/debugger/win/debugbaseinfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/debugviewinfo.o: ../../../../../src/osd/modules/debugger/win/debugviewinfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/debugwininfo.o: ../../../../../src/osd/modules/debugger/win/debugwininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/disasmbasewininfo.o: ../../../../../src/osd/modules/debugger/win/disasmbasewininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/disasmviewinfo.o: ../../../../../src/osd/modules/debugger/win/disasmviewinfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/disasmwininfo.o: ../../../../../src/osd/modules/debugger/win/disasmwininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/editwininfo.o: ../../../../../src/osd/modules/debugger/win/editwininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/logwininfo.o: ../../../../../src/osd/modules/debugger/win/logwininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/memoryviewinfo.o: ../../../../../src/osd/modules/debugger/win/memoryviewinfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/memorywininfo.o: ../../../../../src/osd/modules/debugger/win/memorywininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/pointswininfo.o: ../../../../../src/osd/modules/debugger/win/pointswininfo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/osd/modules/debugger/win/uimetrics.o: ../../../../../src/osd/modules/debugger/win/uimetrics.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
