# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libportaudio.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32 -DPA_USE_DS=1 -DPA_USE_WDMKS=1 -DPA_USE_WMME=1
  INCLUDES  += -I../../../../../3rdparty/portaudio/include -I../../../../../3rdparty/portaudio/src/common -I../../../../../3rdparty/portaudio/src/os/win
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast -Wno-strict-prototypes -Wno-bad-function-cast -Wno-undef -Wno-missing-braces -Wno-unused-variable -Wno-unused-value -Wno-unused-function -Wno-unknown-pragmas -Wno-unused-but-set-variable -Wno-maybe-uninitialized -Wno-sometimes-uninitialized
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o \
	$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o \
	$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound \
	$(OBJDIR)/3rdparty/portaudio/src/common \
	$(OBJDIR)/3rdparty/portaudio/src/os/win \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme \
	$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/3rdparty/portaudio/src/common/pa_allocation.o: ../../../../../3rdparty/portaudio/src/common/pa_allocation.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_converters.o: ../../../../../3rdparty/portaudio/src/common/pa_converters.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_cpuload.o: ../../../../../3rdparty/portaudio/src/common/pa_cpuload.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_dither.o: ../../../../../3rdparty/portaudio/src/common/pa_dither.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_debugprint.o: ../../../../../3rdparty/portaudio/src/common/pa_debugprint.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_front.o: ../../../../../3rdparty/portaudio/src/common/pa_front.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_process.o: ../../../../../3rdparty/portaudio/src/common/pa_process.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_stream.o: ../../../../../3rdparty/portaudio/src/common/pa_stream.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_trace.o: ../../../../../3rdparty/portaudio/src/common/pa_trace.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.o: ../../../../../3rdparty/portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_util.o: ../../../../../3rdparty/portaudio/src/os/win/pa_win_util.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_waveformat.o: ../../../../../3rdparty/portaudio/src/os/win/pa_win_waveformat.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_hostapis.o: ../../../../../3rdparty/portaudio/src/os/win/pa_win_hostapis.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.o: ../../../../../3rdparty/portaudio/src/os/win/pa_win_wdmks_utils.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/os/win/pa_win_coinitialize.o: ../../../../../3rdparty/portaudio/src/os/win/pa_win_coinitialize.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.o: ../../../../../3rdparty/portaudio/src/hostapi/dsound/pa_win_ds.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.o: ../../../../../3rdparty/portaudio/src/hostapi/dsound/pa_win_ds_dynlink.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.o: ../../../../../3rdparty/portaudio/src/hostapi/wdmks/pa_win_wdmks.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/common/pa_ringbuffer.o: ../../../../../3rdparty/portaudio/src/common/pa_ringbuffer.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.o: ../../../../../3rdparty/portaudio/src/hostapi/wmme/pa_win_wmme.c
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
