# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libskeleton.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../src/lib/netlist -I../../../../../3rdparty -I../../../../generated/mess/layout -I../../../../generated/mame/layout
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/mame/drivers/alphasma.o \
	$(OBJDIR)/src/mame/drivers/ampro.o \
	$(OBJDIR)/src/mame/drivers/amust.o \
	$(OBJDIR)/src/mame/drivers/applix.o \
	$(OBJDIR)/src/mame/drivers/attache.o \
	$(OBJDIR)/src/mame/drivers/aussiebyte.o \
	$(OBJDIR)/src/mame/video/aussiebyte.o \
	$(OBJDIR)/src/mame/drivers/ax20.o \
	$(OBJDIR)/src/mame/drivers/beehive.o \
	$(OBJDIR)/src/mame/drivers/binbug.o \
	$(OBJDIR)/src/mame/drivers/besta.o \
	$(OBJDIR)/src/mame/drivers/bitgraph.o \
	$(OBJDIR)/src/mame/drivers/br8641.o \
	$(OBJDIR)/src/mame/drivers/busicom.o \
	$(OBJDIR)/src/mame/video/busicom.o \
	$(OBJDIR)/src/mame/drivers/chaos.o \
	$(OBJDIR)/src/mame/drivers/chesstrv.o \
	$(OBJDIR)/src/mame/drivers/cd2650.o \
	$(OBJDIR)/src/mame/drivers/cdc721.o \
	$(OBJDIR)/src/mame/drivers/codata.o \
	$(OBJDIR)/src/mame/drivers/cortex.o \
	$(OBJDIR)/src/mame/drivers/cosmicos.o \
	$(OBJDIR)/src/mame/drivers/cp1.o \
	$(OBJDIR)/src/mame/drivers/cxhumax.o \
	$(OBJDIR)/src/mame/drivers/czk80.o \
	$(OBJDIR)/src/mame/drivers/d6800.o \
	$(OBJDIR)/src/mame/drivers/d6809.o \
	$(OBJDIR)/src/mame/drivers/daruma.o \
	$(OBJDIR)/src/mame/drivers/digel804.o \
	$(OBJDIR)/src/mame/drivers/dim68k.o \
	$(OBJDIR)/src/mame/drivers/dm7000.o \
	$(OBJDIR)/src/mame/drivers/dmv.o \
	$(OBJDIR)/src/mame/machine/dmv_keyb.o \
	$(OBJDIR)/src/mame/drivers/dps1.o \
	$(OBJDIR)/src/mame/drivers/dsb46.o \
	$(OBJDIR)/src/mame/drivers/dual68.o \
	$(OBJDIR)/src/mame/drivers/eacc.o \
	$(OBJDIR)/src/mame/drivers/elwro800.o \
	$(OBJDIR)/src/mame/drivers/eti660.o \
	$(OBJDIR)/src/mame/drivers/excali64.o \
	$(OBJDIR)/src/mame/drivers/fanucs15.o \
	$(OBJDIR)/src/mame/drivers/fanucspmg.o \
	$(OBJDIR)/src/mame/drivers/fc100.o \
	$(OBJDIR)/src/mame/drivers/fk1.o \
	$(OBJDIR)/src/mame/drivers/ft68m.o \
	$(OBJDIR)/src/mame/drivers/gamate.o \
	$(OBJDIR)/src/mame/audio/gamate.o \
	$(OBJDIR)/src/mame/drivers/gameking.o \
	$(OBJDIR)/src/mame/drivers/gimix.o \
	$(OBJDIR)/src/mame/drivers/grfd2301.o \
	$(OBJDIR)/src/mame/drivers/harriet.o \
	$(OBJDIR)/src/mame/drivers/hprot1.o \
	$(OBJDIR)/src/mame/drivers/hpz80unk.o \
	$(OBJDIR)/src/mame/drivers/ht68k.o \
	$(OBJDIR)/src/mame/drivers/hunter2.o \
	$(OBJDIR)/src/mame/drivers/i7000.o \
	$(OBJDIR)/src/mame/drivers/ibm6580.o \
	$(OBJDIR)/src/mame/drivers/icatel.o \
	$(OBJDIR)/src/mame/drivers/ie15.o \
	$(OBJDIR)/src/mame/machine/ie15_kbd.o \
	$(OBJDIR)/src/mame/drivers/if800.o \
	$(OBJDIR)/src/mame/drivers/imsai.o \
	$(OBJDIR)/src/mame/drivers/indiana.o \
	$(OBJDIR)/src/mame/drivers/itt3030.o \
	$(OBJDIR)/src/mame/drivers/jade.o \
	$(OBJDIR)/src/mame/drivers/jonos.o \
	$(OBJDIR)/src/mame/drivers/konin.o \
	$(OBJDIR)/src/mame/drivers/leapster.o \
	$(OBJDIR)/src/mame/drivers/lft.o \
	$(OBJDIR)/src/mame/drivers/lg-dvd.o \
	$(OBJDIR)/src/mame/drivers/lola8a.o \
	$(OBJDIR)/src/mame/drivers/m79152pc.o \
	$(OBJDIR)/src/mame/drivers/mccpm.o \
	$(OBJDIR)/src/mame/drivers/mes.o \
	$(OBJDIR)/src/mame/drivers/mice.o \
	$(OBJDIR)/src/mame/drivers/micral.o \
	$(OBJDIR)/src/mame/drivers/micronic.o \
	$(OBJDIR)/src/mame/drivers/mini2440.o \
	$(OBJDIR)/src/mame/drivers/mmd1.o \
	$(OBJDIR)/src/mame/drivers/mod8.o \
	$(OBJDIR)/src/mame/drivers/modellot.o \
	$(OBJDIR)/src/mame/drivers/molecular.o \
	$(OBJDIR)/src/mame/drivers/ms0515.o \
	$(OBJDIR)/src/mame/drivers/ms9540.o \
	$(OBJDIR)/src/mame/drivers/mstation.o \
	$(OBJDIR)/src/mame/drivers/mt735.o \
	$(OBJDIR)/src/mame/drivers/mx2178.o \
	$(OBJDIR)/src/mame/drivers/mycom.o \
	$(OBJDIR)/src/mame/drivers/myvision.o \
	$(OBJDIR)/src/mame/drivers/ngen.o \
	$(OBJDIR)/src/mame/machine/ngen_kb.o \
	$(OBJDIR)/src/mame/drivers/octopus.o \
	$(OBJDIR)/src/mame/drivers/onyx.o \
	$(OBJDIR)/src/mame/drivers/okean240.o \
	$(OBJDIR)/src/mame/drivers/p8k.o \
	$(OBJDIR)/src/mame/drivers/pegasus.o \
	$(OBJDIR)/src/mame/drivers/pencil2.o \
	$(OBJDIR)/src/mame/drivers/pes.o \
	$(OBJDIR)/src/mame/drivers/pipbug.o \
	$(OBJDIR)/src/mame/drivers/plan80.o \
	$(OBJDIR)/src/mame/drivers/pm68k.o \
	$(OBJDIR)/src/mame/drivers/poly.o \
	$(OBJDIR)/src/mame/drivers/proteus3.o \
	$(OBJDIR)/src/mame/drivers/pt68k4.o \
	$(OBJDIR)/src/mame/drivers/ptcsol.o \
	$(OBJDIR)/src/mame/drivers/pulsar.o \
	$(OBJDIR)/src/mame/drivers/pv9234.o \
	$(OBJDIR)/src/mame/drivers/qtsbc.o \
	$(OBJDIR)/src/mame/drivers/rd100.o \
	$(OBJDIR)/src/mame/drivers/rvoice.o \
	$(OBJDIR)/src/mame/drivers/sacstate.o \
	$(OBJDIR)/src/mame/drivers/sbrain.o \
	$(OBJDIR)/src/mame/drivers/seattlecmp.o \
	$(OBJDIR)/src/mame/drivers/sh4robot.o \
	$(OBJDIR)/src/mame/drivers/sansa_fuze.o \
	$(OBJDIR)/src/mame/drivers/softbox.o \
	$(OBJDIR)/src/mame/drivers/squale.o \
	$(OBJDIR)/src/mame/drivers/swtpc.o \
	$(OBJDIR)/src/mame/drivers/swyft.o \
	$(OBJDIR)/src/mame/drivers/sys2900.o \
	$(OBJDIR)/src/mame/drivers/systec.o \
	$(OBJDIR)/src/mame/drivers/tavernie.o \
	$(OBJDIR)/src/mame/drivers/tecnbras.o \
	$(OBJDIR)/src/mame/drivers/terak.o \
	$(OBJDIR)/src/mame/drivers/ti630.o \
	$(OBJDIR)/src/mame/drivers/tsispch.o \
	$(OBJDIR)/src/mame/drivers/tvgame.o \
	$(OBJDIR)/src/mame/drivers/unistar.o \
	$(OBJDIR)/src/mame/drivers/v6809.o \
	$(OBJDIR)/src/mame/drivers/vector4.o \
	$(OBJDIR)/src/mame/drivers/vii.o \
	$(OBJDIR)/src/mame/drivers/wicat.o \
	$(OBJDIR)/src/mame/drivers/xor100.o \
	$(OBJDIR)/src/mame/drivers/xavix.o \
	$(OBJDIR)/src/mame/drivers/zorba.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/mame/machine \
	$(OBJDIR)/src/mame/audio \
	$(OBJDIR)/src/mame/video \
	$(OBJDIR)/src/mame/drivers \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/mame/drivers/alphasma.o: ../../../../../src/mame/drivers/alphasma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ampro.o: ../../../../../src/mame/drivers/ampro.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/amust.o: ../../../../../src/mame/drivers/amust.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/applix.o: ../../../../../src/mame/drivers/applix.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/attache.o: ../../../../../src/mame/drivers/attache.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/aussiebyte.o: ../../../../../src/mame/drivers/aussiebyte.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/aussiebyte.o: ../../../../../src/mame/video/aussiebyte.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ax20.o: ../../../../../src/mame/drivers/ax20.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/beehive.o: ../../../../../src/mame/drivers/beehive.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/binbug.o: ../../../../../src/mame/drivers/binbug.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/besta.o: ../../../../../src/mame/drivers/besta.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/bitgraph.o: ../../../../../src/mame/drivers/bitgraph.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/br8641.o: ../../../../../src/mame/drivers/br8641.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/busicom.o: ../../../../../src/mame/drivers/busicom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/video/busicom.o: ../../../../../src/mame/video/busicom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/chaos.o: ../../../../../src/mame/drivers/chaos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/chesstrv.o: ../../../../../src/mame/drivers/chesstrv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cd2650.o: ../../../../../src/mame/drivers/cd2650.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cdc721.o: ../../../../../src/mame/drivers/cdc721.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/codata.o: ../../../../../src/mame/drivers/codata.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cortex.o: ../../../../../src/mame/drivers/cortex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cosmicos.o: ../../../../../src/mame/drivers/cosmicos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cp1.o: ../../../../../src/mame/drivers/cp1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/cxhumax.o: ../../../../../src/mame/drivers/cxhumax.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/czk80.o: ../../../../../src/mame/drivers/czk80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/d6800.o: ../../../../../src/mame/drivers/d6800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/d6809.o: ../../../../../src/mame/drivers/d6809.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/daruma.o: ../../../../../src/mame/drivers/daruma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/digel804.o: ../../../../../src/mame/drivers/digel804.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dim68k.o: ../../../../../src/mame/drivers/dim68k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dm7000.o: ../../../../../src/mame/drivers/dm7000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dmv.o: ../../../../../src/mame/drivers/dmv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/dmv_keyb.o: ../../../../../src/mame/machine/dmv_keyb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dps1.o: ../../../../../src/mame/drivers/dps1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dsb46.o: ../../../../../src/mame/drivers/dsb46.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/dual68.o: ../../../../../src/mame/drivers/dual68.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/eacc.o: ../../../../../src/mame/drivers/eacc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/elwro800.o: ../../../../../src/mame/drivers/elwro800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/eti660.o: ../../../../../src/mame/drivers/eti660.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/excali64.o: ../../../../../src/mame/drivers/excali64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/fanucs15.o: ../../../../../src/mame/drivers/fanucs15.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/fanucspmg.o: ../../../../../src/mame/drivers/fanucspmg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/fc100.o: ../../../../../src/mame/drivers/fc100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/fk1.o: ../../../../../src/mame/drivers/fk1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ft68m.o: ../../../../../src/mame/drivers/ft68m.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/gamate.o: ../../../../../src/mame/drivers/gamate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/audio/gamate.o: ../../../../../src/mame/audio/gamate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/gameking.o: ../../../../../src/mame/drivers/gameking.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/gimix.o: ../../../../../src/mame/drivers/gimix.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/grfd2301.o: ../../../../../src/mame/drivers/grfd2301.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/harriet.o: ../../../../../src/mame/drivers/harriet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/hprot1.o: ../../../../../src/mame/drivers/hprot1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/hpz80unk.o: ../../../../../src/mame/drivers/hpz80unk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ht68k.o: ../../../../../src/mame/drivers/ht68k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/hunter2.o: ../../../../../src/mame/drivers/hunter2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/i7000.o: ../../../../../src/mame/drivers/i7000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ibm6580.o: ../../../../../src/mame/drivers/ibm6580.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/icatel.o: ../../../../../src/mame/drivers/icatel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ie15.o: ../../../../../src/mame/drivers/ie15.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/ie15_kbd.o: ../../../../../src/mame/machine/ie15_kbd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/if800.o: ../../../../../src/mame/drivers/if800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/imsai.o: ../../../../../src/mame/drivers/imsai.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/indiana.o: ../../../../../src/mame/drivers/indiana.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/itt3030.o: ../../../../../src/mame/drivers/itt3030.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/jade.o: ../../../../../src/mame/drivers/jade.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/jonos.o: ../../../../../src/mame/drivers/jonos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/konin.o: ../../../../../src/mame/drivers/konin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/leapster.o: ../../../../../src/mame/drivers/leapster.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/lft.o: ../../../../../src/mame/drivers/lft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/lg-dvd.o: ../../../../../src/mame/drivers/lg-dvd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/lola8a.o: ../../../../../src/mame/drivers/lola8a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/m79152pc.o: ../../../../../src/mame/drivers/m79152pc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mccpm.o: ../../../../../src/mame/drivers/mccpm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mes.o: ../../../../../src/mame/drivers/mes.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mice.o: ../../../../../src/mame/drivers/mice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/micral.o: ../../../../../src/mame/drivers/micral.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/micronic.o: ../../../../../src/mame/drivers/micronic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mini2440.o: ../../../../../src/mame/drivers/mini2440.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mmd1.o: ../../../../../src/mame/drivers/mmd1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mod8.o: ../../../../../src/mame/drivers/mod8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/modellot.o: ../../../../../src/mame/drivers/modellot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/molecular.o: ../../../../../src/mame/drivers/molecular.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ms0515.o: ../../../../../src/mame/drivers/ms0515.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ms9540.o: ../../../../../src/mame/drivers/ms9540.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mstation.o: ../../../../../src/mame/drivers/mstation.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mt735.o: ../../../../../src/mame/drivers/mt735.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mx2178.o: ../../../../../src/mame/drivers/mx2178.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/mycom.o: ../../../../../src/mame/drivers/mycom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/myvision.o: ../../../../../src/mame/drivers/myvision.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ngen.o: ../../../../../src/mame/drivers/ngen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/machine/ngen_kb.o: ../../../../../src/mame/machine/ngen_kb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/octopus.o: ../../../../../src/mame/drivers/octopus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/onyx.o: ../../../../../src/mame/drivers/onyx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/okean240.o: ../../../../../src/mame/drivers/okean240.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/p8k.o: ../../../../../src/mame/drivers/p8k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pegasus.o: ../../../../../src/mame/drivers/pegasus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pencil2.o: ../../../../../src/mame/drivers/pencil2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pes.o: ../../../../../src/mame/drivers/pes.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pipbug.o: ../../../../../src/mame/drivers/pipbug.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/plan80.o: ../../../../../src/mame/drivers/plan80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pm68k.o: ../../../../../src/mame/drivers/pm68k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/poly.o: ../../../../../src/mame/drivers/poly.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/proteus3.o: ../../../../../src/mame/drivers/proteus3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pt68k4.o: ../../../../../src/mame/drivers/pt68k4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ptcsol.o: ../../../../../src/mame/drivers/ptcsol.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pulsar.o: ../../../../../src/mame/drivers/pulsar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/pv9234.o: ../../../../../src/mame/drivers/pv9234.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/qtsbc.o: ../../../../../src/mame/drivers/qtsbc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/rd100.o: ../../../../../src/mame/drivers/rd100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/rvoice.o: ../../../../../src/mame/drivers/rvoice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/sacstate.o: ../../../../../src/mame/drivers/sacstate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/sbrain.o: ../../../../../src/mame/drivers/sbrain.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/seattlecmp.o: ../../../../../src/mame/drivers/seattlecmp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/sh4robot.o: ../../../../../src/mame/drivers/sh4robot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/sansa_fuze.o: ../../../../../src/mame/drivers/sansa_fuze.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/softbox.o: ../../../../../src/mame/drivers/softbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/squale.o: ../../../../../src/mame/drivers/squale.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/swtpc.o: ../../../../../src/mame/drivers/swtpc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/swyft.o: ../../../../../src/mame/drivers/swyft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/sys2900.o: ../../../../../src/mame/drivers/sys2900.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/systec.o: ../../../../../src/mame/drivers/systec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/tavernie.o: ../../../../../src/mame/drivers/tavernie.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/tecnbras.o: ../../../../../src/mame/drivers/tecnbras.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/terak.o: ../../../../../src/mame/drivers/terak.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/ti630.o: ../../../../../src/mame/drivers/ti630.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/tsispch.o: ../../../../../src/mame/drivers/tsispch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/tvgame.o: ../../../../../src/mame/drivers/tvgame.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/unistar.o: ../../../../../src/mame/drivers/unistar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/v6809.o: ../../../../../src/mame/drivers/v6809.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/vector4.o: ../../../../../src/mame/drivers/vector4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/vii.o: ../../../../../src/mame/drivers/vii.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/wicat.o: ../../../../../src/mame/drivers/wicat.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/xor100.o: ../../../../../src/mame/drivers/xor100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/xavix.o: ../../../../../src/mame/drivers/xavix.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/mame/drivers/zorba.o: ../../../../../src/mame/drivers/zorba.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
