# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/src
  override TARGET     = $(TARGETDIR)/libutils.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/zlib
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/lib/util/avhuff.o \
	$(OBJDIR)/src/lib/util/aviio.o \
	$(OBJDIR)/src/lib/util/bitmap.o \
	$(OBJDIR)/src/lib/util/cdrom.o \
	$(OBJDIR)/src/lib/util/chd.o \
	$(OBJDIR)/src/lib/util/chdcd.o \
	$(OBJDIR)/src/lib/util/chdcodec.o \
	$(OBJDIR)/src/lib/util/corealloc.o \
	$(OBJDIR)/src/lib/util/corefile.o \
	$(OBJDIR)/src/lib/util/corestr.o \
	$(OBJDIR)/src/lib/util/coreutil.o \
	$(OBJDIR)/src/lib/util/cstrpool.o \
	$(OBJDIR)/src/lib/util/delegate.o \
	$(OBJDIR)/src/lib/util/flac.o \
	$(OBJDIR)/src/lib/util/harddisk.o \
	$(OBJDIR)/src/lib/util/hashing.o \
	$(OBJDIR)/src/lib/util/huffman.o \
	$(OBJDIR)/src/lib/util/jedparse.o \
	$(OBJDIR)/src/lib/util/md5.o \
	$(OBJDIR)/src/lib/util/opresolv.o \
	$(OBJDIR)/src/lib/util/options.o \
	$(OBJDIR)/src/lib/util/palette.o \
	$(OBJDIR)/src/lib/util/plaparse.o \
	$(OBJDIR)/src/lib/util/png.o \
	$(OBJDIR)/src/lib/util/pool.o \
	$(OBJDIR)/src/lib/util/sha1.o \
	$(OBJDIR)/src/lib/util/unicode.o \
	$(OBJDIR)/src/lib/util/unzip.o \
	$(OBJDIR)/src/lib/util/un7z.o \
	$(OBJDIR)/src/lib/util/vbiparse.o \
	$(OBJDIR)/src/lib/util/xmlfile.o \
	$(OBJDIR)/src/lib/util/zippath.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/lib/util \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(SILENT) $(LINKCMD) $(OBJECTS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/lib/util/avhuff.o: ../../../../../src/lib/util/avhuff.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/aviio.o: ../../../../../src/lib/util/aviio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/bitmap.o: ../../../../../src/lib/util/bitmap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/cdrom.o: ../../../../../src/lib/util/cdrom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/chd.o: ../../../../../src/lib/util/chd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/chdcd.o: ../../../../../src/lib/util/chdcd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/chdcodec.o: ../../../../../src/lib/util/chdcodec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/corealloc.o: ../../../../../src/lib/util/corealloc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/corefile.o: ../../../../../src/lib/util/corefile.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/corestr.o: ../../../../../src/lib/util/corestr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/coreutil.o: ../../../../../src/lib/util/coreutil.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/cstrpool.o: ../../../../../src/lib/util/cstrpool.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/delegate.o: ../../../../../src/lib/util/delegate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/flac.o: ../../../../../src/lib/util/flac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/harddisk.o: ../../../../../src/lib/util/harddisk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/hashing.o: ../../../../../src/lib/util/hashing.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/huffman.o: ../../../../../src/lib/util/huffman.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/jedparse.o: ../../../../../src/lib/util/jedparse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/md5.o: ../../../../../src/lib/util/md5.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/opresolv.o: ../../../../../src/lib/util/opresolv.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/options.o: ../../../../../src/lib/util/options.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/palette.o: ../../../../../src/lib/util/palette.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/plaparse.o: ../../../../../src/lib/util/plaparse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/png.o: ../../../../../src/lib/util/png.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/pool.o: ../../../../../src/lib/util/pool.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/sha1.o: ../../../../../src/lib/util/sha1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/unicode.o: ../../../../../src/lib/util/unicode.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/unzip.o: ../../../../../src/lib/util/unzip.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/un7z.o: ../../../../../src/lib/util/un7z.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/vbiparse.o: ../../../../../src/lib/util/vbiparse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/xmlfile.o: ../../../../../src/lib/util/xmlfile.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/lib/util/zippath.o: ../../../../../src/lib/util/zippath.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
