# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/libbus.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../../src/mame -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/bus/a7800/a78_slot.o \
	$(OBJDIR)/src/devices/bus/a7800/rom.o \
	$(OBJDIR)/src/devices/bus/a7800/hiscore.o \
	$(OBJDIR)/src/devices/bus/a7800/xboard.o \
	$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o \
	$(OBJDIR)/src/devices/bus/a800/a8sio.o \
	$(OBJDIR)/src/devices/bus/a800/cassette.o \
	$(OBJDIR)/src/devices/bus/a800/a800_slot.o \
	$(OBJDIR)/src/devices/bus/a800/rom.o \
	$(OBJDIR)/src/devices/bus/a800/oss.o \
	$(OBJDIR)/src/devices/bus/a800/sparta.o \
	$(OBJDIR)/src/devices/bus/abcbus/abcbus.o \
	$(OBJDIR)/src/devices/bus/abcbus/abc890.o \
	$(OBJDIR)/src/devices/bus/abcbus/fd2.o \
	$(OBJDIR)/src/devices/bus/abcbus/hdc.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux10828.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21046.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux21056.o \
	$(OBJDIR)/src/devices/bus/abcbus/lux4105.o \
	$(OBJDIR)/src/devices/bus/abcbus/memcard.o \
	$(OBJDIR)/src/devices/bus/abcbus/ram.o \
	$(OBJDIR)/src/devices/bus/abcbus/sio.o \
	$(OBJDIR)/src/devices/bus/abcbus/slutprov.o \
	$(OBJDIR)/src/devices/bus/abcbus/turbo.o \
	$(OBJDIR)/src/devices/bus/abcbus/uni800.o \
	$(OBJDIR)/src/devices/bus/adam/exp.o \
	$(OBJDIR)/src/devices/bus/adam/adamlink.o \
	$(OBJDIR)/src/devices/bus/adam/ide.o \
	$(OBJDIR)/src/devices/bus/adam/ram.o \
	$(OBJDIR)/src/devices/bus/adamnet/adamnet.o \
	$(OBJDIR)/src/devices/bus/adamnet/ddp.o \
	$(OBJDIR)/src/devices/bus/adamnet/fdc.o \
	$(OBJDIR)/src/devices/bus/adamnet/kb.o \
	$(OBJDIR)/src/devices/bus/adamnet/printer.o \
	$(OBJDIR)/src/devices/bus/adamnet/spi.o \
	$(OBJDIR)/src/devices/bus/apf/slot.o \
	$(OBJDIR)/src/devices/bus/apf/rom.o \
	$(OBJDIR)/src/devices/bus/apricot/expansion.o \
	$(OBJDIR)/src/devices/bus/apricot/cards.o \
	$(OBJDIR)/src/devices/bus/apricot/ram.o \
	$(OBJDIR)/src/devices/bus/arcadia/slot.o \
	$(OBJDIR)/src/devices/bus/arcadia/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/slot.o \
	$(OBJDIR)/src/devices/bus/astrocde/rom.o \
	$(OBJDIR)/src/devices/bus/astrocde/exp.o \
	$(OBJDIR)/src/devices/bus/astrocde/ram.o \
	$(OBJDIR)/src/devices/bus/bw2/exp.o \
	$(OBJDIR)/src/devices/bus/bw2/ramcard.o \
	$(OBJDIR)/src/devices/bus/c64/exp.o \
	$(OBJDIR)/src/devices/bus/c64/c128_comal80.o \
	$(OBJDIR)/src/devices/bus/c64/c128_partner.o \
	$(OBJDIR)/src/devices/bus/c64/comal80.o \
	$(OBJDIR)/src/devices/bus/c64/cpm.o \
	$(OBJDIR)/src/devices/bus/c64/currah_speech.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep64.o \
	$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o \
	$(OBJDIR)/src/devices/bus/c64/dinamic.o \
	$(OBJDIR)/src/devices/bus/c64/dqbb.o \
	$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o \
	$(OBJDIR)/src/devices/bus/c64/easyflash.o \
	$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o \
	$(OBJDIR)/src/devices/bus/c64/exos.o \
	$(OBJDIR)/src/devices/bus/c64/fcc.o \
	$(OBJDIR)/src/devices/bus/c64/final.o \
	$(OBJDIR)/src/devices/bus/c64/final3.o \
	$(OBJDIR)/src/devices/bus/c64/fun_play.o \
	$(OBJDIR)/src/devices/bus/c64/georam.o \
	$(OBJDIR)/src/devices/bus/c64/ide64.o \
	$(OBJDIR)/src/devices/bus/c64/ieee488.o \
	$(OBJDIR)/src/devices/bus/c64/kingsoft.o \
	$(OBJDIR)/src/devices/bus/c64/mach5.o \
	$(OBJDIR)/src/devices/bus/c64/magic_desk.o \
	$(OBJDIR)/src/devices/bus/c64/magic_formel.o \
	$(OBJDIR)/src/devices/bus/c64/magic_voice.o \
	$(OBJDIR)/src/devices/bus/c64/midi_maplin.o \
	$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o \
	$(OBJDIR)/src/devices/bus/c64/midi_passport.o \
	$(OBJDIR)/src/devices/bus/c64/midi_sci.o \
	$(OBJDIR)/src/devices/bus/c64/midi_siel.o \
	$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o \
	$(OBJDIR)/src/devices/bus/c64/multiscreen.o \
	$(OBJDIR)/src/devices/bus/c64/music64.o \
	$(OBJDIR)/src/devices/bus/c64/neoram.o \
	$(OBJDIR)/src/devices/bus/c64/ocean.o \
	$(OBJDIR)/src/devices/bus/c64/pagefox.o \
	$(OBJDIR)/src/devices/bus/c64/partner.o \
	$(OBJDIR)/src/devices/bus/c64/prophet64.o \
	$(OBJDIR)/src/devices/bus/c64/ps64.o \
	$(OBJDIR)/src/devices/bus/c64/reu.o \
	$(OBJDIR)/src/devices/bus/c64/rex.o \
	$(OBJDIR)/src/devices/bus/c64/rex_ep256.o \
	$(OBJDIR)/src/devices/bus/c64/ross.o \
	$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o \
	$(OBJDIR)/src/devices/bus/c64/silverrock.o \
	$(OBJDIR)/src/devices/bus/c64/simons_basic.o \
	$(OBJDIR)/src/devices/bus/c64/stardos.o \
	$(OBJDIR)/src/devices/bus/c64/std.o \
	$(OBJDIR)/src/devices/bus/c64/structured_basic.o \
	$(OBJDIR)/src/devices/bus/c64/super_explode.o \
	$(OBJDIR)/src/devices/bus/c64/super_games.o \
	$(OBJDIR)/src/devices/bus/c64/supercpu.o \
	$(OBJDIR)/src/devices/bus/c64/sw8k.o \
	$(OBJDIR)/src/devices/bus/c64/swiftlink.o \
	$(OBJDIR)/src/devices/bus/c64/system3.o \
	$(OBJDIR)/src/devices/bus/c64/tdos.o \
	$(OBJDIR)/src/devices/bus/c64/turbo232.o \
	$(OBJDIR)/src/devices/bus/c64/vizastar.o \
	$(OBJDIR)/src/devices/bus/c64/vw64.o \
	$(OBJDIR)/src/devices/bus/c64/warp_speed.o \
	$(OBJDIR)/src/devices/bus/c64/westermann.o \
	$(OBJDIR)/src/devices/bus/c64/xl80.o \
	$(OBJDIR)/src/devices/bus/c64/zaxxon.o \
	$(OBJDIR)/src/devices/bus/c64/user.o \
	$(OBJDIR)/src/devices/bus/c64/4dxh.o \
	$(OBJDIR)/src/devices/bus/c64/4ksa.o \
	$(OBJDIR)/src/devices/bus/c64/4tba.o \
	$(OBJDIR)/src/devices/bus/c64/16kb.o \
	$(OBJDIR)/src/devices/bus/c64/bn1541.o \
	$(OBJDIR)/src/devices/bus/c64/geocable.o \
	$(OBJDIR)/src/devices/bus/cbm2/exp.o \
	$(OBJDIR)/src/devices/bus/cbm2/24k.o \
	$(OBJDIR)/src/devices/bus/cbm2/hrg.o \
	$(OBJDIR)/src/devices/bus/cbm2/std.o \
	$(OBJDIR)/src/devices/bus/cbm2/user.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1541.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1571.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1581.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o \
	$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o \
	$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o \
	$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o \
	$(OBJDIR)/src/devices/bus/cbmiec/interpod.o \
	$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o \
	$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o \
	$(OBJDIR)/src/devices/bus/cbmiec/c1526.o \
	$(OBJDIR)/src/devices/bus/chanf/slot.o \
	$(OBJDIR)/src/devices/bus/chanf/rom.o \
	$(OBJDIR)/src/devices/bus/comx35/exp.o \
	$(OBJDIR)/src/devices/bus/comx35/clm.o \
	$(OBJDIR)/src/devices/bus/comx35/expbox.o \
	$(OBJDIR)/src/devices/bus/comx35/eprom.o \
	$(OBJDIR)/src/devices/bus/comx35/fdc.o \
	$(OBJDIR)/src/devices/bus/comx35/joycard.o \
	$(OBJDIR)/src/devices/bus/comx35/printer.o \
	$(OBJDIR)/src/devices/bus/comx35/ram.o \
	$(OBJDIR)/src/devices/bus/comx35/thermal.o \
	$(OBJDIR)/src/devices/bus/coleco/ctrl.o \
	$(OBJDIR)/src/devices/bus/coleco/hand.o \
	$(OBJDIR)/src/devices/bus/coleco/sac.o \
	$(OBJDIR)/src/devices/bus/coleco/exp.o \
	$(OBJDIR)/src/devices/bus/coleco/std.o \
	$(OBJDIR)/src/devices/bus/coleco/xin1.o \
	$(OBJDIR)/src/devices/bus/crvision/slot.o \
	$(OBJDIR)/src/devices/bus/crvision/rom.o \
	$(OBJDIR)/src/devices/bus/dmv/dmvbus.o \
	$(OBJDIR)/src/devices/bus/dmv/k210.o \
	$(OBJDIR)/src/devices/bus/dmv/k220.o \
	$(OBJDIR)/src/devices/bus/dmv/k230.o \
	$(OBJDIR)/src/devices/bus/dmv/k233.o \
	$(OBJDIR)/src/devices/bus/dmv/k801.o \
	$(OBJDIR)/src/devices/bus/dmv/k803.o \
	$(OBJDIR)/src/devices/bus/dmv/k806.o \
	$(OBJDIR)/src/devices/bus/dmv/ram.o \
	$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o \
	$(OBJDIR)/src/devices/bus/ecbbus/grip.o \
	$(OBJDIR)/src/devices/bus/econet/econet.o \
	$(OBJDIR)/src/devices/bus/econet/e01.o \
	$(OBJDIR)/src/devices/bus/ep64/exp.o \
	$(OBJDIR)/src/devices/bus/ep64/exdos.o \
	$(OBJDIR)/src/devices/bus/generic/slot.o \
	$(OBJDIR)/src/devices/bus/generic/carts.o \
	$(OBJDIR)/src/devices/bus/generic/ram.o \
	$(OBJDIR)/src/devices/bus/generic/rom.o \
	$(OBJDIR)/src/devices/bus/ieee488/ieee488.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2031.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040.o \
	$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o \
	$(OBJDIR)/src/devices/bus/ieee488/c8280.o \
	$(OBJDIR)/src/devices/bus/ieee488/d9060.o \
	$(OBJDIR)/src/devices/bus/ieee488/softbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/hardbox.o \
	$(OBJDIR)/src/devices/bus/ieee488/shark.o \
	$(OBJDIR)/src/devices/bus/iq151/iq151.o \
	$(OBJDIR)/src/devices/bus/iq151/disc2.o \
	$(OBJDIR)/src/devices/bus/iq151/grafik.o \
	$(OBJDIR)/src/devices/bus/iq151/minigraf.o \
	$(OBJDIR)/src/devices/bus/iq151/ms151a.o \
	$(OBJDIR)/src/devices/bus/iq151/rom.o \
	$(OBJDIR)/src/devices/bus/iq151/staper.o \
	$(OBJDIR)/src/devices/bus/iq151/video32.o \
	$(OBJDIR)/src/devices/bus/iq151/video64.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi7000.o \
	$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o \
	$(OBJDIR)/src/devices/bus/intv/slot.o \
	$(OBJDIR)/src/devices/bus/intv/rom.o \
	$(OBJDIR)/src/devices/bus/intv/voice.o \
	$(OBJDIR)/src/devices/bus/intv/ecs.o \
	$(OBJDIR)/src/devices/bus/isa/isa.o \
	$(OBJDIR)/src/devices/bus/isa/isa_cards.o \
	$(OBJDIR)/src/devices/bus/isa/mda.o \
	$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o \
	$(OBJDIR)/src/devices/bus/isa/adlib.o \
	$(OBJDIR)/src/devices/bus/isa/com.o \
	$(OBJDIR)/src/devices/bus/isa/fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mufdc.o \
	$(OBJDIR)/src/devices/bus/isa/finalchs.o \
	$(OBJDIR)/src/devices/bus/isa/gblaster.o \
	$(OBJDIR)/src/devices/bus/isa/gus.o \
	$(OBJDIR)/src/devices/bus/isa/sb16.o \
	$(OBJDIR)/src/devices/bus/isa/hdc.o \
	$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o \
	$(OBJDIR)/src/devices/bus/isa/mpu401.o \
	$(OBJDIR)/src/devices/bus/isa/sblaster.o \
	$(OBJDIR)/src/devices/bus/isa/stereo_fx.o \
	$(OBJDIR)/src/devices/bus/isa/ssi2001.o \
	$(OBJDIR)/src/devices/bus/isa/ide.o \
	$(OBJDIR)/src/devices/bus/isa/xtide.o \
	$(OBJDIR)/src/devices/bus/isa/side116.o \
	$(OBJDIR)/src/devices/bus/isa/aha1542.o \
	$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o \
	$(OBJDIR)/src/devices/bus/isa/dectalk.o \
	$(OBJDIR)/src/devices/bus/isa/pds.o \
	$(OBJDIR)/src/devices/bus/isa/omti8621.o \
	$(OBJDIR)/src/devices/bus/isa/cga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o \
	$(OBJDIR)/src/devices/bus/isa/ega.o \
	$(OBJDIR)/src/devices/bus/isa/pgc.o \
	$(OBJDIR)/src/devices/bus/isa/vga.o \
	$(OBJDIR)/src/devices/bus/isa/vga_ati.o \
	$(OBJDIR)/src/devices/bus/isa/mach32.o \
	$(OBJDIR)/src/devices/bus/isa/svga_tseng.o \
	$(OBJDIR)/src/devices/bus/isa/svga_s3.o \
	$(OBJDIR)/src/devices/bus/isa/s3virge.o \
	$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o \
	$(OBJDIR)/src/devices/bus/isa/3c503.o \
	$(OBJDIR)/src/devices/bus/isa/ne1000.o \
	$(OBJDIR)/src/devices/bus/isa/ne2000.o \
	$(OBJDIR)/src/devices/bus/isa/3c505.o \
	$(OBJDIR)/src/devices/bus/isa/lpt.o \
	$(OBJDIR)/src/devices/bus/isa/p1_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_hdc.o \
	$(OBJDIR)/src/devices/bus/isa/p1_rom.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o \
	$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o \
	$(OBJDIR)/src/devices/bus/isa/xsu_cards.o \
	$(OBJDIR)/src/devices/bus/isa/sc499.o \
	$(OBJDIR)/src/devices/bus/isa/aga.o \
	$(OBJDIR)/src/devices/bus/isa/svga_trident.o \
	$(OBJDIR)/src/devices/bus/isa/num9rev.o \
	$(OBJDIR)/src/devices/bus/isbx/isbx.o \
	$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o \
	$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o \
	$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o \
	$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_slot/disk.o \
	$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o \
	$(OBJDIR)/src/devices/bus/msx_slot/music.o \
	$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o \
	$(OBJDIR)/src/devices/bus/msx_slot/rom.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram.o \
	$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o \
	$(OBJDIR)/src/devices/bus/msx_slot/slot.o \
	$(OBJDIR)/src/devices/bus/msx_slot/sony08.o \
	$(OBJDIR)/src/devices/bus/msx_cart/arc.o \
	$(OBJDIR)/src/devices/bus/msx_cart/ascii.o \
	$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o \
	$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o \
	$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o \
	$(OBJDIR)/src/devices/bus/msx_cart/disk.o \
	$(OBJDIR)/src/devices/bus/msx_cart/dooly.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o \
	$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o \
	$(OBJDIR)/src/devices/bus/msx_cart/halnote.o \
	$(OBJDIR)/src/devices/bus/msx_cart/hfox.o \
	$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o \
	$(OBJDIR)/src/devices/bus/msx_cart/konami.o \
	$(OBJDIR)/src/devices/bus/msx_cart/korean.o \
	$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o \
	$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o \
	$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o \
	$(OBJDIR)/src/devices/bus/msx_cart/rtype.o \
	$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o \
	$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o \
	$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o \
	$(OBJDIR)/src/devices/bus/kc/kc.o \
	$(OBJDIR)/src/devices/bus/kc/d002.o \
	$(OBJDIR)/src/devices/bus/kc/d004.o \
	$(OBJDIR)/src/devices/bus/kc/ram.o \
	$(OBJDIR)/src/devices/bus/kc/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/slot.o \
	$(OBJDIR)/src/devices/bus/odyssey2/rom.o \
	$(OBJDIR)/src/devices/bus/odyssey2/chess.o \
	$(OBJDIR)/src/devices/bus/odyssey2/voice.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o \
	$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o \
	$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o \
	$(OBJDIR)/src/devices/bus/pet/cass.o \
	$(OBJDIR)/src/devices/bus/pet/c2n.o \
	$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o \
	$(OBJDIR)/src/devices/bus/pet/exp.o \
	$(OBJDIR)/src/devices/bus/pet/64k.o \
	$(OBJDIR)/src/devices/bus/pet/hsg.o \
	$(OBJDIR)/src/devices/bus/pet/superpet.o \
	$(OBJDIR)/src/devices/bus/pet/user.o \
	$(OBJDIR)/src/devices/bus/pet/diag.o \
	$(OBJDIR)/src/devices/bus/pet/petuja.o \
	$(OBJDIR)/src/devices/bus/pet/cb2snd.o \
	$(OBJDIR)/src/devices/bus/plus4/exp.o \
	$(OBJDIR)/src/devices/bus/plus4/c1551.o \
	$(OBJDIR)/src/devices/bus/plus4/sid.o \
	$(OBJDIR)/src/devices/bus/plus4/std.o \
	$(OBJDIR)/src/devices/bus/plus4/user.o \
	$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o \
	$(OBJDIR)/src/devices/bus/s100/s100.o \
	$(OBJDIR)/src/devices/bus/s100/dj2db.o \
	$(OBJDIR)/src/devices/bus/s100/djdma.o \
	$(OBJDIR)/src/devices/bus/s100/mm65k16s.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsa.o \
	$(OBJDIR)/src/devices/bus/s100/nsmdsad.o \
	$(OBJDIR)/src/devices/bus/s100/wunderbus.o \
	$(OBJDIR)/src/devices/bus/spc1000/exp.o \
	$(OBJDIR)/src/devices/bus/spc1000/fdd.o \
	$(OBJDIR)/src/devices/bus/spc1000/vdp.o \
	$(OBJDIR)/src/devices/bus/tiki100/exp.o \
	$(OBJDIR)/src/devices/bus/tiki100/8088.o \
	$(OBJDIR)/src/devices/bus/tiki100/hdc.o \
	$(OBJDIR)/src/devices/bus/tvc/tvc.o \
	$(OBJDIR)/src/devices/bus/tvc/hbf.o \
	$(OBJDIR)/src/devices/bus/vc4000/slot.o \
	$(OBJDIR)/src/devices/bus/vc4000/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o \
	$(OBJDIR)/src/devices/bus/vcs/rom.o \
	$(OBJDIR)/src/devices/bus/vcs/compumat.o \
	$(OBJDIR)/src/devices/bus/vcs/dpc.o \
	$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o \
	$(OBJDIR)/src/devices/bus/vcs/scharger.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o \
	$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o \
	$(OBJDIR)/src/devices/bus/vectrex/slot.o \
	$(OBJDIR)/src/devices/bus/vectrex/rom.o \
	$(OBJDIR)/src/devices/bus/vic10/exp.o \
	$(OBJDIR)/src/devices/bus/vic10/std.o \
	$(OBJDIR)/src/devices/bus/vic20/exp.o \
	$(OBJDIR)/src/devices/bus/vic20/fe3.o \
	$(OBJDIR)/src/devices/bus/vic20/megacart.o \
	$(OBJDIR)/src/devices/bus/vic20/std.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1010.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1110.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1111.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1112.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1210.o \
	$(OBJDIR)/src/devices/bus/vic20/user.o \
	$(OBJDIR)/src/devices/bus/vic20/4cga.o \
	$(OBJDIR)/src/devices/bus/vic20/vic1011.o \
	$(OBJDIR)/src/devices/bus/vidbrain/exp.o \
	$(OBJDIR)/src/devices/bus/vidbrain/std.o \
	$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o \
	$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o \
	$(OBJDIR)/src/devices/bus/vip/byteio.o \
	$(OBJDIR)/src/devices/bus/vip/vp620.o \
	$(OBJDIR)/src/devices/bus/vip/exp.o \
	$(OBJDIR)/src/devices/bus/vip/vp550.o \
	$(OBJDIR)/src/devices/bus/vip/vp570.o \
	$(OBJDIR)/src/devices/bus/vip/vp575.o \
	$(OBJDIR)/src/devices/bus/vip/vp585.o \
	$(OBJDIR)/src/devices/bus/vip/vp590.o \
	$(OBJDIR)/src/devices/bus/vip/vp595.o \
	$(OBJDIR)/src/devices/bus/vip/vp700.o \
	$(OBJDIR)/src/devices/bus/wangpc/wangpc.o \
	$(OBJDIR)/src/devices/bus/wangpc/emb.o \
	$(OBJDIR)/src/devices/bus/wangpc/lic.o \
	$(OBJDIR)/src/devices/bus/wangpc/lvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mcc.o \
	$(OBJDIR)/src/devices/bus/wangpc/mvc.o \
	$(OBJDIR)/src/devices/bus/wangpc/rtc.o \
	$(OBJDIR)/src/devices/bus/wangpc/tig.o \
	$(OBJDIR)/src/devices/bus/wangpc/wdc.o \
	$(OBJDIR)/src/devices/bus/z88/z88.o \
	$(OBJDIR)/src/devices/bus/z88/flash.o \
	$(OBJDIR)/src/devices/bus/z88/ram.o \
	$(OBJDIR)/src/devices/bus/z88/rom.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2bus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2lang.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2themill.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2sam.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o \
	$(OBJDIR)/src/devices/bus/a2bus/laser128.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2midi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2pic.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o \
	$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o \
	$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o \
	$(OBJDIR)/src/devices/bus/a2bus/mouse.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o \
	$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o \
	$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_image.o \
	$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o \
	$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o \
	$(OBJDIR)/src/devices/bus/centronics/ctronics.o \
	$(OBJDIR)/src/devices/bus/centronics/comxpl80.o \
	$(OBJDIR)/src/devices/bus/centronics/covox.o \
	$(OBJDIR)/src/devices/bus/centronics/dsjoy.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o \
	$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o \
	$(OBJDIR)/src/devices/bus/centronics/nec_p72.o \
	$(OBJDIR)/src/devices/bus/centronics/printer.o \
	$(OBJDIR)/src/devices/bus/centronics/digiblst.o \
	$(OBJDIR)/src/devices/bus/rs232/keyboard.o \
	$(OBJDIR)/src/devices/bus/rs232/loopback.o \
	$(OBJDIR)/src/devices/bus/rs232/null_modem.o \
	$(OBJDIR)/src/devices/bus/rs232/printer.o \
	$(OBJDIR)/src/devices/bus/rs232/rs232.o \
	$(OBJDIR)/src/devices/bus/rs232/pty.o \
	$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o \
	$(OBJDIR)/src/devices/bus/rs232/terminal.o \
	$(OBJDIR)/src/devices/bus/rs232/xvd701.o \
	$(OBJDIR)/src/devices/bus/midi/midi.o \
	$(OBJDIR)/src/devices/bus/midi/midiinport.o \
	$(OBJDIR)/src/devices/bus/midi/midioutport.o \
	$(OBJDIR)/src/devices/bus/lpci/pci.o \
	$(OBJDIR)/src/devices/bus/lpci/cirrus.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371ab.o \
	$(OBJDIR)/src/devices/bus/lpci/i82371sb.o \
	$(OBJDIR)/src/devices/bus/lpci/i82439tx.o \
	$(OBJDIR)/src/devices/bus/lpci/northbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/southbridge.o \
	$(OBJDIR)/src/devices/bus/lpci/mpc105.o \
	$(OBJDIR)/src/devices/bus/lpci/vt82c505.o \
	$(OBJDIR)/src/devices/bus/nes/nes_slot.o \
	$(OBJDIR)/src/devices/bus/nes/nes_carts.o \
	$(OBJDIR)/src/devices/bus/nes/2a03pur.o \
	$(OBJDIR)/src/devices/bus/nes/act53.o \
	$(OBJDIR)/src/devices/bus/nes/aladdin.o \
	$(OBJDIR)/src/devices/bus/nes/ave.o \
	$(OBJDIR)/src/devices/bus/nes/bandai.o \
	$(OBJDIR)/src/devices/bus/nes/benshieng.o \
	$(OBJDIR)/src/devices/bus/nes/bootleg.o \
	$(OBJDIR)/src/devices/bus/nes/camerica.o \
	$(OBJDIR)/src/devices/bus/nes/cne.o \
	$(OBJDIR)/src/devices/bus/nes/cony.o \
	$(OBJDIR)/src/devices/bus/nes/datach.o \
	$(OBJDIR)/src/devices/bus/nes/discrete.o \
	$(OBJDIR)/src/devices/bus/nes/disksys.o \
	$(OBJDIR)/src/devices/bus/nes/event.o \
	$(OBJDIR)/src/devices/bus/nes/ggenie.o \
	$(OBJDIR)/src/devices/bus/nes/henggedianzi.o \
	$(OBJDIR)/src/devices/bus/nes/hes.o \
	$(OBJDIR)/src/devices/bus/nes/hosenkan.o \
	$(OBJDIR)/src/devices/bus/nes/irem.o \
	$(OBJDIR)/src/devices/bus/nes/jaleco.o \
	$(OBJDIR)/src/devices/bus/nes/jy.o \
	$(OBJDIR)/src/devices/bus/nes/kaiser.o \
	$(OBJDIR)/src/devices/bus/nes/karastudio.o \
	$(OBJDIR)/src/devices/bus/nes/konami.o \
	$(OBJDIR)/src/devices/bus/nes/legacy.o \
	$(OBJDIR)/src/devices/bus/nes/mmc1.o \
	$(OBJDIR)/src/devices/bus/nes/mmc2.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3.o \
	$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o \
	$(OBJDIR)/src/devices/bus/nes/mmc5.o \
	$(OBJDIR)/src/devices/bus/nes/multigame.o \
	$(OBJDIR)/src/devices/bus/nes/namcot.o \
	$(OBJDIR)/src/devices/bus/nes/nanjing.o \
	$(OBJDIR)/src/devices/bus/nes/ntdec.o \
	$(OBJDIR)/src/devices/bus/nes/nxrom.o \
	$(OBJDIR)/src/devices/bus/nes/pirate.o \
	$(OBJDIR)/src/devices/bus/nes/pt554.o \
	$(OBJDIR)/src/devices/bus/nes/racermate.o \
	$(OBJDIR)/src/devices/bus/nes/rcm.o \
	$(OBJDIR)/src/devices/bus/nes/rexsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sachen.o \
	$(OBJDIR)/src/devices/bus/nes/somari.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft.o \
	$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o \
	$(OBJDIR)/src/devices/bus/nes/taito.o \
	$(OBJDIR)/src/devices/bus/nes/tengen.o \
	$(OBJDIR)/src/devices/bus/nes/txc.o \
	$(OBJDIR)/src/devices/bus/nes/waixing.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o \
	$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o \
	$(OBJDIR)/src/devices/bus/snes/snes_slot.o \
	$(OBJDIR)/src/devices/bus/snes/snes_carts.o \
	$(OBJDIR)/src/devices/bus/snes/bsx.o \
	$(OBJDIR)/src/devices/bus/snes/event.o \
	$(OBJDIR)/src/devices/bus/snes/rom.o \
	$(OBJDIR)/src/devices/bus/snes/rom21.o \
	$(OBJDIR)/src/devices/bus/snes/sa1.o \
	$(OBJDIR)/src/devices/bus/snes/sdd1.o \
	$(OBJDIR)/src/devices/bus/snes/sfx.o \
	$(OBJDIR)/src/devices/bus/snes/sgb.o \
	$(OBJDIR)/src/devices/bus/snes/spc7110.o \
	$(OBJDIR)/src/devices/bus/snes/sufami.o \
	$(OBJDIR)/src/devices/bus/snes/upd.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o \
	$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o \
	$(OBJDIR)/src/devices/bus/vboy/slot.o \
	$(OBJDIR)/src/devices/bus/vboy/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_slot.o \
	$(OBJDIR)/src/devices/bus/megadrive/md_carts.o \
	$(OBJDIR)/src/devices/bus/megadrive/eeprom.o \
	$(OBJDIR)/src/devices/bus/megadrive/ggenie.o \
	$(OBJDIR)/src/devices/bus/megadrive/jcart.o \
	$(OBJDIR)/src/devices/bus/megadrive/rom.o \
	$(OBJDIR)/src/devices/bus/megadrive/sk.o \
	$(OBJDIR)/src/devices/bus/megadrive/stm95.o \
	$(OBJDIR)/src/devices/bus/megadrive/svp.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o \
	$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o \
	$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o \
	$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o \
	$(OBJDIR)/src/devices/bus/neogeo/rom.o \
	$(OBJDIR)/src/devices/bus/saturn/sat_slot.o \
	$(OBJDIR)/src/devices/bus/saturn/bram.o \
	$(OBJDIR)/src/devices/bus/saturn/dram.o \
	$(OBJDIR)/src/devices/bus/saturn/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o \
	$(OBJDIR)/src/devices/bus/sega8/rom.o \
	$(OBJDIR)/src/devices/bus/sega8/ccatch.o \
	$(OBJDIR)/src/devices/bus/sega8/mgear.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o \
	$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o \
	$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o \
	$(OBJDIR)/src/devices/bus/sms_exp/gender.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_dk.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_hd.o \
	$(OBJDIR)/src/devices/bus/ti99x/990_tap.o \
	$(OBJDIR)/src/devices/bus/ti99x/998board.o \
	$(OBJDIR)/src/devices/bus/ti99x/datamux.o \
	$(OBJDIR)/src/devices/bus/ti99x/genboard.o \
	$(OBJDIR)/src/devices/bus/ti99x/grom.o \
	$(OBJDIR)/src/devices/bus/ti99x/gromport.o \
	$(OBJDIR)/src/devices/bus/ti99x/handset.o \
	$(OBJDIR)/src/devices/bus/ti99x/joyport.o \
	$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o \
	$(OBJDIR)/src/devices/bus/ti99x/videowrp.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/memex.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o \
	$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o \
	$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o \
	$(OBJDIR)/src/devices/bus/gameboy/rom.o \
	$(OBJDIR)/src/devices/bus/gameboy/mbc.o \
	$(OBJDIR)/src/devices/bus/gamegear/ggext.o \
	$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o \
	$(OBJDIR)/src/devices/bus/gba/gba_slot.o \
	$(OBJDIR)/src/devices/bus/gba/rom.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3bus.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o \
	$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o \
	$(OBJDIR)/src/devices/bus/coco/cococart.o \
	$(OBJDIR)/src/devices/bus/coco/coco_232.o \
	$(OBJDIR)/src/devices/bus/coco/coco_orch90.o \
	$(OBJDIR)/src/devices/bus/coco/coco_pak.o \
	$(OBJDIR)/src/devices/bus/coco/coco_fdc.o \
	$(OBJDIR)/src/devices/bus/coco/coco_multi.o \
	$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o \
	$(OBJDIR)/src/devices/bus/cpc/cpcexp.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o \
	$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o \
	$(OBJDIR)/src/devices/bus/cpc/mface2.o \
	$(OBJDIR)/src/devices/bus/cpc/symbfac2.o \
	$(OBJDIR)/src/devices/bus/cpc/amdrum.o \
	$(OBJDIR)/src/devices/bus/cpc/playcity.o \
	$(OBJDIR)/src/devices/bus/cpc/smartwatch.o \
	$(OBJDIR)/src/devices/bus/cpc/brunword4.o \
	$(OBJDIR)/src/devices/bus/cpc/hd20.o \
	$(OBJDIR)/src/devices/bus/cpc/ddi1.o \
	$(OBJDIR)/src/devices/bus/cpc/magicsound.o \
	$(OBJDIR)/src/devices/bus/cpc/doubler.o \
	$(OBJDIR)/src/devices/bus/cpc/transtape.o \
	$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o \
	$(OBJDIR)/src/devices/bus/epson_sio/pf10.o \
	$(OBJDIR)/src/devices/bus/epson_sio/tf20.o \
	$(OBJDIR)/src/devices/bus/pce/pce_slot.o \
	$(OBJDIR)/src/devices/bus/pce/pce_rom.o \
	$(OBJDIR)/src/devices/bus/scv/slot.o \
	$(OBJDIR)/src/devices/bus/scv/rom.o \
	$(OBJDIR)/src/devices/bus/x68k/x68kexp.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o \
	$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o \
	$(OBJDIR)/src/devices/bus/abckb/abckb.o \
	$(OBJDIR)/src/devices/bus/abckb/abc77.o \
	$(OBJDIR)/src/devices/bus/abckb/abc99.o \
	$(OBJDIR)/src/devices/bus/abckb/abc800kb.o \
	$(OBJDIR)/src/devices/bus/compucolor/floppy.o \
	$(OBJDIR)/src/devices/bus/scsi/scsi.o \
	$(OBJDIR)/src/devices/bus/scsi/scsicd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihd.o \
	$(OBJDIR)/src/devices/bus/scsi/scsihle.o \
	$(OBJDIR)/src/devices/bus/scsi/cdu76s.o \
	$(OBJDIR)/src/devices/bus/scsi/acb4070.o \
	$(OBJDIR)/src/devices/bus/scsi/d9060hd.o \
	$(OBJDIR)/src/devices/bus/scsi/sa1403d.o \
	$(OBJDIR)/src/devices/bus/scsi/s1410.o \
	$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o \
	$(OBJDIR)/src/devices/bus/scsi/omti5100.o \
	$(OBJDIR)/src/devices/bus/macpds/macpds.o \
	$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o \
	$(OBJDIR)/src/devices/bus/oricext/oricext.o \
	$(OBJDIR)/src/devices/bus/oricext/jasmin.o \
	$(OBJDIR)/src/devices/bus/oricext/microdisc.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1bus.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o \
	$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o \
	$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o \
	$(OBJDIR)/src/devices/bus/ql/exp.o \
	$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o \
	$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o \
	$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/kempston_di.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o \
	$(OBJDIR)/src/devices/bus/ql/mp_fdi.o \
	$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o \
	$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o \
	$(OBJDIR)/src/devices/bus/ql/qubide.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o \
	$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o \
	$(OBJDIR)/src/devices/bus/ql/trumpcard.o \
	$(OBJDIR)/src/devices/bus/ql/rom.o \
	$(OBJDIR)/src/devices/bus/ql/miracle_hd.o \
	$(OBJDIR)/src/devices/bus/ql/std.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o \
	$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o \
	$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o \
	$(OBJDIR)/src/devices/bus/wswan/slot.o \
	$(OBJDIR)/src/devices/bus/wswan/rom.o \
	$(OBJDIR)/src/devices/bus/psx/ctlrport.o \
	$(OBJDIR)/src/devices/bus/psx/analogue.o \
	$(OBJDIR)/src/devices/bus/psx/multitap.o \
	$(OBJDIR)/src/devices/bus/psx/memcard.o \
	$(OBJDIR)/src/devices/bus/nasbus/nasbus.o \
	$(OBJDIR)/src/devices/bus/nasbus/cards.o \
	$(OBJDIR)/src/devices/bus/nasbus/avc.o \
	$(OBJDIR)/src/devices/bus/nasbus/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o \
	$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/devices/bus/abckb \
	$(OBJDIR)/src/devices/bus/lpci \
	$(OBJDIR)/src/devices/bus/generic \
	$(OBJDIR)/src/devices/bus/cbmiec \
	$(OBJDIR)/src/devices/bus/a1bus \
	$(OBJDIR)/src/devices/bus/a2bus \
	$(OBJDIR)/src/devices/bus/vidbrain \
	$(OBJDIR)/src/devices/bus/c64 \
	$(OBJDIR)/src/devices/bus/vcs_ctrl \
	$(OBJDIR)/src/devices/bus/pet \
	$(OBJDIR)/src/devices/bus/nasbus \
	$(OBJDIR)/src/devices/bus/pc_kbd \
	$(OBJDIR)/src/devices/bus/pc_joy \
	$(OBJDIR)/src/devices/bus/scsi \
	$(OBJDIR)/src/devices/bus/snes \
	$(OBJDIR)/src/devices/bus/adamnet \
	$(OBJDIR)/src/devices/bus/nubus \
	$(OBJDIR)/src/devices/bus/kc \
	$(OBJDIR)/src/devices/bus/ieee488 \
	$(OBJDIR)/src/devices/bus/snes_ctrl \
	$(OBJDIR)/src/devices/bus/vip \
	$(OBJDIR)/src/devices/bus/neogeo \
	$(OBJDIR)/src/devices/bus/arcadia \
	$(OBJDIR)/src/devices/bus/gba \
	$(OBJDIR)/src/devices/bus/rs232 \
	$(OBJDIR)/src/devices/bus/ql \
	$(OBJDIR)/src/devices/bus/megadrive \
	$(OBJDIR)/src/devices/bus/cpc \
	$(OBJDIR)/src/devices/bus/z88 \
	$(OBJDIR)/src/devices/bus/centronics \
	$(OBJDIR)/src/devices/bus/spc1000 \
	$(OBJDIR)/src/devices/bus/crvision \
	$(OBJDIR)/src/devices/bus/coco \
	$(OBJDIR)/src/devices/bus/ep64 \
	$(OBJDIR)/src/devices/bus/psx \
	$(OBJDIR)/src/devices/bus/vectrex \
	$(OBJDIR)/src/devices/bus/ecbbus \
	$(OBJDIR)/src/devices/bus/cgenie/parallel \
	$(OBJDIR)/src/devices/bus/bw2 \
	$(OBJDIR)/src/devices/bus/vcs \
	$(OBJDIR)/src/devices/bus/msx_slot \
	$(OBJDIR)/src/devices/bus/a7800 \
	$(OBJDIR)/src/devices/bus/isa \
	$(OBJDIR)/src/devices/bus/sms_exp \
	$(OBJDIR)/src/devices/bus/wangpc \
	$(OBJDIR)/src/devices/bus/apricot \
	$(OBJDIR)/src/devices/bus/iq151 \
	$(OBJDIR)/src/devices/bus/saturn \
	$(OBJDIR)/src/devices/bus/nes \
	$(OBJDIR)/src/devices/bus/cgenie/expansion \
	$(OBJDIR)/src/devices/bus/wswan \
	$(OBJDIR)/src/devices/bus/epson_sio \
	$(OBJDIR)/src/devices/bus/vtech/memexp \
	$(OBJDIR)/src/devices/bus/vic10 \
	$(OBJDIR)/src/devices/bus/apf \
	$(OBJDIR)/src/devices/bus/nes_ctrl \
	$(OBJDIR)/src/devices/bus/gameboy \
	$(OBJDIR)/src/devices/bus/amiga/zorro \
	$(OBJDIR)/src/devices/bus/adam \
	$(OBJDIR)/src/devices/bus/msx_cart \
	$(OBJDIR)/src/devices/bus/oricext \
	$(OBJDIR)/src/devices/bus/odyssey2 \
	$(OBJDIR)/src/devices/bus/vic20 \
	$(OBJDIR)/src/devices/bus/vboy \
	$(OBJDIR)/src/devices/bus/astrocde \
	$(OBJDIR)/src/devices/bus/macpds \
	$(OBJDIR)/src/devices/bus/ti99_peb \
	$(OBJDIR)/src/devices/bus/compucolor \
	$(OBJDIR)/src/devices/bus/x68k \
	$(OBJDIR)/src/devices/bus/scv \
	$(OBJDIR)/src/devices/bus/ti99x \
	$(OBJDIR)/src/devices/bus/cbm2 \
	$(OBJDIR)/src/devices/bus/comx35 \
	$(OBJDIR)/src/devices/bus/vtech/ioexp \
	$(OBJDIR)/src/devices/bus/a800 \
	$(OBJDIR)/src/devices/bus/bml3 \
	$(OBJDIR)/src/devices/bus/midi \
	$(OBJDIR)/src/devices/bus/vc4000 \
	$(OBJDIR)/src/devices/bus/gamegear \
	$(OBJDIR)/src/devices/bus/pce \
	$(OBJDIR)/src/devices/bus/tiki100 \
	$(OBJDIR)/src/devices/bus/imi7000 \
	$(OBJDIR)/src/devices/bus/sms_ctrl \
	$(OBJDIR)/src/devices/bus/sega8 \
	$(OBJDIR)/src/devices/bus/tvc \
	$(OBJDIR)/src/devices/bus/coleco \
	$(OBJDIR)/src/devices/bus/plus4 \
	$(OBJDIR)/src/devices/bus/chanf \
	$(OBJDIR)/src/devices/bus/econet \
	$(OBJDIR)/src/devices/bus/intv \
	$(OBJDIR)/src/devices/bus/abcbus \
	$(OBJDIR)/src/devices/bus/isbx \
	$(OBJDIR)/src/devices/bus/dmv \
	$(OBJDIR)/src/devices/bus/s100 \
	../../../../generated/emu/layout \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

define max_args
	$(eval _args:=)
	$(foreach obj,$3,$(eval _args+=$(obj))$(if $(word $2,$(_args)),$1$(_args)$(EOL)$(eval _args:=)))
	$(if $(_args),$1$(_args))
endef

define EOL


endef

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(call RM,$(TARGET))
	@$(call max_args,$(LINKCMD),200,$(OBJECTS))
	$(SILENT) $(LINKCMD_NDX)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/devices/bus/a7800/a78_slot.o: ../../../../../src/devices/bus/a7800/a78_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a7800/rom.o: ../../../../../src/devices/bus/a7800/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a7800/hiscore.o: ../../../../../src/devices/bus/a7800/hiscore.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a7800/xboard.o: ../../../../../src/devices/bus/a7800/xboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a7800/cpuwiz.o: ../../../../../src/devices/bus/a7800/cpuwiz.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/a8sio.o: ../../../../../src/devices/bus/a800/a8sio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/cassette.o: ../../../../../src/devices/bus/a800/cassette.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/a800_slot.o: ../../../../../src/devices/bus/a800/a800_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/rom.o: ../../../../../src/devices/bus/a800/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/oss.o: ../../../../../src/devices/bus/a800/oss.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a800/sparta.o: ../../../../../src/devices/bus/a800/sparta.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/abcbus.o: ../../../../../src/devices/bus/abcbus/abcbus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/abc890.o: ../../../../../src/devices/bus/abcbus/abc890.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/fd2.o: ../../../../../src/devices/bus/abcbus/fd2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/hdc.o: ../../../../../src/devices/bus/abcbus/hdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/lux10828.o: ../../../../../src/devices/bus/abcbus/lux10828.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/lux21046.o: ../../../../../src/devices/bus/abcbus/lux21046.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/lux21056.o: ../../../../../src/devices/bus/abcbus/lux21056.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/lux4105.o: ../../../../../src/devices/bus/abcbus/lux4105.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/memcard.o: ../../../../../src/devices/bus/abcbus/memcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/ram.o: ../../../../../src/devices/bus/abcbus/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/sio.o: ../../../../../src/devices/bus/abcbus/sio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/slutprov.o: ../../../../../src/devices/bus/abcbus/slutprov.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/turbo.o: ../../../../../src/devices/bus/abcbus/turbo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abcbus/uni800.o: ../../../../../src/devices/bus/abcbus/uni800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adam/exp.o: ../../../../../src/devices/bus/adam/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adam/adamlink.o: ../../../../../src/devices/bus/adam/adamlink.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adam/ide.o: ../../../../../src/devices/bus/adam/ide.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adam/ram.o: ../../../../../src/devices/bus/adam/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/adamnet.o: ../../../../../src/devices/bus/adamnet/adamnet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/ddp.o: ../../../../../src/devices/bus/adamnet/ddp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/fdc.o: ../../../../../src/devices/bus/adamnet/fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/kb.o: ../../../../../src/devices/bus/adamnet/kb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/printer.o: ../../../../../src/devices/bus/adamnet/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/adamnet/spi.o: ../../../../../src/devices/bus/adamnet/spi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/apf/slot.o: ../../../../../src/devices/bus/apf/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/apf/rom.o: ../../../../../src/devices/bus/apf/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/apricot/expansion.o: ../../../../../src/devices/bus/apricot/expansion.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/apricot/cards.o: ../../../../../src/devices/bus/apricot/cards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/apricot/ram.o: ../../../../../src/devices/bus/apricot/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/arcadia/slot.o: ../../../../../src/devices/bus/arcadia/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/arcadia/rom.o: ../../../../../src/devices/bus/arcadia/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/astrocde/slot.o: ../../../../../src/devices/bus/astrocde/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/astrocde/rom.o: ../../../../../src/devices/bus/astrocde/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/astrocde/exp.o: ../../../../../src/devices/bus/astrocde/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/astrocde/ram.o: ../../../../../src/devices/bus/astrocde/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bw2/exp.o: ../../../../../src/devices/bus/bw2/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bw2/ramcard.o: ../../../../../src/devices/bus/bw2/ramcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/exp.o: ../../../../../src/devices/bus/c64/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/c128_comal80.o: ../../../../../src/devices/bus/c64/c128_comal80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/c128_partner.o: ../../../../../src/devices/bus/c64/c128_partner.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/comal80.o: ../../../../../src/devices/bus/c64/comal80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/cpm.o: ../../../../../src/devices/bus/c64/cpm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/currah_speech.o: ../../../../../src/devices/bus/c64/currah_speech.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/dela_ep256.o: ../../../../../src/devices/bus/c64/dela_ep256.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/dela_ep64.o: ../../../../../src/devices/bus/c64/dela_ep64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/dela_ep7x8.o: ../../../../../src/devices/bus/c64/dela_ep7x8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/dinamic.o: ../../../../../src/devices/bus/c64/dinamic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/dqbb.o: ../../../../../src/devices/bus/c64/dqbb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/easy_calc_result.o: ../../../../../src/devices/bus/c64/easy_calc_result.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/easyflash.o: ../../../../../src/devices/bus/c64/easyflash.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/epyx_fast_load.o: ../../../../../src/devices/bus/c64/epyx_fast_load.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/exos.o: ../../../../../src/devices/bus/c64/exos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/fcc.o: ../../../../../src/devices/bus/c64/fcc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/final.o: ../../../../../src/devices/bus/c64/final.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/final3.o: ../../../../../src/devices/bus/c64/final3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/fun_play.o: ../../../../../src/devices/bus/c64/fun_play.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/georam.o: ../../../../../src/devices/bus/c64/georam.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/ide64.o: ../../../../../src/devices/bus/c64/ide64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/ieee488.o: ../../../../../src/devices/bus/c64/ieee488.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/kingsoft.o: ../../../../../src/devices/bus/c64/kingsoft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/mach5.o: ../../../../../src/devices/bus/c64/mach5.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/magic_desk.o: ../../../../../src/devices/bus/c64/magic_desk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/magic_formel.o: ../../../../../src/devices/bus/c64/magic_formel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/magic_voice.o: ../../../../../src/devices/bus/c64/magic_voice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/midi_maplin.o: ../../../../../src/devices/bus/c64/midi_maplin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/midi_namesoft.o: ../../../../../src/devices/bus/c64/midi_namesoft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/midi_passport.o: ../../../../../src/devices/bus/c64/midi_passport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/midi_sci.o: ../../../../../src/devices/bus/c64/midi_sci.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/midi_siel.o: ../../../../../src/devices/bus/c64/midi_siel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/mikro_assembler.o: ../../../../../src/devices/bus/c64/mikro_assembler.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/multiscreen.o: ../../../../../src/devices/bus/c64/multiscreen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/music64.o: ../../../../../src/devices/bus/c64/music64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/neoram.o: ../../../../../src/devices/bus/c64/neoram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/ocean.o: ../../../../../src/devices/bus/c64/ocean.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/pagefox.o: ../../../../../src/devices/bus/c64/pagefox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/partner.o: ../../../../../src/devices/bus/c64/partner.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/prophet64.o: ../../../../../src/devices/bus/c64/prophet64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/ps64.o: ../../../../../src/devices/bus/c64/ps64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/reu.o: ../../../../../src/devices/bus/c64/reu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/rex.o: ../../../../../src/devices/bus/c64/rex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/rex_ep256.o: ../../../../../src/devices/bus/c64/rex_ep256.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/ross.o: ../../../../../src/devices/bus/c64/ross.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/sfx_sound_expander.o: ../../../../../src/devices/bus/c64/sfx_sound_expander.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/silverrock.o: ../../../../../src/devices/bus/c64/silverrock.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/simons_basic.o: ../../../../../src/devices/bus/c64/simons_basic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/stardos.o: ../../../../../src/devices/bus/c64/stardos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/std.o: ../../../../../src/devices/bus/c64/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/structured_basic.o: ../../../../../src/devices/bus/c64/structured_basic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/super_explode.o: ../../../../../src/devices/bus/c64/super_explode.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/super_games.o: ../../../../../src/devices/bus/c64/super_games.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/supercpu.o: ../../../../../src/devices/bus/c64/supercpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/sw8k.o: ../../../../../src/devices/bus/c64/sw8k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/swiftlink.o: ../../../../../src/devices/bus/c64/swiftlink.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/system3.o: ../../../../../src/devices/bus/c64/system3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/tdos.o: ../../../../../src/devices/bus/c64/tdos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/turbo232.o: ../../../../../src/devices/bus/c64/turbo232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/vizastar.o: ../../../../../src/devices/bus/c64/vizastar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/vw64.o: ../../../../../src/devices/bus/c64/vw64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/warp_speed.o: ../../../../../src/devices/bus/c64/warp_speed.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/westermann.o: ../../../../../src/devices/bus/c64/westermann.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/xl80.o: ../../../../../src/devices/bus/c64/xl80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/zaxxon.o: ../../../../../src/devices/bus/c64/zaxxon.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/user.o: ../../../../../src/devices/bus/c64/user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/4dxh.o: ../../../../../src/devices/bus/c64/4dxh.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/4ksa.o: ../../../../../src/devices/bus/c64/4ksa.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/4tba.o: ../../../../../src/devices/bus/c64/4tba.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/16kb.o: ../../../../../src/devices/bus/c64/16kb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/bn1541.o: ../../../../../src/devices/bus/c64/bn1541.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/c64/geocable.o: ../../../../../src/devices/bus/c64/geocable.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbm2/exp.o: ../../../../../src/devices/bus/cbm2/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbm2/24k.o: ../../../../../src/devices/bus/cbm2/24k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbm2/hrg.o: ../../../../../src/devices/bus/cbm2/hrg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbm2/std.o: ../../../../../src/devices/bus/cbm2/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbm2/user.o: ../../../../../src/devices/bus/cbm2/user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/cbmiec.o: ../../../../../src/devices/bus/cbmiec/cbmiec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/c1541.o: ../../../../../src/devices/bus/cbmiec/c1541.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/c1571.o: ../../../../../src/devices/bus/cbmiec/c1571.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/c1581.o: ../../../../../src/devices/bus/cbmiec/c1581.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/c64_nl10.o: ../../../../../src/devices/bus/cbmiec/c64_nl10.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/cmdhd.o: ../../../../../src/devices/bus/cbmiec/cmdhd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/diag264_lb_iec.o: ../../../../../src/devices/bus/cbmiec/diag264_lb_iec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/fd2000.o: ../../../../../src/devices/bus/cbmiec/fd2000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/interpod.o: ../../../../../src/devices/bus/cbmiec/interpod.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/serialbox.o: ../../../../../src/devices/bus/cbmiec/serialbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/vic1515.o: ../../../../../src/devices/bus/cbmiec/vic1515.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/vic1520.o: ../../../../../src/devices/bus/cbmiec/vic1520.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cbmiec/c1526.o: ../../../../../src/devices/bus/cbmiec/c1526.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/chanf/slot.o: ../../../../../src/devices/bus/chanf/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/chanf/rom.o: ../../../../../src/devices/bus/chanf/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/exp.o: ../../../../../src/devices/bus/comx35/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/clm.o: ../../../../../src/devices/bus/comx35/clm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/expbox.o: ../../../../../src/devices/bus/comx35/expbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/eprom.o: ../../../../../src/devices/bus/comx35/eprom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/fdc.o: ../../../../../src/devices/bus/comx35/fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/joycard.o: ../../../../../src/devices/bus/comx35/joycard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/printer.o: ../../../../../src/devices/bus/comx35/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/ram.o: ../../../../../src/devices/bus/comx35/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/comx35/thermal.o: ../../../../../src/devices/bus/comx35/thermal.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/ctrl.o: ../../../../../src/devices/bus/coleco/ctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/hand.o: ../../../../../src/devices/bus/coleco/hand.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/sac.o: ../../../../../src/devices/bus/coleco/sac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/exp.o: ../../../../../src/devices/bus/coleco/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/std.o: ../../../../../src/devices/bus/coleco/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coleco/xin1.o: ../../../../../src/devices/bus/coleco/xin1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/crvision/slot.o: ../../../../../src/devices/bus/crvision/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/crvision/rom.o: ../../../../../src/devices/bus/crvision/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/dmvbus.o: ../../../../../src/devices/bus/dmv/dmvbus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k210.o: ../../../../../src/devices/bus/dmv/k210.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k220.o: ../../../../../src/devices/bus/dmv/k220.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k230.o: ../../../../../src/devices/bus/dmv/k230.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k233.o: ../../../../../src/devices/bus/dmv/k233.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k801.o: ../../../../../src/devices/bus/dmv/k801.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k803.o: ../../../../../src/devices/bus/dmv/k803.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/k806.o: ../../../../../src/devices/bus/dmv/k806.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/dmv/ram.o: ../../../../../src/devices/bus/dmv/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ecbbus/ecbbus.o: ../../../../../src/devices/bus/ecbbus/ecbbus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ecbbus/grip.o: ../../../../../src/devices/bus/ecbbus/grip.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/econet/econet.o: ../../../../../src/devices/bus/econet/econet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/econet/e01.o: ../../../../../src/devices/bus/econet/e01.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ep64/exp.o: ../../../../../src/devices/bus/ep64/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ep64/exdos.o: ../../../../../src/devices/bus/ep64/exdos.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/generic/slot.o: ../../../../../src/devices/bus/generic/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/generic/carts.o: ../../../../../src/devices/bus/generic/carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/generic/ram.o: ../../../../../src/devices/bus/generic/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/generic/rom.o: ../../../../../src/devices/bus/generic/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/ieee488.o: ../../../../../src/devices/bus/ieee488/ieee488.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c2031.o: ../../../../../src/devices/bus/ieee488/c2031.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c2040.o: ../../../../../src/devices/bus/ieee488/c2040.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c2040fdc.o: ../../../../../src/devices/bus/ieee488/c2040fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c8050.o: ../../../../../src/devices/bus/ieee488/c8050.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c8050fdc.o: ../../../../../src/devices/bus/ieee488/c8050fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/c8280.o: ../../../../../src/devices/bus/ieee488/c8280.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/d9060.o: ../../../../../src/devices/bus/ieee488/d9060.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/softbox.o: ../../../../../src/devices/bus/ieee488/softbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/hardbox.o: ../../../../../src/devices/bus/ieee488/hardbox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ieee488/shark.o: ../../../../../src/devices/bus/ieee488/shark.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/iq151.o: ../../../../../src/devices/bus/iq151/iq151.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/disc2.o: ../../../../../src/devices/bus/iq151/disc2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/grafik.o: ../../../../../src/devices/bus/iq151/grafik.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/minigraf.o: ../../../../../src/devices/bus/iq151/minigraf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/ms151a.o: ../../../../../src/devices/bus/iq151/ms151a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/rom.o: ../../../../../src/devices/bus/iq151/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/staper.o: ../../../../../src/devices/bus/iq151/staper.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/video32.o: ../../../../../src/devices/bus/iq151/video32.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/iq151/video64.o: ../../../../../src/devices/bus/iq151/video64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/imi7000/imi7000.o: ../../../../../src/devices/bus/imi7000/imi7000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/imi7000/imi5000h.o: ../../../../../src/devices/bus/imi7000/imi5000h.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/intv/slot.o: ../../../../../src/devices/bus/intv/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/intv/rom.o: ../../../../../src/devices/bus/intv/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/intv/voice.o: ../../../../../src/devices/bus/intv/voice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/intv/ecs.o: ../../../../../src/devices/bus/intv/ecs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/isa.o: ../../../../../src/devices/bus/isa/isa.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/isa_cards.o: ../../../../../src/devices/bus/isa/isa_cards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mda.o: ../../../../../src/devices/bus/isa/mda.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/wdxt_gen.o: ../../../../../src/devices/bus/isa/wdxt_gen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/adlib.o: ../../../../../src/devices/bus/isa/adlib.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/com.o: ../../../../../src/devices/bus/isa/com.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/fdc.o: ../../../../../src/devices/bus/isa/fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mufdc.o: ../../../../../src/devices/bus/isa/mufdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/finalchs.o: ../../../../../src/devices/bus/isa/finalchs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/gblaster.o: ../../../../../src/devices/bus/isa/gblaster.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/gus.o: ../../../../../src/devices/bus/isa/gus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/sb16.o: ../../../../../src/devices/bus/isa/sb16.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/hdc.o: ../../../../../src/devices/bus/isa/hdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ibm_mfc.o: ../../../../../src/devices/bus/isa/ibm_mfc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mpu401.o: ../../../../../src/devices/bus/isa/mpu401.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/sblaster.o: ../../../../../src/devices/bus/isa/sblaster.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/stereo_fx.o: ../../../../../src/devices/bus/isa/stereo_fx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ssi2001.o: ../../../../../src/devices/bus/isa/ssi2001.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ide.o: ../../../../../src/devices/bus/isa/ide.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/xtide.o: ../../../../../src/devices/bus/isa/xtide.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/side116.o: ../../../../../src/devices/bus/isa/side116.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/aha1542.o: ../../../../../src/devices/bus/isa/aha1542.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/wd1002a_wx1.o: ../../../../../src/devices/bus/isa/wd1002a_wx1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/dectalk.o: ../../../../../src/devices/bus/isa/dectalk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/pds.o: ../../../../../src/devices/bus/isa/pds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/omti8621.o: ../../../../../src/devices/bus/isa/omti8621.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/cga.o: ../../../../../src/devices/bus/isa/cga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/svga_cirrus.o: ../../../../../src/devices/bus/isa/svga_cirrus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ega.o: ../../../../../src/devices/bus/isa/ega.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/pgc.o: ../../../../../src/devices/bus/isa/pgc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/vga.o: ../../../../../src/devices/bus/isa/vga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/vga_ati.o: ../../../../../src/devices/bus/isa/vga_ati.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mach32.o: ../../../../../src/devices/bus/isa/mach32.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/svga_tseng.o: ../../../../../src/devices/bus/isa/svga_tseng.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/svga_s3.o: ../../../../../src/devices/bus/isa/svga_s3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/s3virge.o: ../../../../../src/devices/bus/isa/s3virge.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/pc1640_iga.o: ../../../../../src/devices/bus/isa/pc1640_iga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/3c503.o: ../../../../../src/devices/bus/isa/3c503.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ne1000.o: ../../../../../src/devices/bus/isa/ne1000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/ne2000.o: ../../../../../src/devices/bus/isa/ne2000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/3c505.o: ../../../../../src/devices/bus/isa/3c505.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/lpt.o: ../../../../../src/devices/bus/isa/lpt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/p1_fdc.o: ../../../../../src/devices/bus/isa/p1_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/p1_hdc.o: ../../../../../src/devices/bus/isa/p1_hdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/p1_rom.o: ../../../../../src/devices/bus/isa/p1_rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mc1502_fdc.o: ../../../../../src/devices/bus/isa/mc1502_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/mc1502_rom.o: ../../../../../src/devices/bus/isa/mc1502_rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/xsu_cards.o: ../../../../../src/devices/bus/isa/xsu_cards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/sc499.o: ../../../../../src/devices/bus/isa/sc499.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/aga.o: ../../../../../src/devices/bus/isa/aga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/svga_trident.o: ../../../../../src/devices/bus/isa/svga_trident.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/num9rev.o: ../../../../../src/devices/bus/isa/num9rev.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isbx/isbx.o: ../../../../../src/devices/bus/isbx/isbx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isbx/compis_fdc.o: ../../../../../src/devices/bus/isbx/compis_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isbx/isbc_218a.o: ../../../../../src/devices/bus/isbx/isbc_218a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/bunsetsu.o: ../../../../../src/devices/bus/msx_slot/bunsetsu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/cartridge.o: ../../../../../src/devices/bus/msx_slot/cartridge.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/disk.o: ../../../../../src/devices/bus/msx_slot/disk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/fs4600.o: ../../../../../src/devices/bus/msx_slot/fs4600.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/music.o: ../../../../../src/devices/bus/msx_slot/music.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/panasonic08.o: ../../../../../src/devices/bus/msx_slot/panasonic08.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/rom.o: ../../../../../src/devices/bus/msx_slot/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/ram.o: ../../../../../src/devices/bus/msx_slot/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/ram_mm.o: ../../../../../src/devices/bus/msx_slot/ram_mm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/slot.o: ../../../../../src/devices/bus/msx_slot/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_slot/sony08.o: ../../../../../src/devices/bus/msx_slot/sony08.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/arc.o: ../../../../../src/devices/bus/msx_cart/arc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/ascii.o: ../../../../../src/devices/bus/msx_cart/ascii.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/bm_012.o: ../../../../../src/devices/bus/msx_cart/bm_012.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/cartridge.o: ../../../../../src/devices/bus/msx_cart/cartridge.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/crossblaim.o: ../../../../../src/devices/bus/msx_cart/crossblaim.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/disk.o: ../../../../../src/devices/bus/msx_cart/disk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/dooly.o: ../../../../../src/devices/bus/msx_cart/dooly.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/fmpac.o: ../../../../../src/devices/bus/msx_cart/fmpac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/fs_sr022.o: ../../../../../src/devices/bus/msx_cart/fs_sr022.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/halnote.o: ../../../../../src/devices/bus/msx_cart/halnote.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/hfox.o: ../../../../../src/devices/bus/msx_cart/hfox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/holy_quran.o: ../../../../../src/devices/bus/msx_cart/holy_quran.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/konami.o: ../../../../../src/devices/bus/msx_cart/konami.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/korean.o: ../../../../../src/devices/bus/msx_cart/korean.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/majutsushi.o: ../../../../../src/devices/bus/msx_cart/majutsushi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/moonsound.o: ../../../../../src/devices/bus/msx_cart/moonsound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/msx_audio.o: ../../../../../src/devices/bus/msx_cart/msx_audio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/msx_audio_kb.o: ../../../../../src/devices/bus/msx_cart/msx_audio_kb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/msxdos2.o: ../../../../../src/devices/bus/msx_cart/msxdos2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/nomapper.o: ../../../../../src/devices/bus/msx_cart/nomapper.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/rtype.o: ../../../../../src/devices/bus/msx_cart/rtype.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/superloderunner.o: ../../../../../src/devices/bus/msx_cart/superloderunner.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/super_swangi.o: ../../../../../src/devices/bus/msx_cart/super_swangi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/msx_cart/yamaha.o: ../../../../../src/devices/bus/msx_cart/yamaha.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/kc/kc.o: ../../../../../src/devices/bus/kc/kc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/kc/d002.o: ../../../../../src/devices/bus/kc/d002.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/kc/d004.o: ../../../../../src/devices/bus/kc/d004.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/kc/ram.o: ../../../../../src/devices/bus/kc/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/kc/rom.o: ../../../../../src/devices/bus/kc/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/odyssey2/slot.o: ../../../../../src/devices/bus/odyssey2/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/odyssey2/rom.o: ../../../../../src/devices/bus/odyssey2/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/odyssey2/chess.o: ../../../../../src/devices/bus/odyssey2/chess.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/odyssey2/voice.o: ../../../../../src/devices/bus/odyssey2/voice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_joy/pc_joy.o: ../../../../../src/devices/bus/pc_joy/pc_joy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_joy/pc_joy_sw.o: ../../../../../src/devices/bus/pc_joy/pc_joy_sw.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/pc_kbdc.o: ../../../../../src/devices/bus/pc_kbd/pc_kbdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/keyboards.o: ../../../../../src/devices/bus/pc_kbd/keyboards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/ec1841.o: ../../../../../src/devices/bus/pc_kbd/ec1841.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/iskr1030.o: ../../../../../src/devices/bus/pc_kbd/iskr1030.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/keytro.o: ../../../../../src/devices/bus/pc_kbd/keytro.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/msnat.o: ../../../../../src/devices/bus/pc_kbd/msnat.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/pc83.o: ../../../../../src/devices/bus/pc_kbd/pc83.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/pcat84.o: ../../../../../src/devices/bus/pc_kbd/pcat84.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pc_kbd/pcxt83.o: ../../../../../src/devices/bus/pc_kbd/pcxt83.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/cass.o: ../../../../../src/devices/bus/pet/cass.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/c2n.o: ../../../../../src/devices/bus/pet/c2n.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/diag264_lb_tape.o: ../../../../../src/devices/bus/pet/diag264_lb_tape.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/exp.o: ../../../../../src/devices/bus/pet/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/64k.o: ../../../../../src/devices/bus/pet/64k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/hsg.o: ../../../../../src/devices/bus/pet/hsg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/superpet.o: ../../../../../src/devices/bus/pet/superpet.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/user.o: ../../../../../src/devices/bus/pet/user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/diag.o: ../../../../../src/devices/bus/pet/diag.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/petuja.o: ../../../../../src/devices/bus/pet/petuja.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pet/cb2snd.o: ../../../../../src/devices/bus/pet/cb2snd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/exp.o: ../../../../../src/devices/bus/plus4/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/c1551.o: ../../../../../src/devices/bus/plus4/c1551.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/sid.o: ../../../../../src/devices/bus/plus4/sid.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/std.o: ../../../../../src/devices/bus/plus4/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/user.o: ../../../../../src/devices/bus/plus4/user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/plus4/diag264_lb_user.o: ../../../../../src/devices/bus/plus4/diag264_lb_user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/s100.o: ../../../../../src/devices/bus/s100/s100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/dj2db.o: ../../../../../src/devices/bus/s100/dj2db.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/djdma.o: ../../../../../src/devices/bus/s100/djdma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/mm65k16s.o: ../../../../../src/devices/bus/s100/mm65k16s.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/nsmdsa.o: ../../../../../src/devices/bus/s100/nsmdsa.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/nsmdsad.o: ../../../../../src/devices/bus/s100/nsmdsad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/s100/wunderbus.o: ../../../../../src/devices/bus/s100/wunderbus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/spc1000/exp.o: ../../../../../src/devices/bus/spc1000/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/spc1000/fdd.o: ../../../../../src/devices/bus/spc1000/fdd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/spc1000/vdp.o: ../../../../../src/devices/bus/spc1000/vdp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/tiki100/exp.o: ../../../../../src/devices/bus/tiki100/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/tiki100/8088.o: ../../../../../src/devices/bus/tiki100/8088.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/tiki100/hdc.o: ../../../../../src/devices/bus/tiki100/hdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/tvc/tvc.o: ../../../../../src/devices/bus/tvc/tvc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/tvc/hbf.o: ../../../../../src/devices/bus/tvc/hbf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vc4000/slot.o: ../../../../../src/devices/bus/vc4000/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vc4000/rom.o: ../../../../../src/devices/bus/vc4000/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/vcs_slot.o: ../../../../../src/devices/bus/vcs/vcs_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/rom.o: ../../../../../src/devices/bus/vcs/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/compumat.o: ../../../../../src/devices/bus/vcs/compumat.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/dpc.o: ../../../../../src/devices/bus/vcs/dpc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/harmony_melody.o: ../../../../../src/devices/bus/vcs/harmony_melody.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs/scharger.o: ../../../../../src/devices/bus/vcs/scharger.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/ctrl.o: ../../../../../src/devices/bus/vcs_ctrl/ctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/joystick.o: ../../../../../src/devices/bus/vcs_ctrl/joystick.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/joybooster.o: ../../../../../src/devices/bus/vcs_ctrl/joybooster.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/keypad.o: ../../../../../src/devices/bus/vcs_ctrl/keypad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/lightpen.o: ../../../../../src/devices/bus/vcs_ctrl/lightpen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/paddles.o: ../../../../../src/devices/bus/vcs_ctrl/paddles.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vcs_ctrl/wheel.o: ../../../../../src/devices/bus/vcs_ctrl/wheel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vectrex/slot.o: ../../../../../src/devices/bus/vectrex/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vectrex/rom.o: ../../../../../src/devices/bus/vectrex/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic10/exp.o: ../../../../../src/devices/bus/vic10/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic10/std.o: ../../../../../src/devices/bus/vic10/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/exp.o: ../../../../../src/devices/bus/vic20/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/fe3.o: ../../../../../src/devices/bus/vic20/fe3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/megacart.o: ../../../../../src/devices/bus/vic20/megacart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/std.o: ../../../../../src/devices/bus/vic20/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1010.o: ../../../../../src/devices/bus/vic20/vic1010.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1110.o: ../../../../../src/devices/bus/vic20/vic1110.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1111.o: ../../../../../src/devices/bus/vic20/vic1111.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1112.o: ../../../../../src/devices/bus/vic20/vic1112.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1210.o: ../../../../../src/devices/bus/vic20/vic1210.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/user.o: ../../../../../src/devices/bus/vic20/user.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/4cga.o: ../../../../../src/devices/bus/vic20/4cga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vic20/vic1011.o: ../../../../../src/devices/bus/vic20/vic1011.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vidbrain/exp.o: ../../../../../src/devices/bus/vidbrain/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vidbrain/std.o: ../../../../../src/devices/bus/vidbrain/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vidbrain/money_minder.o: ../../../../../src/devices/bus/vidbrain/money_minder.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vidbrain/timeshare.o: ../../../../../src/devices/bus/vidbrain/timeshare.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/byteio.o: ../../../../../src/devices/bus/vip/byteio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp620.o: ../../../../../src/devices/bus/vip/vp620.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/exp.o: ../../../../../src/devices/bus/vip/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp550.o: ../../../../../src/devices/bus/vip/vp550.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp570.o: ../../../../../src/devices/bus/vip/vp570.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp575.o: ../../../../../src/devices/bus/vip/vp575.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp585.o: ../../../../../src/devices/bus/vip/vp585.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp590.o: ../../../../../src/devices/bus/vip/vp590.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp595.o: ../../../../../src/devices/bus/vip/vp595.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vip/vp700.o: ../../../../../src/devices/bus/vip/vp700.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/wangpc.o: ../../../../../src/devices/bus/wangpc/wangpc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/emb.o: ../../../../../src/devices/bus/wangpc/emb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/lic.o: ../../../../../src/devices/bus/wangpc/lic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/lvc.o: ../../../../../src/devices/bus/wangpc/lvc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/mcc.o: ../../../../../src/devices/bus/wangpc/mcc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/mvc.o: ../../../../../src/devices/bus/wangpc/mvc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/rtc.o: ../../../../../src/devices/bus/wangpc/rtc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/tig.o: ../../../../../src/devices/bus/wangpc/tig.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wangpc/wdc.o: ../../../../../src/devices/bus/wangpc/wdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/z88/z88.o: ../../../../../src/devices/bus/z88/z88.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/z88/flash.o: ../../../../../src/devices/bus/z88/flash.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/z88/ram.o: ../../../../../src/devices/bus/z88/ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/z88/rom.o: ../../../../../src/devices/bus/z88/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2bus.o: ../../../../../src/devices/bus/a2bus/a2bus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2lang.o: ../../../../../src/devices/bus/a2bus/a2lang.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2diskii.o: ../../../../../src/devices/bus/a2bus/a2diskii.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2mockingboard.o: ../../../../../src/devices/bus/a2bus/a2mockingboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2cffa.o: ../../../../../src/devices/bus/a2bus/a2cffa.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2memexp.o: ../../../../../src/devices/bus/a2bus/a2memexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2scsi.o: ../../../../../src/devices/bus/a2bus/a2scsi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2thunderclock.o: ../../../../../src/devices/bus/a2bus/a2thunderclock.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2softcard.o: ../../../../../src/devices/bus/a2bus/a2softcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2videoterm.o: ../../../../../src/devices/bus/a2bus/a2videoterm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2ssc.o: ../../../../../src/devices/bus/a2bus/a2ssc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2swyft.o: ../../../../../src/devices/bus/a2bus/a2swyft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2eauxslot.o: ../../../../../src/devices/bus/a2bus/a2eauxslot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2themill.o: ../../../../../src/devices/bus/a2bus/a2themill.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2sam.o: ../../../../../src/devices/bus/a2bus/a2sam.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2alfam2.o: ../../../../../src/devices/bus/a2bus/a2alfam2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/laser128.o: ../../../../../src/devices/bus/a2bus/laser128.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2echoii.o: ../../../../../src/devices/bus/a2bus/a2echoii.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2arcadebd.o: ../../../../../src/devices/bus/a2bus/a2arcadebd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2midi.o: ../../../../../src/devices/bus/a2bus/a2midi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2vulcan.o: ../../../../../src/devices/bus/a2bus/a2vulcan.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2zipdrive.o: ../../../../../src/devices/bus/a2bus/a2zipdrive.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2applicard.o: ../../../../../src/devices/bus/a2bus/a2applicard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2hsscsi.o: ../../../../../src/devices/bus/a2bus/a2hsscsi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2ultraterm.o: ../../../../../src/devices/bus/a2bus/a2ultraterm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2pic.o: ../../../../../src/devices/bus/a2bus/a2pic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2estd80col.o: ../../../../../src/devices/bus/a2bus/a2estd80col.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2eext80col.o: ../../../../../src/devices/bus/a2bus/a2eext80col.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2eramworks3.o: ../../../../../src/devices/bus/a2bus/a2eramworks3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2corvus.o: ../../../../../src/devices/bus/a2bus/a2corvus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2diskiing.o: ../../../../../src/devices/bus/a2bus/a2diskiing.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2mcms.o: ../../../../../src/devices/bus/a2bus/a2mcms.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/a2dx1.o: ../../../../../src/devices/bus/a2bus/a2dx1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/timemasterho.o: ../../../../../src/devices/bus/a2bus/timemasterho.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/mouse.o: ../../../../../src/devices/bus/a2bus/mouse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/corvfdc01.o: ../../../../../src/devices/bus/a2bus/corvfdc01.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/corvfdc02.o: ../../../../../src/devices/bus/a2bus/corvfdc02.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/ramcard16k.o: ../../../../../src/devices/bus/a2bus/ramcard16k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/ramcard128k.o: ../../../../../src/devices/bus/a2bus/ramcard128k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a2bus/ezcgi.o: ../../../../../src/devices/bus/a2bus/ezcgi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus.o: ../../../../../src/devices/bus/nubus/nubus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_48gc.o: ../../../../../src/devices/bus/nubus/nubus_48gc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_cb264.o: ../../../../../src/devices/bus/nubus/nubus_cb264.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_vikbw.o: ../../../../../src/devices/bus/nubus/nubus_vikbw.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_specpdq.o: ../../../../../src/devices/bus/nubus/nubus_specpdq.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_m2hires.o: ../../../../../src/devices/bus/nubus/nubus_m2hires.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_spec8.o: ../../../../../src/devices/bus/nubus/nubus_spec8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_radiustpd.o: ../../../../../src/devices/bus/nubus/nubus_radiustpd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_m2video.o: ../../../../../src/devices/bus/nubus/nubus_m2video.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_asntmc3b.o: ../../../../../src/devices/bus/nubus/nubus_asntmc3b.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_image.o: ../../../../../src/devices/bus/nubus/nubus_image.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/nubus_wsportrait.o: ../../../../../src/devices/bus/nubus/nubus_wsportrait.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/pds30_cb264.o: ../../../../../src/devices/bus/nubus/pds30_cb264.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/pds30_procolor816.o: ../../../../../src/devices/bus/nubus/pds30_procolor816.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/pds30_sigmalview.o: ../../../../../src/devices/bus/nubus/pds30_sigmalview.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/pds30_30hr.o: ../../../../../src/devices/bus/nubus/pds30_30hr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nubus/pds30_mc30.o: ../../../../../src/devices/bus/nubus/pds30_mc30.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/ctronics.o: ../../../../../src/devices/bus/centronics/ctronics.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/comxpl80.o: ../../../../../src/devices/bus/centronics/comxpl80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/covox.o: ../../../../../src/devices/bus/centronics/covox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/dsjoy.o: ../../../../../src/devices/bus/centronics/dsjoy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o: ../../../../../src/devices/bus/centronics/epson_ex800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o: ../../../../../src/devices/bus/centronics/epson_lx800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o: ../../../../../src/devices/bus/centronics/epson_lx810l.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/nec_p72.o: ../../../../../src/devices/bus/centronics/nec_p72.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/printer.o: ../../../../../src/devices/bus/centronics/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/digiblst.o: ../../../../../src/devices/bus/centronics/digiblst.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/keyboard.o: ../../../../../src/devices/bus/rs232/keyboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/loopback.o: ../../../../../src/devices/bus/rs232/loopback.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/null_modem.o: ../../../../../src/devices/bus/rs232/null_modem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/printer.o: ../../../../../src/devices/bus/rs232/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/rs232.o: ../../../../../src/devices/bus/rs232/rs232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/pty.o: ../../../../../src/devices/bus/rs232/pty.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/ser_mouse.o: ../../../../../src/devices/bus/rs232/ser_mouse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/terminal.o: ../../../../../src/devices/bus/rs232/terminal.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/rs232/xvd701.o: ../../../../../src/devices/bus/rs232/xvd701.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/midi/midi.o: ../../../../../src/devices/bus/midi/midi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/midi/midiinport.o: ../../../../../src/devices/bus/midi/midiinport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/midi/midioutport.o: ../../../../../src/devices/bus/midi/midioutport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/pci.o: ../../../../../src/devices/bus/lpci/pci.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/cirrus.o: ../../../../../src/devices/bus/lpci/cirrus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/i82371ab.o: ../../../../../src/devices/bus/lpci/i82371ab.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/i82371sb.o: ../../../../../src/devices/bus/lpci/i82371sb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/i82439tx.o: ../../../../../src/devices/bus/lpci/i82439tx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/northbridge.o: ../../../../../src/devices/bus/lpci/northbridge.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/southbridge.o: ../../../../../src/devices/bus/lpci/southbridge.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/mpc105.o: ../../../../../src/devices/bus/lpci/mpc105.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/lpci/vt82c505.o: ../../../../../src/devices/bus/lpci/vt82c505.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/nes_slot.o: ../../../../../src/devices/bus/nes/nes_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/nes_carts.o: ../../../../../src/devices/bus/nes/nes_carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/2a03pur.o: ../../../../../src/devices/bus/nes/2a03pur.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/act53.o: ../../../../../src/devices/bus/nes/act53.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/aladdin.o: ../../../../../src/devices/bus/nes/aladdin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/ave.o: ../../../../../src/devices/bus/nes/ave.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/bandai.o: ../../../../../src/devices/bus/nes/bandai.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/benshieng.o: ../../../../../src/devices/bus/nes/benshieng.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/bootleg.o: ../../../../../src/devices/bus/nes/bootleg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/camerica.o: ../../../../../src/devices/bus/nes/camerica.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/cne.o: ../../../../../src/devices/bus/nes/cne.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/cony.o: ../../../../../src/devices/bus/nes/cony.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/datach.o: ../../../../../src/devices/bus/nes/datach.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/discrete.o: ../../../../../src/devices/bus/nes/discrete.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/disksys.o: ../../../../../src/devices/bus/nes/disksys.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/event.o: ../../../../../src/devices/bus/nes/event.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/ggenie.o: ../../../../../src/devices/bus/nes/ggenie.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/henggedianzi.o: ../../../../../src/devices/bus/nes/henggedianzi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/hes.o: ../../../../../src/devices/bus/nes/hes.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/hosenkan.o: ../../../../../src/devices/bus/nes/hosenkan.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/irem.o: ../../../../../src/devices/bus/nes/irem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/jaleco.o: ../../../../../src/devices/bus/nes/jaleco.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/jy.o: ../../../../../src/devices/bus/nes/jy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/kaiser.o: ../../../../../src/devices/bus/nes/kaiser.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/karastudio.o: ../../../../../src/devices/bus/nes/karastudio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/konami.o: ../../../../../src/devices/bus/nes/konami.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/legacy.o: ../../../../../src/devices/bus/nes/legacy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/mmc1.o: ../../../../../src/devices/bus/nes/mmc1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/mmc2.o: ../../../../../src/devices/bus/nes/mmc2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/mmc3.o: ../../../../../src/devices/bus/nes/mmc3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/mmc3_clones.o: ../../../../../src/devices/bus/nes/mmc3_clones.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/mmc5.o: ../../../../../src/devices/bus/nes/mmc5.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/multigame.o: ../../../../../src/devices/bus/nes/multigame.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/namcot.o: ../../../../../src/devices/bus/nes/namcot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/nanjing.o: ../../../../../src/devices/bus/nes/nanjing.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/ntdec.o: ../../../../../src/devices/bus/nes/ntdec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/nxrom.o: ../../../../../src/devices/bus/nes/nxrom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/pirate.o: ../../../../../src/devices/bus/nes/pirate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/pt554.o: ../../../../../src/devices/bus/nes/pt554.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/racermate.o: ../../../../../src/devices/bus/nes/racermate.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/rcm.o: ../../../../../src/devices/bus/nes/rcm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/rexsoft.o: ../../../../../src/devices/bus/nes/rexsoft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/sachen.o: ../../../../../src/devices/bus/nes/sachen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/somari.o: ../../../../../src/devices/bus/nes/somari.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/sunsoft.o: ../../../../../src/devices/bus/nes/sunsoft.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/sunsoft_dcs.o: ../../../../../src/devices/bus/nes/sunsoft_dcs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/taito.o: ../../../../../src/devices/bus/nes/taito.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/tengen.o: ../../../../../src/devices/bus/nes/tengen.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/txc.o: ../../../../../src/devices/bus/nes/txc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes/waixing.o: ../../../../../src/devices/bus/nes/waixing.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/ctrl.o: ../../../../../src/devices/bus/nes_ctrl/ctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/joypad.o: ../../../../../src/devices/bus/nes_ctrl/joypad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/4score.o: ../../../../../src/devices/bus/nes_ctrl/4score.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/arkpaddle.o: ../../../../../src/devices/bus/nes_ctrl/arkpaddle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/bcbattle.o: ../../../../../src/devices/bus/nes_ctrl/bcbattle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/ftrainer.o: ../../../../../src/devices/bus/nes_ctrl/ftrainer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/fckeybrd.o: ../../../../../src/devices/bus/nes_ctrl/fckeybrd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/hori.o: ../../../../../src/devices/bus/nes_ctrl/hori.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/konamihs.o: ../../../../../src/devices/bus/nes_ctrl/konamihs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/miracle.o: ../../../../../src/devices/bus/nes_ctrl/miracle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/mjpanel.o: ../../../../../src/devices/bus/nes_ctrl/mjpanel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/pachinko.o: ../../../../../src/devices/bus/nes_ctrl/pachinko.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/partytap.o: ../../../../../src/devices/bus/nes_ctrl/partytap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/powerpad.o: ../../../../../src/devices/bus/nes_ctrl/powerpad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/suborkey.o: ../../../../../src/devices/bus/nes_ctrl/suborkey.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nes_ctrl/zapper.o: ../../../../../src/devices/bus/nes_ctrl/zapper.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/snes_slot.o: ../../../../../src/devices/bus/snes/snes_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/snes_carts.o: ../../../../../src/devices/bus/snes/snes_carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/bsx.o: ../../../../../src/devices/bus/snes/bsx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/event.o: ../../../../../src/devices/bus/snes/event.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/rom.o: ../../../../../src/devices/bus/snes/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/rom21.o: ../../../../../src/devices/bus/snes/rom21.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/sa1.o: ../../../../../src/devices/bus/snes/sa1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/sdd1.o: ../../../../../src/devices/bus/snes/sdd1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/sfx.o: ../../../../../src/devices/bus/snes/sfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/sgb.o: ../../../../../src/devices/bus/snes/sgb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/spc7110.o: ../../../../../src/devices/bus/snes/spc7110.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/sufami.o: ../../../../../src/devices/bus/snes/sufami.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes/upd.o: ../../../../../src/devices/bus/snes/upd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/ctrl.o: ../../../../../src/devices/bus/snes_ctrl/ctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/bcbattle.o: ../../../../../src/devices/bus/snes_ctrl/bcbattle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/joypad.o: ../../../../../src/devices/bus/snes_ctrl/joypad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/miracle.o: ../../../../../src/devices/bus/snes_ctrl/miracle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/mouse.o: ../../../../../src/devices/bus/snes_ctrl/mouse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/multitap.o: ../../../../../src/devices/bus/snes_ctrl/multitap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/pachinko.o: ../../../../../src/devices/bus/snes_ctrl/pachinko.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/sscope.o: ../../../../../src/devices/bus/snes_ctrl/sscope.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/snes_ctrl/twintap.o: ../../../../../src/devices/bus/snes_ctrl/twintap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vboy/slot.o: ../../../../../src/devices/bus/vboy/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vboy/rom.o: ../../../../../src/devices/bus/vboy/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/md_slot.o: ../../../../../src/devices/bus/megadrive/md_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/md_carts.o: ../../../../../src/devices/bus/megadrive/md_carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/eeprom.o: ../../../../../src/devices/bus/megadrive/eeprom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/ggenie.o: ../../../../../src/devices/bus/megadrive/ggenie.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/jcart.o: ../../../../../src/devices/bus/megadrive/jcart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/rom.o: ../../../../../src/devices/bus/megadrive/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/sk.o: ../../../../../src/devices/bus/megadrive/sk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/stm95.o: ../../../../../src/devices/bus/megadrive/stm95.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/megadrive/svp.o: ../../../../../src/devices/bus/megadrive/svp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/neogeo_slot.o: ../../../../../src/devices/bus/neogeo/neogeo_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/neogeo_intf.o: ../../../../../src/devices/bus/neogeo/neogeo_intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/neogeo_carts.o: ../../../../../src/devices/bus/neogeo/neogeo_carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/neogeo_helper.o: ../../../../../src/devices/bus/neogeo/neogeo_helper.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/banked_cart.o: ../../../../../src/devices/bus/neogeo/banked_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/mslugx_prot.o: ../../../../../src/devices/bus/neogeo/mslugx_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/mslugx_cart.o: ../../../../../src/devices/bus/neogeo/mslugx_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/sma_prot.o: ../../../../../src/devices/bus/neogeo/sma_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/sma_cart.o: ../../../../../src/devices/bus/neogeo/sma_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/cmc_prot.o: ../../../../../src/devices/bus/neogeo/cmc_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/cmc_cart.o: ../../../../../src/devices/bus/neogeo/cmc_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/pcm2_prot.o: ../../../../../src/devices/bus/neogeo/pcm2_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/pcm2_cart.o: ../../../../../src/devices/bus/neogeo/pcm2_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/kof2002_prot.o: ../../../../../src/devices/bus/neogeo/kof2002_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/kof2002_cart.o: ../../../../../src/devices/bus/neogeo/kof2002_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/pvc_prot.o: ../../../../../src/devices/bus/neogeo/pvc_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/pvc_cart.o: ../../../../../src/devices/bus/neogeo/pvc_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/fatfury2_prot.o: ../../../../../src/devices/bus/neogeo/fatfury2_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/fatfury2_cart.o: ../../../../../src/devices/bus/neogeo/fatfury2_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/kof98_prot.o: ../../../../../src/devices/bus/neogeo/kof98_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/kof98_cart.o: ../../../../../src/devices/bus/neogeo/kof98_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/bootleg_prot.o: ../../../../../src/devices/bus/neogeo/bootleg_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/bootleg_cart.o: ../../../../../src/devices/bus/neogeo/bootleg_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/bootleg_hybrid_cart.o: ../../../../../src/devices/bus/neogeo/bootleg_hybrid_cart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/sbp_prot.o: ../../../../../src/devices/bus/neogeo/sbp_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/kog_prot.o: ../../../../../src/devices/bus/neogeo/kog_prot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/neogeo/rom.o: ../../../../../src/devices/bus/neogeo/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/saturn/sat_slot.o: ../../../../../src/devices/bus/saturn/sat_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/saturn/bram.o: ../../../../../src/devices/bus/saturn/bram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/saturn/dram.o: ../../../../../src/devices/bus/saturn/dram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/saturn/rom.o: ../../../../../src/devices/bus/saturn/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sega8/sega8_slot.o: ../../../../../src/devices/bus/sega8/sega8_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sega8/rom.o: ../../../../../src/devices/bus/sega8/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sega8/ccatch.o: ../../../../../src/devices/bus/sega8/ccatch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sega8/mgear.o: ../../../../../src/devices/bus/sega8/mgear.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/smsctrl.o: ../../../../../src/devices/bus/sms_ctrl/smsctrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/joypad.o: ../../../../../src/devices/bus/sms_ctrl/joypad.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/lphaser.o: ../../../../../src/devices/bus/sms_ctrl/lphaser.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/paddle.o: ../../../../../src/devices/bus/sms_ctrl/paddle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/rfu.o: ../../../../../src/devices/bus/sms_ctrl/rfu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/sports.o: ../../../../../src/devices/bus/sms_ctrl/sports.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/sportsjp.o: ../../../../../src/devices/bus/sms_ctrl/sportsjp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/multitap.o: ../../../../../src/devices/bus/sms_ctrl/multitap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_ctrl/graphic.o: ../../../../../src/devices/bus/sms_ctrl/graphic.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_exp/smsexp.o: ../../../../../src/devices/bus/sms_exp/smsexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/sms_exp/gender.o: ../../../../../src/devices/bus/sms_exp/gender.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/990_dk.o: ../../../../../src/devices/bus/ti99x/990_dk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/990_hd.o: ../../../../../src/devices/bus/ti99x/990_hd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/990_tap.o: ../../../../../src/devices/bus/ti99x/990_tap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/998board.o: ../../../../../src/devices/bus/ti99x/998board.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/datamux.o: ../../../../../src/devices/bus/ti99x/datamux.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/genboard.o: ../../../../../src/devices/bus/ti99x/genboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/grom.o: ../../../../../src/devices/bus/ti99x/grom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/gromport.o: ../../../../../src/devices/bus/ti99x/gromport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/handset.o: ../../../../../src/devices/bus/ti99x/handset.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/joyport.o: ../../../../../src/devices/bus/ti99x/joyport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/mecmouse.o: ../../../../../src/devices/bus/ti99x/mecmouse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99x/videowrp.o: ../../../../../src/devices/bus/ti99x/videowrp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/peribox.o: ../../../../../src/devices/bus/ti99_peb/peribox.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/bwg.o: ../../../../../src/devices/bus/ti99_peb/bwg.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/evpc.o: ../../../../../src/devices/bus/ti99_peb/evpc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/hfdc.o: ../../../../../src/devices/bus/ti99_peb/hfdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/horizon.o: ../../../../../src/devices/bus/ti99_peb/horizon.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/hsgpl.o: ../../../../../src/devices/bus/ti99_peb/hsgpl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/memex.o: ../../../../../src/devices/bus/ti99_peb/memex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/myarcmem.o: ../../../../../src/devices/bus/ti99_peb/myarcmem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/pcode.o: ../../../../../src/devices/bus/ti99_peb/pcode.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/samsmem.o: ../../../../../src/devices/bus/ti99_peb/samsmem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/spchsyn.o: ../../../../../src/devices/bus/ti99_peb/spchsyn.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/ti_32kmem.o: ../../../../../src/devices/bus/ti99_peb/ti_32kmem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/ti_fdc.o: ../../../../../src/devices/bus/ti99_peb/ti_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/ti_rs232.o: ../../../../../src/devices/bus/ti99_peb/ti_rs232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/tn_ide.o: ../../../../../src/devices/bus/ti99_peb/tn_ide.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ti99_peb/tn_usbsm.o: ../../../../../src/devices/bus/ti99_peb/tn_usbsm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gameboy/gb_slot.o: ../../../../../src/devices/bus/gameboy/gb_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gameboy/rom.o: ../../../../../src/devices/bus/gameboy/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gameboy/mbc.o: ../../../../../src/devices/bus/gameboy/mbc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gamegear/ggext.o: ../../../../../src/devices/bus/gamegear/ggext.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gamegear/smsctrladp.o: ../../../../../src/devices/bus/gamegear/smsctrladp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gba/gba_slot.o: ../../../../../src/devices/bus/gba/gba_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/gba/rom.o: ../../../../../src/devices/bus/gba/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bml3/bml3bus.o: ../../../../../src/devices/bus/bml3/bml3bus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bml3/bml3mp1802.o: ../../../../../src/devices/bus/bml3/bml3mp1802.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bml3/bml3mp1805.o: ../../../../../src/devices/bus/bml3/bml3mp1805.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/bml3/bml3kanji.o: ../../../../../src/devices/bus/bml3/bml3kanji.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/cococart.o: ../../../../../src/devices/bus/coco/cococart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_232.o: ../../../../../src/devices/bus/coco/coco_232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_orch90.o: ../../../../../src/devices/bus/coco/coco_orch90.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_pak.o: ../../../../../src/devices/bus/coco/coco_pak.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_fdc.o: ../../../../../src/devices/bus/coco/coco_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_multi.o: ../../../../../src/devices/bus/coco/coco_multi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/coco/coco_dwsock.o: ../../../../../src/devices/bus/coco/coco_dwsock.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/cpcexp.o: ../../../../../src/devices/bus/cpc/cpcexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/cpc_ssa1.o: ../../../../../src/devices/bus/cpc/cpc_ssa1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/cpc_rom.o: ../../../../../src/devices/bus/cpc/cpc_rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/cpc_pds.o: ../../../../../src/devices/bus/cpc/cpc_pds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/cpc_rs232.o: ../../../../../src/devices/bus/cpc/cpc_rs232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/mface2.o: ../../../../../src/devices/bus/cpc/mface2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/symbfac2.o: ../../../../../src/devices/bus/cpc/symbfac2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/amdrum.o: ../../../../../src/devices/bus/cpc/amdrum.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/playcity.o: ../../../../../src/devices/bus/cpc/playcity.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/smartwatch.o: ../../../../../src/devices/bus/cpc/smartwatch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/brunword4.o: ../../../../../src/devices/bus/cpc/brunword4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/hd20.o: ../../../../../src/devices/bus/cpc/hd20.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/ddi1.o: ../../../../../src/devices/bus/cpc/ddi1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/magicsound.o: ../../../../../src/devices/bus/cpc/magicsound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/doubler.o: ../../../../../src/devices/bus/cpc/doubler.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cpc/transtape.o: ../../../../../src/devices/bus/cpc/transtape.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/epson_sio/epson_sio.o: ../../../../../src/devices/bus/epson_sio/epson_sio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/epson_sio/pf10.o: ../../../../../src/devices/bus/epson_sio/pf10.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/epson_sio/tf20.o: ../../../../../src/devices/bus/epson_sio/tf20.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pce/pce_slot.o: ../../../../../src/devices/bus/pce/pce_slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/pce/pce_rom.o: ../../../../../src/devices/bus/pce/pce_rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scv/slot.o: ../../../../../src/devices/bus/scv/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scv/rom.o: ../../../../../src/devices/bus/scv/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/x68k/x68kexp.o: ../../../../../src/devices/bus/x68k/x68kexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/x68k/x68k_neptunex.o: ../../../../../src/devices/bus/x68k/x68k_neptunex.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/x68k/x68k_scsiext.o: ../../../../../src/devices/bus/x68k/x68k_scsiext.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abckb/abckb.o: ../../../../../src/devices/bus/abckb/abckb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abckb/abc77.o: ../../../../../src/devices/bus/abckb/abc77.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abckb/abc99.o: ../../../../../src/devices/bus/abckb/abc99.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/abckb/abc800kb.o: ../../../../../src/devices/bus/abckb/abc800kb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/compucolor/floppy.o: ../../../../../src/devices/bus/compucolor/floppy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/scsi.o: ../../../../../src/devices/bus/scsi/scsi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/scsicd.o: ../../../../../src/devices/bus/scsi/scsicd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/scsihd.o: ../../../../../src/devices/bus/scsi/scsihd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/scsihle.o: ../../../../../src/devices/bus/scsi/scsihle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/cdu76s.o: ../../../../../src/devices/bus/scsi/cdu76s.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/acb4070.o: ../../../../../src/devices/bus/scsi/acb4070.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/d9060hd.o: ../../../../../src/devices/bus/scsi/d9060hd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/sa1403d.o: ../../../../../src/devices/bus/scsi/sa1403d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/s1410.o: ../../../../../src/devices/bus/scsi/s1410.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/pc9801_sasi.o: ../../../../../src/devices/bus/scsi/pc9801_sasi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/scsi/omti5100.o: ../../../../../src/devices/bus/scsi/omti5100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/macpds/macpds.o: ../../../../../src/devices/bus/macpds/macpds.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/macpds/pds_tpdfpd.o: ../../../../../src/devices/bus/macpds/pds_tpdfpd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/oricext/oricext.o: ../../../../../src/devices/bus/oricext/oricext.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/oricext/jasmin.o: ../../../../../src/devices/bus/oricext/jasmin.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/oricext/microdisc.o: ../../../../../src/devices/bus/oricext/microdisc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a1bus/a1bus.o: ../../../../../src/devices/bus/a1bus/a1bus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a1bus/a1cassette.o: ../../../../../src/devices/bus/a1bus/a1cassette.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/a1bus/a1cffa.o: ../../../../../src/devices/bus/a1bus/a1cffa.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/zorro.o: ../../../../../src/devices/bus/amiga/zorro/zorro.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/cards.o: ../../../../../src/devices/bus/amiga/zorro/cards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/a2052.o: ../../../../../src/devices/bus/amiga/zorro/a2052.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/a2232.o: ../../../../../src/devices/bus/amiga/zorro/a2232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/a590.o: ../../../../../src/devices/bus/amiga/zorro/a590.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/action_replay.o: ../../../../../src/devices/bus/amiga/zorro/action_replay.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/amiga/zorro/buddha.o: ../../../../../src/devices/bus/amiga/zorro/buddha.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/exp.o: ../../../../../src/devices/bus/ql/exp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/cst_qdisc.o: ../../../../../src/devices/bus/ql/cst_qdisc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/cst_q_plus4.o: ../../../../../src/devices/bus/ql/cst_q_plus4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/cumana_fdi.o: ../../../../../src/devices/bus/ql/cumana_fdi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/kempston_di.o: ../../../../../src/devices/bus/ql/kempston_di.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/miracle_gold_card.o: ../../../../../src/devices/bus/ql/miracle_gold_card.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/mp_fdi.o: ../../../../../src/devices/bus/ql/mp_fdi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/opd_basic_master.o: ../../../../../src/devices/bus/ql/opd_basic_master.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/pcml_qdisk.o: ../../../../../src/devices/bus/ql/pcml_qdisk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/qubide.o: ../../../../../src/devices/bus/ql/qubide.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/sandy_superdisk.o: ../../../../../src/devices/bus/ql/sandy_superdisk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/sandy_superqboard.o: ../../../../../src/devices/bus/ql/sandy_superqboard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/trumpcard.o: ../../../../../src/devices/bus/ql/trumpcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/rom.o: ../../../../../src/devices/bus/ql/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/miracle_hd.o: ../../../../../src/devices/bus/ql/miracle_hd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/ql/std.o: ../../../../../src/devices/bus/ql/std.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/memexp.o: ../../../../../src/devices/bus/vtech/memexp/memexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/carts.o: ../../../../../src/devices/bus/vtech/memexp/carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/floppy.o: ../../../../../src/devices/bus/vtech/memexp/floppy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/memory.o: ../../../../../src/devices/bus/vtech/memexp/memory.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/rs232.o: ../../../../../src/devices/bus/vtech/memexp/rs232.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/memexp/wordpro.o: ../../../../../src/devices/bus/vtech/memexp/wordpro.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/ioexp/ioexp.o: ../../../../../src/devices/bus/vtech/ioexp/ioexp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/ioexp/carts.o: ../../../../../src/devices/bus/vtech/ioexp/carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/ioexp/joystick.o: ../../../../../src/devices/bus/vtech/ioexp/joystick.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/vtech/ioexp/printer.o: ../../../../../src/devices/bus/vtech/ioexp/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wswan/slot.o: ../../../../../src/devices/bus/wswan/slot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/wswan/rom.o: ../../../../../src/devices/bus/wswan/rom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/psx/ctlrport.o: ../../../../../src/devices/bus/psx/ctlrport.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/psx/analogue.o: ../../../../../src/devices/bus/psx/analogue.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/psx/multitap.o: ../../../../../src/devices/bus/psx/multitap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/psx/memcard.o: ../../../../../src/devices/bus/psx/memcard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nasbus/nasbus.o: ../../../../../src/devices/bus/nasbus/nasbus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nasbus/cards.o: ../../../../../src/devices/bus/nasbus/cards.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nasbus/avc.o: ../../../../../src/devices/bus/nasbus/avc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/nasbus/floppy.o: ../../../../../src/devices/bus/nasbus/floppy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/expansion/expansion.o: ../../../../../src/devices/bus/cgenie/expansion/expansion.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/expansion/carts.o: ../../../../../src/devices/bus/cgenie/expansion/carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/expansion/floppy.o: ../../../../../src/devices/bus/cgenie/expansion/floppy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/parallel/parallel.o: ../../../../../src/devices/bus/cgenie/parallel/parallel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/parallel/carts.o: ../../../../../src/devices/bus/cgenie/parallel/carts.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/parallel/joystick.o: ../../../../../src/devices/bus/cgenie/parallel/joystick.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/cgenie/parallel/printer.o: ../../../../../src/devices/bus/cgenie/parallel/printer.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/centronics/epson_ex800.o: ../../../../generated/emu/layout/ex800.lh

$(OBJDIR)/src/devices/bus/centronics/epson_lx800.o: ../../../../generated/emu/layout/lx800.lh

$(OBJDIR)/src/devices/bus/centronics/epson_lx810l.o: ../../../../generated/emu/layout/lx800.lh

../../../../generated/emu/layout/ex800.lh: ../../../../../src/emu/layout/ex800.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/ex800.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_ex800

../../../../generated/emu/layout/lx800.lh: ../../../../../src/emu/layout/lx800.lay ../../../../../scripts/build/file2str.py 
	$(SILENT) @echo Converting src/emu/layout/lx800.lay...
	$(SILENT) python ../../../../../scripts/build/file2str.py  $< $@ layout_lx800

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
