# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug32
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM= $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = $(MINGW32)/bin/i686-w64-mingw32-gcc
CXX = $(MINGW32)/bin/i686-w64-mingw32-g++
AR  = $(MINGW32)/bin/ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

ifeq ($(config),debug32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Debug
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Debug/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release32)
  OBJDIR     = ../../../../mingw-gcc/obj/x32/Release
  TARGETDIR  = ../../../../mingw-gcc/bin/x32/Release/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x86 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m32 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -m32 -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m32 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug64)
  OBJDIR     = obj/x64/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release64)
  OBJDIR     = obj/x64/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DX64_WINDOWS_ABI -DPTR64=1 -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DNATIVE_DRC=drcbe_x64 -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -m64 --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -m64 -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DMAME_DEBUG -DMAME_PROFILER -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release
  TARGETDIR  = ../../../../../scripts/mame_mess
  override TARGET     = $(TARGETDIR)/liboptional.a
  DEFINES   += -DNDEBUG -DCRLF=3 -DLSB_FIRST -DFLAC__NO_DLL -DLUA_COMPAT_APIINTCASTS -DWIN32
  INCLUDES  += -I../../../../../src/osd -I../../../../../src/emu -I../../../../../src/devices -I../../../../../src/lib/netlist -I../../../../../src/mame -I../../../../../src/lib -I../../../../../src/lib/util -I../../../../../3rdparty -I../../../../generated/emu -I../../../../generated/emu/layout -I../../../../../3rdparty/expat/lib -I../../../../../3rdparty/lua/src
  ALL_CPPFLAGS  += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
  ALL_CFLAGS    += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -std=gnu89 -Wpointer-arith -Wstrict-prototypes -Wbad-function-cast
  ALL_CXXFLAGS  += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x c++ -std=c++14 -Woverloaded-virtual
  ALL_OBJCFLAGS += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) --pipe -Wno-deprecated-declarations -O3 -fno-strict-aliasing -Wno-unknown-pragmas -Wall -Wcast-align -Wundef -Wformat-security -Wwrite-strings -Wno-sign-compare -Wno-conversion -Wno-unused-result -Wno-array-bounds -x objective-c++ -std=c++14 -Wpointer-arith
  ALL_RESFLAGS  += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS   += $(LDFLAGS) -L. -s -static-libgcc -static-libstdc++
  LDDEPS    +=
  LIBS      += $(LDDEPS) -luser32 -lwinmm -ladvapi32 -lshlwapi -lwsock32
  LINKCMD    = $(AR) -qc $(TARGET)
  LINKCMD_NDX= $(AR) -cs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/src/devices/cpu/vtlb.o \
	$(OBJDIR)/src/devices/cpu/drcbec.o \
	$(OBJDIR)/src/devices/cpu/drcbeut.o \
	$(OBJDIR)/src/devices/cpu/drccache.o \
	$(OBJDIR)/src/devices/cpu/drcfe.o \
	$(OBJDIR)/src/devices/cpu/drcuml.o \
	$(OBJDIR)/src/devices/cpu/uml.o \
	$(OBJDIR)/src/devices/cpu/i386/i386dasm.o \
	$(OBJDIR)/src/devices/cpu/x86log.o \
	$(OBJDIR)/src/devices/cpu/drcbex86.o \
	$(OBJDIR)/src/devices/cpu/drcbex64.o \
	$(OBJDIR)/src/devices/cpu/8x300/8x300.o \
	$(OBJDIR)/src/devices/cpu/arc/arc.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o \
	$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o \
	$(OBJDIR)/src/devices/cpu/arm/arm.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o \
	$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o \
	$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o \
	$(OBJDIR)/src/devices/cpu/se3208/se3208.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o \
	$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o \
	$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o \
	$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o \
	$(OBJDIR)/src/devices/cpu/sharc/sharc.o \
	$(OBJDIR)/src/devices/cpu/apexc/apexc.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o \
	$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o \
	$(OBJDIR)/src/devices/cpu/asap/asap.o \
	$(OBJDIR)/src/devices/cpu/am29000/am29000.o \
	$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o \
	$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o \
	$(OBJDIR)/src/devices/cpu/es5510/es5510.o \
	$(OBJDIR)/src/devices/cpu/esrip/esrip.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o \
	$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o \
	$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o \
	$(OBJDIR)/src/devices/cpu/cop400/cop400.o \
	$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o \
	$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o \
	$(OBJDIR)/src/devices/cpu/t11/t11.o \
	$(OBJDIR)/src/devices/cpu/f8/f8.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o \
	$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o \
	$(OBJDIR)/src/devices/cpu/h8/h8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8h.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2000.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2600.o \
	$(OBJDIR)/src/devices/cpu/h8/h83337.o \
	$(OBJDIR)/src/devices/cpu/h8/h83002.o \
	$(OBJDIR)/src/devices/cpu/h8/h83006.o \
	$(OBJDIR)/src/devices/cpu/h8/h83008.o \
	$(OBJDIR)/src/devices/cpu/h8/h83048.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2245.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2320.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2357.o \
	$(OBJDIR)/src/devices/cpu/h8/h8s2655.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_adc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_port.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_intc.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o \
	$(OBJDIR)/src/devices/cpu/h8/h8_sci.o \
	$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o \
	$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2.o \
	$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o \
	$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o \
	$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o \
	$(OBJDIR)/src/devices/cpu/h6280/h6280.o \
	$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o \
	$(OBJDIR)/src/devices/cpu/ie15/ie15.o \
	$(OBJDIR)/src/devices/cpu/i4004/i4004.o \
	$(OBJDIR)/src/devices/cpu/i8008/i8008.o \
	$(OBJDIR)/src/devices/cpu/scmp/scmp.o \
	$(OBJDIR)/src/devices/cpu/i8085/i8085.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o \
	$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o \
	$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o \
	$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o \
	$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o \
	$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o \
	$(OBJDIR)/src/devices/cpu/i86/i86.o \
	$(OBJDIR)/src/devices/cpu/i86/i186.o \
	$(OBJDIR)/src/devices/cpu/i86/i286.o \
	$(OBJDIR)/src/devices/cpu/i386/i386.o \
	$(OBJDIR)/src/devices/cpu/i860/i860.o \
	$(OBJDIR)/src/devices/cpu/i960/i960.o \
	$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o \
	$(OBJDIR)/src/devices/cpu/ssem/ssem.o \
	$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o \
	$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o \
	$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o \
	$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o \
	$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o \
	$(OBJDIR)/src/devices/cpu/mips/r3000.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3com.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3fe.o \
	$(OBJDIR)/src/devices/cpu/mips/mips3drc.o \
	$(OBJDIR)/src/devices/cpu/psx/psx.o \
	$(OBJDIR)/src/devices/cpu/psx/gte.o \
	$(OBJDIR)/src/devices/cpu/psx/dma.o \
	$(OBJDIR)/src/devices/cpu/psx/irq.o \
	$(OBJDIR)/src/devices/cpu/psx/mdec.o \
	$(OBJDIR)/src/devices/cpu/psx/rcnt.o \
	$(OBJDIR)/src/devices/cpu/psx/sio.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4.o \
	$(OBJDIR)/src/devices/cpu/melps4/melps4op.o \
	$(OBJDIR)/src/devices/cpu/melps4/m58846.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o \
	$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o \
	$(OBJDIR)/src/devices/cpu/m6502/deco16.o \
	$(OBJDIR)/src/devices/cpu/m6502/m4510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6502.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6504.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6507.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6509.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510.o \
	$(OBJDIR)/src/devices/cpu/m6502/m6510t.o \
	$(OBJDIR)/src/devices/cpu/m6502/m7501.o \
	$(OBJDIR)/src/devices/cpu/m6502/m8502.o \
	$(OBJDIR)/src/devices/cpu/m6502/n2a03.o \
	$(OBJDIR)/src/devices/cpu/m6502/r65c02.o \
	$(OBJDIR)/src/devices/cpu/m6502/m740.o \
	$(OBJDIR)/src/devices/cpu/m6502/m3745x.o \
	$(OBJDIR)/src/devices/cpu/m6502/m5074x.o \
	$(OBJDIR)/src/devices/cpu/m6800/m6800.o \
	$(OBJDIR)/src/devices/cpu/m6805/m6805.o \
	$(OBJDIR)/src/devices/cpu/m6809/m6809.o \
	$(OBJDIR)/src/devices/cpu/m6809/hd6309.o \
	$(OBJDIR)/src/devices/cpu/m6809/konami.o \
	$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o \
	$(OBJDIR)/src/devices/cpu/m68000/m68kops.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o \
	$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o \
	$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o \
	$(OBJDIR)/src/devices/cpu/pdp1/tx0.o \
	$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o \
	$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o \
	$(OBJDIR)/src/devices/cpu/nec/nec.o \
	$(OBJDIR)/src/devices/cpu/nec/v25.o \
	$(OBJDIR)/src/devices/cpu/nec/v25sfr.o \
	$(OBJDIR)/src/devices/cpu/nec/v53.o \
	$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o \
	$(OBJDIR)/src/devices/cpu/v60/v60.o \
	$(OBJDIR)/src/devices/cpu/v810/v810.o \
	$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o \
	$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o \
	$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o \
	$(OBJDIR)/src/devices/cpu/minx/minx.o \
	$(OBJDIR)/src/devices/cpu/rsp/rsp.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspfe.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o \
	$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o \
	$(OBJDIR)/src/devices/cpu/saturn/saturn.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510op.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm510core.o \
	$(OBJDIR)/src/devices/cpu/sm510/sm511core.o \
	$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o \
	$(OBJDIR)/src/devices/cpu/s2650/s2650.o \
	$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o \
	$(OBJDIR)/src/devices/cpu/spc700/spc700.o \
	$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o \
	$(OBJDIR)/src/devices/cpu/unsp/unsp.o \
	$(OBJDIR)/src/devices/cpu/avr8/avr8.o \
	$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o \
	$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o \
	$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o \
	$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o \
	$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o \
	$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o \
	$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o \
	$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o \
	$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o \
	$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o \
	$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o \
	$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o \
	$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o \
	$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o \
	$(OBJDIR)/src/devices/cpu/z80/z80.o \
	$(OBJDIR)/src/devices/cpu/z80/z80daisy.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o \
	$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o \
	$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o \
	$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o \
	$(OBJDIR)/src/devices/cpu/z180/z180.o \
	$(OBJDIR)/src/devices/cpu/z8000/z8000.o \
	$(OBJDIR)/src/devices/cpu/z8/z8.o \
	$(OBJDIR)/src/devices/cpu/superfx/superfx.o \
	$(OBJDIR)/src/devices/cpu/pps4/pps4.o \
	$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o \
	$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o \
	$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o \
	$(OBJDIR)/src/devices/cpu/score/score.o \
	$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disk.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2disp.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2curt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dht.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2emu.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ether.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2hw.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mem.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2part.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2ram.o \
	$(OBJDIR)/src/devices/cpu/alto2/a2roms.o \
	$(OBJDIR)/src/devices/sound/dac.o \
	$(OBJDIR)/src/devices/sound/dmadac.o \
	$(OBJDIR)/src/devices/sound/speaker.o \
	$(OBJDIR)/src/devices/sound/beep.o \
	$(OBJDIR)/src/devices/sound/cdda.o \
	$(OBJDIR)/src/devices/sound/discrete.o \
	$(OBJDIR)/src/devices/sound/asc.o \
	$(OBJDIR)/src/devices/sound/awacs.o \
	$(OBJDIR)/src/devices/sound/pokey.o \
	$(OBJDIR)/src/devices/sound/tiasound.o \
	$(OBJDIR)/src/devices/sound/tiaintf.o \
	$(OBJDIR)/src/devices/sound/amiga.o \
	$(OBJDIR)/src/devices/sound/astrocde.o \
	$(OBJDIR)/src/devices/sound/es5503.o \
	$(OBJDIR)/src/devices/sound/es5506.o \
	$(OBJDIR)/src/devices/sound/esqpump.o \
	$(OBJDIR)/src/devices/sound/cdp1863.o \
	$(OBJDIR)/src/devices/sound/cdp1864.o \
	$(OBJDIR)/src/devices/sound/cdp1869.o \
	$(OBJDIR)/src/devices/sound/ay8910.o \
	$(OBJDIR)/src/devices/sound/hc55516.o \
	$(OBJDIR)/src/devices/sound/c6280.o \
	$(OBJDIR)/src/devices/sound/k051649.o \
	$(OBJDIR)/src/devices/sound/lmc1992.o \
	$(OBJDIR)/src/devices/sound/mos6560.o \
	$(OBJDIR)/src/devices/sound/mos7360.o \
	$(OBJDIR)/src/devices/sound/nes_apu.o \
	$(OBJDIR)/src/devices/sound/upd7759.o \
	$(OBJDIR)/src/devices/sound/315-5641.o \
	$(OBJDIR)/src/devices/sound/okiadpcm.o \
	$(OBJDIR)/src/devices/sound/msm5205.o \
	$(OBJDIR)/src/devices/sound/okim6295.o \
	$(OBJDIR)/src/devices/sound/okim6258.o \
	$(OBJDIR)/src/devices/sound/saa1099.o \
	$(OBJDIR)/src/devices/sound/qsound.o \
	$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o \
	$(OBJDIR)/src/devices/sound/rf5c68.o \
	$(OBJDIR)/src/devices/sound/scsp.o \
	$(OBJDIR)/src/devices/sound/scspdsp.o \
	$(OBJDIR)/src/devices/sound/aica.o \
	$(OBJDIR)/src/devices/sound/aicadsp.o \
	$(OBJDIR)/src/devices/sound/mos6581.o \
	$(OBJDIR)/src/devices/sound/sid.o \
	$(OBJDIR)/src/devices/sound/sidenvel.o \
	$(OBJDIR)/src/devices/sound/sidvoice.o \
	$(OBJDIR)/src/devices/sound/t6w28.o \
	$(OBJDIR)/src/devices/sound/spu.o \
	$(OBJDIR)/src/devices/sound/spu_tables.o \
	$(OBJDIR)/src/devices/sound/spureverb.o \
	$(OBJDIR)/src/devices/sound/sp0256.o \
	$(OBJDIR)/src/devices/sound/s14001a.o \
	$(OBJDIR)/src/devices/sound/sn76477.o \
	$(OBJDIR)/src/devices/sound/sn76496.o \
	$(OBJDIR)/src/devices/sound/tms5110.o \
	$(OBJDIR)/src/devices/sound/tms5220.o \
	$(OBJDIR)/src/devices/machine/spchrom.o \
	$(OBJDIR)/src/devices/sound/t6721a.o \
	$(OBJDIR)/src/devices/sound/upd7752.o \
	$(OBJDIR)/src/devices/sound/vlm5030.o \
	$(OBJDIR)/src/devices/sound/votrax.o \
	$(OBJDIR)/src/devices/sound/wave.o \
	$(OBJDIR)/src/devices/sound/2151intf.o \
	$(OBJDIR)/src/devices/sound/ym2151.o \
	$(OBJDIR)/src/devices/sound/2413intf.o \
	$(OBJDIR)/src/devices/sound/ym2413.o \
	$(OBJDIR)/src/devices/sound/2203intf.o \
	$(OBJDIR)/src/devices/sound/fm.o \
	$(OBJDIR)/src/devices/sound/2608intf.o \
	$(OBJDIR)/src/devices/sound/ymdeltat.o \
	$(OBJDIR)/src/devices/sound/2610intf.o \
	$(OBJDIR)/src/devices/sound/2612intf.o \
	$(OBJDIR)/src/devices/sound/fm2612.o \
	$(OBJDIR)/src/devices/sound/3812intf.o \
	$(OBJDIR)/src/devices/sound/fmopl.o \
	$(OBJDIR)/src/devices/sound/3526intf.o \
	$(OBJDIR)/src/devices/sound/8950intf.o \
	$(OBJDIR)/src/devices/sound/ymf262.o \
	$(OBJDIR)/src/devices/sound/262intf.o \
	$(OBJDIR)/src/devices/sound/ymf278b.o \
	$(OBJDIR)/src/devices/sound/vrc6.o \
	$(OBJDIR)/src/devices/video/315_5124.o \
	$(OBJDIR)/src/devices/video/315_5313.o \
	$(OBJDIR)/src/devices/video/cdp1861.o \
	$(OBJDIR)/src/devices/video/cdp1862.o \
	$(OBJDIR)/src/devices/video/crt9007.o \
	$(OBJDIR)/src/devices/video/crt9021.o \
	$(OBJDIR)/src/devices/video/crt9212.o \
	$(OBJDIR)/src/devices/video/dl1416.o \
	$(OBJDIR)/src/devices/video/dm9368.o \
	$(OBJDIR)/src/devices/video/ef9340_1.o \
	$(OBJDIR)/src/devices/video/ef9345.o \
	$(OBJDIR)/src/devices/video/ef9365.o \
	$(OBJDIR)/src/devices/video/gf4500.o \
	$(OBJDIR)/src/devices/video/hd44102.o \
	$(OBJDIR)/src/devices/video/hd44352.o \
	$(OBJDIR)/src/devices/video/hd44780.o \
	$(OBJDIR)/src/devices/video/hd61830.o \
	$(OBJDIR)/src/devices/video/hd66421.o \
	$(OBJDIR)/src/devices/video/huc6202.o \
	$(OBJDIR)/src/devices/video/huc6260.o \
	$(OBJDIR)/src/devices/video/huc6261.o \
	$(OBJDIR)/src/devices/video/huc6270.o \
	$(OBJDIR)/src/devices/video/huc6272.o \
	$(OBJDIR)/src/devices/video/i8244.o \
	$(OBJDIR)/src/devices/video/i82730.o \
	$(OBJDIR)/src/devices/video/i8275.o \
	$(OBJDIR)/src/devices/video/mc6845.o \
	$(OBJDIR)/src/devices/video/mc6847.o \
	$(OBJDIR)/src/devices/video/msm6222b.o \
	$(OBJDIR)/src/devices/video/msm6255.o \
	$(OBJDIR)/src/devices/video/mos6566.o \
	$(OBJDIR)/src/devices/video/cgapal.o \
	$(OBJDIR)/src/devices/video/pc_vga.o \
	$(OBJDIR)/src/devices/bus/isa/trident.o \
	$(OBJDIR)/src/devices/video/clgd542x.o \
	$(OBJDIR)/src/devices/video/psx.o \
	$(OBJDIR)/src/devices/video/ramdac.o \
	$(OBJDIR)/src/devices/video/saa5050.o \
	$(OBJDIR)/src/devices/video/sed1200.o \
	$(OBJDIR)/src/devices/video/sed1330.o \
	$(OBJDIR)/src/devices/video/sed1520.o \
	$(OBJDIR)/src/devices/video/scn2674.o \
	$(OBJDIR)/src/devices/video/snes_ppu.o \
	$(OBJDIR)/src/devices/video/stvvdp1.o \
	$(OBJDIR)/src/devices/video/stvvdp2.o \
	$(OBJDIR)/src/devices/video/t6a04.o \
	$(OBJDIR)/src/devices/video/tea1002.o \
	$(OBJDIR)/src/devices/video/tms3556.o \
	$(OBJDIR)/src/devices/video/tms9927.o \
	$(OBJDIR)/src/devices/video/tms9928a.o \
	$(OBJDIR)/src/devices/video/upd3301.o \
	$(OBJDIR)/src/devices/video/upd7220.o \
	$(OBJDIR)/src/devices/video/upd7227.o \
	$(OBJDIR)/src/devices/video/vic4567.o \
	$(OBJDIR)/src/devices/video/v9938.o \
	$(OBJDIR)/src/devices/video/crtc_ega.o \
	$(OBJDIR)/src/devices/machine/akiko.o \
	$(OBJDIR)/src/devices/machine/autoconfig.o \
	$(OBJDIR)/src/devices/machine/cr511b.o \
	$(OBJDIR)/src/devices/machine/dmac.o \
	$(OBJDIR)/src/devices/machine/gayle.o \
	$(OBJDIR)/src/devices/machine/40105.o \
	$(OBJDIR)/src/devices/machine/53c7xx.o \
	$(OBJDIR)/src/devices/machine/53c810.o \
	$(OBJDIR)/src/devices/machine/6522via.o \
	$(OBJDIR)/src/devices/machine/6525tpi.o \
	$(OBJDIR)/src/devices/machine/6532riot.o \
	$(OBJDIR)/src/devices/machine/6821pia.o \
	$(OBJDIR)/src/devices/machine/6840ptm.o \
	$(OBJDIR)/src/devices/machine/6850acia.o \
	$(OBJDIR)/src/devices/machine/68230pit.o \
	$(OBJDIR)/src/devices/machine/68561mpcc.o \
	$(OBJDIR)/src/devices/machine/mc68681.o \
	$(OBJDIR)/src/devices/machine/7200fifo.o \
	$(OBJDIR)/src/devices/machine/74123.o \
	$(OBJDIR)/src/devices/machine/74145.o \
	$(OBJDIR)/src/devices/machine/74148.o \
	$(OBJDIR)/src/devices/machine/74153.o \
	$(OBJDIR)/src/devices/machine/74181.o \
	$(OBJDIR)/src/devices/machine/7474.o \
	$(OBJDIR)/src/devices/machine/8042kbdc.o \
	$(OBJDIR)/src/devices/machine/8530scc.o \
	$(OBJDIR)/src/devices/machine/aakart.o \
	$(OBJDIR)/src/devices/machine/adc0808.o \
	$(OBJDIR)/src/devices/machine/adc083x.o \
	$(OBJDIR)/src/devices/machine/adc1038.o \
	$(OBJDIR)/src/devices/machine/adc1213x.o \
	$(OBJDIR)/src/devices/machine/aicartc.o \
	$(OBJDIR)/src/devices/machine/am53cf96.o \
	$(OBJDIR)/src/devices/machine/am9517a.o \
	$(OBJDIR)/src/devices/machine/amigafdc.o \
	$(OBJDIR)/src/devices/machine/at28c16.o \
	$(OBJDIR)/src/devices/machine/at29x.o \
	$(OBJDIR)/src/devices/machine/at45dbxx.o \
	$(OBJDIR)/src/devices/machine/ataflash.o \
	$(OBJDIR)/src/devices/machine/ay31015.o \
	$(OBJDIR)/src/devices/machine/bankdev.o \
	$(OBJDIR)/src/devices/machine/cdp1852.o \
	$(OBJDIR)/src/devices/machine/cdp1871.o \
	$(OBJDIR)/src/devices/machine/com8116.o \
	$(OBJDIR)/src/devices/machine/cr589.o \
	$(OBJDIR)/src/devices/machine/cs4031.o \
	$(OBJDIR)/src/devices/machine/cs8221.o \
	$(OBJDIR)/src/devices/machine/ds1302.o \
	$(OBJDIR)/src/devices/machine/ds1315.o \
	$(OBJDIR)/src/devices/machine/ds2401.o \
	$(OBJDIR)/src/devices/machine/ds2404.o \
	$(OBJDIR)/src/devices/machine/ds75160a.o \
	$(OBJDIR)/src/devices/machine/ds75161a.o \
	$(OBJDIR)/src/devices/machine/e0516.o \
	$(OBJDIR)/src/devices/machine/e05a03.o \
	$(OBJDIR)/src/devices/machine/e05a30.o \
	$(OBJDIR)/src/devices/machine/eeprom.o \
	$(OBJDIR)/src/devices/machine/eepromser.o \
	$(OBJDIR)/src/devices/machine/eeprompar.o \
	$(OBJDIR)/src/devices/machine/er2055.o \
	$(OBJDIR)/src/devices/machine/f3853.o \
	$(OBJDIR)/src/devices/machine/hd63450.o \
	$(OBJDIR)/src/devices/machine/hd64610.o \
	$(OBJDIR)/src/devices/machine/i2cmem.o \
	$(OBJDIR)/src/devices/machine/i8155.o \
	$(OBJDIR)/src/devices/machine/i8212.o \
	$(OBJDIR)/src/devices/machine/i8214.o \
	$(OBJDIR)/src/devices/machine/i8243.o \
	$(OBJDIR)/src/devices/machine/i8251.o \
	$(OBJDIR)/src/devices/machine/i8257.o \
	$(OBJDIR)/src/devices/machine/i8271.o \
	$(OBJDIR)/src/devices/machine/i8279.o \
	$(OBJDIR)/src/devices/machine/i8355.o \
	$(OBJDIR)/src/devices/machine/i80130.o \
	$(OBJDIR)/src/devices/machine/atadev.o \
	$(OBJDIR)/src/devices/machine/atahle.o \
	$(OBJDIR)/src/devices/machine/ataintf.o \
	$(OBJDIR)/src/devices/machine/atapicdr.o \
	$(OBJDIR)/src/devices/machine/atapihle.o \
	$(OBJDIR)/src/devices/machine/idectrl.o \
	$(OBJDIR)/src/devices/machine/idehd.o \
	$(OBJDIR)/src/devices/machine/vt83c461.o \
	$(OBJDIR)/src/devices/machine/im6402.o \
	$(OBJDIR)/src/devices/machine/ins8154.o \
	$(OBJDIR)/src/devices/machine/ins8250.o \
	$(OBJDIR)/src/devices/machine/intelfsh.o \
	$(OBJDIR)/src/devices/machine/jvsdev.o \
	$(OBJDIR)/src/devices/machine/jvshost.o \
	$(OBJDIR)/src/devices/machine/k033906.o \
	$(OBJDIR)/src/devices/machine/k053252.o \
	$(OBJDIR)/src/devices/machine/k056230.o \
	$(OBJDIR)/src/devices/machine/kb3600.o \
	$(OBJDIR)/src/devices/machine/kr2376.o \
	$(OBJDIR)/src/devices/machine/latch8.o \
	$(OBJDIR)/src/devices/machine/lc89510.o \
	$(OBJDIR)/src/devices/machine/ldpr8210.o \
	$(OBJDIR)/src/devices/machine/ldstub.o \
	$(OBJDIR)/src/devices/machine/ldv1000.o \
	$(OBJDIR)/src/devices/machine/ldvp931.o \
	$(OBJDIR)/src/devices/machine/lh5810.o \
	$(OBJDIR)/src/devices/machine/linflash.o \
	$(OBJDIR)/src/devices/machine/m6m80011ap.o \
	$(OBJDIR)/src/devices/machine/matsucd.o \
	$(OBJDIR)/src/devices/machine/mb14241.o \
	$(OBJDIR)/src/devices/machine/mb3773.o \
	$(OBJDIR)/src/devices/machine/mb8421.o \
	$(OBJDIR)/src/devices/machine/mb87078.o \
	$(OBJDIR)/src/devices/machine/mb8795.o \
	$(OBJDIR)/src/devices/machine/mb89352.o \
	$(OBJDIR)/src/devices/machine/mb89371.o \
	$(OBJDIR)/src/devices/machine/mc146818.o \
	$(OBJDIR)/src/devices/machine/ds128x.o \
	$(OBJDIR)/src/devices/machine/mc2661.o \
	$(OBJDIR)/src/devices/machine/mc6843.o \
	$(OBJDIR)/src/devices/machine/mc6846.o \
	$(OBJDIR)/src/devices/machine/mc6852.o \
	$(OBJDIR)/src/devices/machine/mc6854.o \
	$(OBJDIR)/src/devices/machine/mc68328.o \
	$(OBJDIR)/src/devices/machine/mc68901.o \
	$(OBJDIR)/src/devices/machine/mccs1850.o \
	$(OBJDIR)/src/devices/machine/68307.o \
	$(OBJDIR)/src/devices/machine/68307sim.o \
	$(OBJDIR)/src/devices/machine/68307bus.o \
	$(OBJDIR)/src/devices/machine/68307tmu.o \
	$(OBJDIR)/src/devices/machine/68340.o \
	$(OBJDIR)/src/devices/machine/68340sim.o \
	$(OBJDIR)/src/devices/machine/68340dma.o \
	$(OBJDIR)/src/devices/machine/68340ser.o \
	$(OBJDIR)/src/devices/machine/68340tmu.o \
	$(OBJDIR)/src/devices/machine/mcf5206e.o \
	$(OBJDIR)/src/devices/machine/microtch.o \
	$(OBJDIR)/src/devices/machine/mm58274c.o \
	$(OBJDIR)/src/devices/machine/mm74c922.o \
	$(OBJDIR)/src/devices/machine/mos6526.o \
	$(OBJDIR)/src/devices/machine/mos6529.o \
	$(OBJDIR)/src/devices/machine/mos6702.o \
	$(OBJDIR)/src/devices/machine/mos8706.o \
	$(OBJDIR)/src/devices/machine/mos8722.o \
	$(OBJDIR)/src/devices/machine/mos8726.o \
	$(OBJDIR)/src/devices/machine/mos6530.o \
	$(OBJDIR)/src/devices/machine/mos6530n.o \
	$(OBJDIR)/src/devices/machine/mos6551.o \
	$(OBJDIR)/src/devices/machine/msm5832.o \
	$(OBJDIR)/src/devices/machine/msm58321.o \
	$(OBJDIR)/src/devices/machine/msm6242.o \
	$(OBJDIR)/src/devices/machine/ncr539x.o \
	$(OBJDIR)/src/devices/machine/nmc9306.o \
	$(OBJDIR)/src/devices/machine/nscsi_bus.o \
	$(OBJDIR)/src/devices/machine/nscsi_cb.o \
	$(OBJDIR)/src/devices/machine/nscsi_cd.o \
	$(OBJDIR)/src/devices/machine/nscsi_hd.o \
	$(OBJDIR)/src/devices/machine/nscsi_s1410.o \
	$(OBJDIR)/src/devices/machine/pcf8593.o \
	$(OBJDIR)/src/devices/machine/lpci.o \
	$(OBJDIR)/src/devices/machine/pckeybrd.o \
	$(OBJDIR)/src/devices/machine/pic8259.o \
	$(OBJDIR)/src/devices/machine/pit8253.o \
	$(OBJDIR)/src/devices/machine/pla.o \
	$(OBJDIR)/src/devices/machine/rf5c296.o \
	$(OBJDIR)/src/devices/machine/roc10937.o \
	$(OBJDIR)/src/devices/machine/rp5c01.o \
	$(OBJDIR)/src/devices/machine/rp5c15.o \
	$(OBJDIR)/src/devices/machine/rp5h01.o \
	$(OBJDIR)/src/devices/machine/64h156.o \
	$(OBJDIR)/src/devices/machine/rtc4543.o \
	$(OBJDIR)/src/devices/machine/rtc65271.o \
	$(OBJDIR)/src/devices/machine/rtc9701.o \
	$(OBJDIR)/src/devices/machine/s3520cf.o \
	$(OBJDIR)/src/devices/machine/s3c2400.o \
	$(OBJDIR)/src/devices/machine/s3c2410.o \
	$(OBJDIR)/src/devices/machine/s3c44b0.o \
	$(OBJDIR)/src/devices/machine/s3c2440.o \
	$(OBJDIR)/src/devices/machine/saturn.o \
	$(OBJDIR)/src/devices/machine/smc91c9x.o \
	$(OBJDIR)/src/devices/machine/smpc.o \
	$(OBJDIR)/src/devices/machine/stvcd.o \
	$(OBJDIR)/src/devices/machine/t10mmc.o \
	$(OBJDIR)/src/devices/machine/t10sbc.o \
	$(OBJDIR)/src/devices/machine/t10spc.o \
	$(OBJDIR)/src/devices/machine/tc009xlvc.o \
	$(OBJDIR)/src/devices/machine/timekpr.o \
	$(OBJDIR)/src/devices/machine/tmp68301.o \
	$(OBJDIR)/src/devices/machine/tms1024.o \
	$(OBJDIR)/src/devices/machine/tms5501.o \
	$(OBJDIR)/src/devices/machine/tms6100.o \
	$(OBJDIR)/src/devices/machine/tms9901.o \
	$(OBJDIR)/src/devices/machine/tms9902.o \
	$(OBJDIR)/src/devices/machine/upd1990a.o \
	$(OBJDIR)/src/devices/machine/upd4701.o \
	$(OBJDIR)/src/devices/machine/upd7002.o \
	$(OBJDIR)/src/devices/machine/upd71071.o \
	$(OBJDIR)/src/devices/machine/upd765.o \
	$(OBJDIR)/src/devices/machine/fdc_pll.o \
	$(OBJDIR)/src/devices/machine/v3021.o \
	$(OBJDIR)/src/devices/machine/wd_fdc.o \
	$(OBJDIR)/src/devices/machine/wd11c00_17.o \
	$(OBJDIR)/src/devices/machine/wd2010.o \
	$(OBJDIR)/src/devices/machine/wd33c93.o \
	$(OBJDIR)/src/devices/machine/wd7600.o \
	$(OBJDIR)/src/devices/machine/x2212.o \
	$(OBJDIR)/src/devices/machine/x76f041.o \
	$(OBJDIR)/src/devices/machine/x76f100.o \
	$(OBJDIR)/src/devices/machine/ym2148.o \
	$(OBJDIR)/src/devices/machine/z80ctc.o \
	$(OBJDIR)/src/devices/machine/z80dart.o \
	$(OBJDIR)/src/devices/machine/z80sio.o \
	$(OBJDIR)/src/devices/machine/z80scc.o \
	$(OBJDIR)/src/devices/machine/z80dma.o \
	$(OBJDIR)/src/devices/machine/z80pio.o \
	$(OBJDIR)/src/devices/machine/z80sti.o \
	$(OBJDIR)/src/devices/machine/z8536.o \
	$(OBJDIR)/src/devices/machine/pccard.o \
	$(OBJDIR)/src/devices/machine/i8255.o \
	$(OBJDIR)/src/devices/machine/mb89363b.o \
	$(OBJDIR)/src/devices/machine/ncr5380.o \
	$(OBJDIR)/src/devices/machine/ncr5380n.o \
	$(OBJDIR)/src/devices/machine/ncr5390.o \
	$(OBJDIR)/src/devices/machine/mm58167.o \
	$(OBJDIR)/src/devices/machine/dp8390.o \
	$(OBJDIR)/src/devices/machine/pc_lpt.o \
	$(OBJDIR)/src/devices/machine/pc_fdc.o \
	$(OBJDIR)/src/devices/machine/mpu401.o \
	$(OBJDIR)/src/devices/machine/at_keybc.o \
	$(OBJDIR)/src/devices/machine/hdc92x4.o \
	$(OBJDIR)/src/devices/machine/strata.o \
	$(OBJDIR)/src/devices/machine/steppers.o \
	$(OBJDIR)/src/devices/machine/corvushd.o \
	$(OBJDIR)/src/devices/machine/wozfdc.o \
	$(OBJDIR)/src/devices/machine/diablo_hd.o \
	$(OBJDIR)/src/devices/machine/netlist.o \
	$(OBJDIR)/src/devices/machine/nsc810.o \
	$(OBJDIR)/src/devices/machine/vt82c496.o \
	$(OBJDIR)/src/devices/machine/pdc.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/src/devices/cpu/tms0980 \
	$(OBJDIR)/src/devices/cpu/rsp \
	$(OBJDIR)/src/devices/cpu/h8 \
	$(OBJDIR)/src/devices/cpu/ccpu \
	$(OBJDIR)/src/devices/cpu/tlcs900 \
	$(OBJDIR)/src/devices/cpu/i86 \
	$(OBJDIR)/src/devices/cpu/tms57002 \
	$(OBJDIR)/src/devices/cpu/se3208 \
	$(OBJDIR)/src/devices/cpu/tms32010 \
	$(OBJDIR)/src/devices/cpu/i8085 \
	$(OBJDIR)/src/devices/cpu/mcs51 \
	$(OBJDIR)/src/devices/cpu/alto2 \
	$(OBJDIR)/src/devices/cpu/lh5801 \
	$(OBJDIR)/src/devices/cpu/cp1610 \
	$(OBJDIR)/src/devices/cpu/es5510 \
	$(OBJDIR)/src/devices/cpu/g65816 \
	$(OBJDIR)/src/devices/cpu/mb86235 \
	$(OBJDIR)/src/devices/cpu/v30mz \
	$(OBJDIR)/src/devices/machine \
	$(OBJDIR)/src/devices/cpu/ssem \
	$(OBJDIR)/src/devices/bus/isa \
	$(OBJDIR)/src/devices/cpu/v60 \
	$(OBJDIR)/src/devices/video \
	$(OBJDIR)/src/devices/cpu/e132xs \
	$(OBJDIR)/src/devices/cpu/dsp32 \
	$(OBJDIR)/src/devices/cpu/avr8 \
	$(OBJDIR)/src/devices/cpu/arc \
	$(OBJDIR)/src/devices/cpu/melps4 \
	$(OBJDIR)/src/devices/cpu/score \
	$(OBJDIR)/src/devices/cpu/tlcs90 \
	$(OBJDIR)/src/devices/cpu/scudsp \
	$(OBJDIR)/src/devices/cpu/upd7725 \
	$(OBJDIR)/src/devices/cpu/superfx \
	$(OBJDIR)/src/devices/cpu/lr35902 \
	$(OBJDIR)/src/devices/cpu/sm8500 \
	$(OBJDIR)/src/devices/cpu/arm7 \
	$(OBJDIR)/src/devices/cpu/unsp \
	$(OBJDIR)/src/devices/cpu/cubeqcpu \
	$(OBJDIR)/src/devices/cpu/i4004 \
	$(OBJDIR)/src/devices/cpu/hd61700 \
	$(OBJDIR)/src/devices/cpu/h6280 \
	$(OBJDIR)/src/devices/cpu/spc700 \
	$(OBJDIR)/src/devices/cpu/jaguar \
	$(OBJDIR)/src/devices/cpu/scmp \
	$(OBJDIR)/src/devices/cpu/z8000 \
	$(OBJDIR)/src/devices/cpu/saturn \
	$(OBJDIR)/src/devices/cpu/z180 \
	$(OBJDIR)/src/devices/cpu/pps4 \
	$(OBJDIR)/src/devices/cpu/psx \
	$(OBJDIR)/src/devices/cpu/am29000 \
	$(OBJDIR)/src/devices/cpu/asap \
	$(OBJDIR)/src/devices/cpu/mb88xx \
	$(OBJDIR)/src/devices/cpu/tms32082 \
	$(OBJDIR)/src/devices/cpu/i8008 \
	$(OBJDIR)/src/devices/cpu/ucom4 \
	$(OBJDIR)/src/devices/cpu/hmcs40 \
	$(OBJDIR)/src/devices/cpu/cosmac \
	$(OBJDIR)/src/devices/cpu/mcs48 \
	$(OBJDIR)/src/devices/cpu/tms32025 \
	$(OBJDIR)/src/devices/cpu/tms34010 \
	$(OBJDIR)/src/devices/cpu \
	$(OBJDIR)/src/devices/cpu/tms7000 \
	$(OBJDIR)/src/devices/sound \
	$(OBJDIR)/src/devices/cpu/sh2 \
	$(OBJDIR)/src/devices/cpu/ssp1601 \
	$(OBJDIR)/src/devices/cpu/z8 \
	$(OBJDIR)/src/devices/cpu/sharc \
	$(OBJDIR)/src/devices/cpu/mips \
	$(OBJDIR)/src/devices/cpu/mb86233 \
	$(OBJDIR)/src/devices/cpu/s2650 \
	$(OBJDIR)/src/devices/cpu/pic16c5x \
	$(OBJDIR)/src/devices/cpu/m6809 \
	$(OBJDIR)/src/devices/cpu/minx \
	$(OBJDIR)/src/devices/cpu/i960 \
	$(OBJDIR)/src/devices/cpu/cop400 \
	$(OBJDIR)/src/devices/cpu/v810 \
	$(OBJDIR)/src/devices/cpu/tms32051 \
	$(OBJDIR)/src/devices/cpu/nec \
	$(OBJDIR)/src/devices/cpu/sh4 \
	$(OBJDIR)/src/devices/cpu/lc8670 \
	$(OBJDIR)/src/devices/cpu/upd7810 \
	$(OBJDIR)/src/devices/cpu/powerpc \
	$(OBJDIR)/src/devices/cpu/patinhofeio \
	$(OBJDIR)/src/devices/cpu/tms32031 \
	$(OBJDIR)/src/devices/cpu/dsp56k \
	$(OBJDIR)/src/devices/cpu/m68000 \
	$(OBJDIR)/src/devices/cpu/8x300 \
	$(OBJDIR)/src/devices/cpu/arcompact \
	$(OBJDIR)/src/devices/cpu/z80 \
	$(OBJDIR)/src/devices/cpu/sm510 \
	$(OBJDIR)/src/devices/cpu/alph8201 \
	$(OBJDIR)/src/devices/cpu/e0c6200 \
	$(OBJDIR)/src/devices/cpu/f8 \
	$(OBJDIR)/src/devices/cpu/amis2000 \
	$(OBJDIR)/src/devices/cpu/m6805 \
	$(OBJDIR)/src/devices/cpu/m6800 \
	$(OBJDIR)/src/devices/cpu/hcd62121 \
	$(OBJDIR)/src/devices/cpu/m6502 \
	$(OBJDIR)/src/devices/cpu/ie15 \
	$(OBJDIR)/src/devices/cpu/m37710 \
	$(OBJDIR)/src/devices/cpu/dsp16 \
	$(OBJDIR)/src/devices/cpu/pdp1 \
	$(OBJDIR)/src/devices/cpu/mc68hc11 \
	$(OBJDIR)/src/devices/cpu/pic16c62x \
	$(OBJDIR)/src/devices/cpu/apexc \
	$(OBJDIR)/src/devices/cpu/hphybrid \
	$(OBJDIR)/src/devices/cpu/t11 \
	$(OBJDIR)/src/devices/cpu/esrip \
	$(OBJDIR)/src/devices/cpu/i386 \
	$(OBJDIR)/src/devices/cpu/i8089 \
	$(OBJDIR)/src/devices/cpu/tms9900 \
	$(OBJDIR)/src/devices/cpu/sc61860 \
	$(OBJDIR)/src/devices/cpu/i860 \
	$(OBJDIR)/src/devices/cpu/arm \
	$(OBJDIR)/src/devices/cpu/mcs96 \
	$(OBJDIR)/src/devices/cpu/adsp2100 \
	../../../../generated/emu/cpu/m6809 \
	../../../../generated/emu/cpu/m6502 \
	../../../../generated/emu/cpu/tms57002 \
	../../../../generated/emu/cpu/h8 \
	../../../../generated/emu/cpu/mcs96 \
	../../../../generated/emu/cpu/arcompact \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIRS) prebuild prelink $(TARGET)
	@:

define max_args
	$(eval _args:=)
	$(foreach obj,$3,$(eval _args+=$(obj))$(if $(word $2,$(_args)),$1$(_args)$(EOL)$(eval _args:=)))
	$(if $(_args),$1$(_args))
endef

define EOL


endef

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Archiving $(notdir $@)...
	$(call RM,$(TARGET))
	@$(call max_args,$(LINKCMD),200,$(OBJECTS))
	$(SILENT) $(LINKCMD_NDX)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	-$(call MKDIR,$@)

clean:
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	$(SILENT) $(CXX) -x c++-header $(ALL_CXXFLAGS) -MMD -MP $(DEFINES) $(INCLUDES) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
endif

$(OBJDIR)/src/devices/cpu/vtlb.o: ../../../../../src/devices/cpu/vtlb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcbec.o: ../../../../../src/devices/cpu/drcbec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcbeut.o: ../../../../../src/devices/cpu/drcbeut.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drccache.o: ../../../../../src/devices/cpu/drccache.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcfe.o: ../../../../../src/devices/cpu/drcfe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcuml.o: ../../../../../src/devices/cpu/drcuml.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/uml.o: ../../../../../src/devices/cpu/uml.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i386/i386dasm.o: ../../../../../src/devices/cpu/i386/i386dasm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/x86log.o: ../../../../../src/devices/cpu/x86log.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcbex86.o: ../../../../../src/devices/cpu/drcbex86.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/drcbex64.o: ../../../../../src/devices/cpu/drcbex64.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/8x300/8x300.o: ../../../../../src/devices/cpu/8x300/8x300.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arc/arc.o: ../../../../../src/devices/cpu/arc/arc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o: ../../../../../src/devices/cpu/arcompact/arcompact.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o: ../../../../../src/devices/cpu/arcompact/arcompact_execute.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm/arm.o: ../../../../../src/devices/cpu/arm/arm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm7/arm7.o: ../../../../../src/devices/cpu/arm7/arm7.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm7/arm7thmb.o: ../../../../../src/devices/cpu/arm7/arm7thmb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm7/arm7ops.o: ../../../../../src/devices/cpu/arm7/arm7ops.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arm7/lpc210x.o: ../../../../../src/devices/cpu/arm7/lpc210x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/se3208/se3208.o: ../../../../../src/devices/cpu/se3208/se3208.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/amis2000/amis2000.o: ../../../../../src/devices/cpu/amis2000/amis2000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/amis2000/amis2000op.o: ../../../../../src/devices/cpu/amis2000/amis2000op.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alph8201/alph8201.o: ../../../../../src/devices/cpu/alph8201/alph8201.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/adsp2100/adsp2100.o: ../../../../../src/devices/cpu/adsp2100/adsp2100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sharc/sharc.o: ../../../../../src/devices/cpu/sharc/sharc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/apexc/apexc.o: ../../../../../src/devices/cpu/apexc/apexc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp16/dsp16.o: ../../../../../src/devices/cpu/dsp16/dsp16.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp32/dsp32.o: ../../../../../src/devices/cpu/dsp32/dsp32.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/asap/asap.o: ../../../../../src/devices/cpu/asap/asap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/am29000/am29000.o: ../../../../../src/devices/cpu/am29000/am29000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/jaguar/jaguar.o: ../../../../../src/devices/cpu/jaguar/jaguar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cubeqcpu/cubeqcpu.o: ../../../../../src/devices/cpu/cubeqcpu/cubeqcpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/es5510/es5510.o: ../../../../../src/devices/cpu/es5510/es5510.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/esrip/esrip.o: ../../../../../src/devices/cpu/esrip/esrip.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/e0c6200/e0c6200.o: ../../../../../src/devices/cpu/e0c6200/e0c6200.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/e0c6200/e0c6s46.o: ../../../../../src/devices/cpu/e0c6200/e0c6s46.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cosmac/cosmac.o: ../../../../../src/devices/cpu/cosmac/cosmac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cop400/cop400.o: ../../../../../src/devices/cpu/cop400/cop400.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/cp1610/cp1610.o: ../../../../../src/devices/cpu/cp1610/cp1610.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ccpu/ccpu.o: ../../../../../src/devices/cpu/ccpu/ccpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/t11/t11.o: ../../../../../src/devices/cpu/t11/t11.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/f8/f8.o: ../../../../../src/devices/cpu/f8/f8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816.o: ../../../../../src/devices/cpu/g65816/g65816.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816o0.o: ../../../../../src/devices/cpu/g65816/g65816o0.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816o1.o: ../../../../../src/devices/cpu/g65816/g65816o1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816o2.o: ../../../../../src/devices/cpu/g65816/g65816o2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816o3.o: ../../../../../src/devices/cpu/g65816/g65816o3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/g65816/g65816o4.o: ../../../../../src/devices/cpu/g65816/g65816o4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8.o: ../../../../../src/devices/cpu/h8/h8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8h.o: ../../../../../src/devices/cpu/h8/h8h.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2000.o: ../../../../../src/devices/cpu/h8/h8s2000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2600.o: ../../../../../src/devices/cpu/h8/h8s2600.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h83337.o: ../../../../../src/devices/cpu/h8/h83337.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h83002.o: ../../../../../src/devices/cpu/h8/h83002.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h83006.o: ../../../../../src/devices/cpu/h8/h83006.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h83008.o: ../../../../../src/devices/cpu/h8/h83008.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h83048.o: ../../../../../src/devices/cpu/h8/h83048.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2245.o: ../../../../../src/devices/cpu/h8/h8s2245.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2320.o: ../../../../../src/devices/cpu/h8/h8s2320.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2357.o: ../../../../../src/devices/cpu/h8/h8s2357.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8s2655.o: ../../../../../src/devices/cpu/h8/h8s2655.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_adc.o: ../../../../../src/devices/cpu/h8/h8_adc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_port.o: ../../../../../src/devices/cpu/h8/h8_port.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_intc.o: ../../../../../src/devices/cpu/h8/h8_intc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_timer8.o: ../../../../../src/devices/cpu/h8/h8_timer8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_timer16.o: ../../../../../src/devices/cpu/h8/h8_timer16.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h8/h8_sci.o: ../../../../../src/devices/cpu/h8/h8_sci.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hcd62121/hcd62121.o: ../../../../../src/devices/cpu/hcd62121/hcd62121.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40.o: ../../../../../src/devices/cpu/hmcs40/hmcs40.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hmcs40/hmcs40op.o: ../../../../../src/devices/cpu/hmcs40/hmcs40op.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh2/sh2.o: ../../../../../src/devices/cpu/sh2/sh2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh2/sh2fe.o: ../../../../../src/devices/cpu/sh2/sh2fe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh4.o: ../../../../../src/devices/cpu/sh4/sh4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh4comn.o: ../../../../../src/devices/cpu/sh4/sh4comn.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh3comn.o: ../../../../../src/devices/cpu/sh4/sh3comn.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh4tmu.o: ../../../../../src/devices/cpu/sh4/sh4tmu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sh4/sh4dmac.o: ../../../../../src/devices/cpu/sh4/sh4dmac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hphybrid/hphybrid.o: ../../../../../src/devices/cpu/hphybrid/hphybrid.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/h6280/h6280.o: ../../../../../src/devices/cpu/h6280/h6280.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/e132xs/e132xs.o: ../../../../../src/devices/cpu/e132xs/e132xs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ie15/ie15.o: ../../../../../src/devices/cpu/ie15/ie15.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i4004/i4004.o: ../../../../../src/devices/cpu/i4004/i4004.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8008/i8008.o: ../../../../../src/devices/cpu/i8008/i8008.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/scmp/scmp.o: ../../../../../src/devices/cpu/scmp/scmp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8085/i8085.o: ../../../../../src/devices/cpu/i8085/i8085.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8089/i8089.o: ../../../../../src/devices/cpu/i8089/i8089.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8089/i8089_channel.o: ../../../../../src/devices/cpu/i8089/i8089_channel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i8089/i8089_ops.o: ../../../../../src/devices/cpu/i8089/i8089_ops.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs48/mcs48.o: ../../../../../src/devices/cpu/mcs48/mcs48.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs51/mcs51.o: ../../../../../src/devices/cpu/mcs51/mcs51.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o: ../../../../../src/devices/cpu/mcs96/mcs96.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o: ../../../../../src/devices/cpu/mcs96/i8x9x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o: ../../../../../src/devices/cpu/mcs96/i8xc196.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i86/i86.o: ../../../../../src/devices/cpu/i86/i86.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i86/i186.o: ../../../../../src/devices/cpu/i86/i186.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i86/i286.o: ../../../../../src/devices/cpu/i86/i286.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i386/i386.o: ../../../../../src/devices/cpu/i386/i386.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i860/i860.o: ../../../../../src/devices/cpu/i860/i860.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/i960/i960.o: ../../../../../src/devices/cpu/i960/i960.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lh5801/lh5801.o: ../../../../../src/devices/cpu/lh5801/lh5801.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ssem/ssem.o: ../../../../../src/devices/cpu/ssem/ssem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb88xx/mb88xx.o: ../../../../../src/devices/cpu/mb88xx/mb88xx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb86233/mb86233.o: ../../../../../src/devices/cpu/mb86233/mb86233.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mb86235/mb86235.o: ../../../../../src/devices/cpu/mb86235/mb86235.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pic16c5x/pic16c5x.o: ../../../../../src/devices/cpu/pic16c5x/pic16c5x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pic16c62x/pic16c62x.o: ../../../../../src/devices/cpu/pic16c62x/pic16c62x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/r3000.o: ../../../../../src/devices/cpu/mips/r3000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/mips3com.o: ../../../../../src/devices/cpu/mips/mips3com.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/mips3.o: ../../../../../src/devices/cpu/mips/mips3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/mips3fe.o: ../../../../../src/devices/cpu/mips/mips3fe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mips/mips3drc.o: ../../../../../src/devices/cpu/mips/mips3drc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/psx.o: ../../../../../src/devices/cpu/psx/psx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/gte.o: ../../../../../src/devices/cpu/psx/gte.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/dma.o: ../../../../../src/devices/cpu/psx/dma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/irq.o: ../../../../../src/devices/cpu/psx/irq.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/mdec.o: ../../../../../src/devices/cpu/psx/mdec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/rcnt.o: ../../../../../src/devices/cpu/psx/rcnt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/psx/sio.o: ../../../../../src/devices/cpu/psx/sio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/melps4/melps4.o: ../../../../../src/devices/cpu/melps4/melps4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/melps4/melps4op.o: ../../../../../src/devices/cpu/melps4/melps4op.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/melps4/m58846.o: ../../../../../src/devices/cpu/melps4/m58846.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m37710.o: ../../../../../src/devices/cpu/m37710/m37710.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m37710o0.o: ../../../../../src/devices/cpu/m37710/m37710o0.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m37710o1.o: ../../../../../src/devices/cpu/m37710/m37710o1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m37710o2.o: ../../../../../src/devices/cpu/m37710/m37710o2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m37710/m37710o3.o: ../../../../../src/devices/cpu/m37710/m37710o3.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/deco16.o: ../../../../../src/devices/cpu/m6502/deco16.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m4510.o: ../../../../../src/devices/cpu/m6502/m4510.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6502.o: ../../../../../src/devices/cpu/m6502/m6502.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m65c02.o: ../../../../../src/devices/cpu/m6502/m65c02.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o: ../../../../../src/devices/cpu/m6502/m65ce02.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m65sc02.o: ../../../../../src/devices/cpu/m6502/m65sc02.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6504.o: ../../../../../src/devices/cpu/m6502/m6504.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6507.o: ../../../../../src/devices/cpu/m6502/m6507.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6509.o: ../../../../../src/devices/cpu/m6502/m6509.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6510.o: ../../../../../src/devices/cpu/m6502/m6510.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m6510t.o: ../../../../../src/devices/cpu/m6502/m6510t.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m7501.o: ../../../../../src/devices/cpu/m6502/m7501.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m8502.o: ../../../../../src/devices/cpu/m6502/m8502.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/n2a03.o: ../../../../../src/devices/cpu/m6502/n2a03.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/r65c02.o: ../../../../../src/devices/cpu/m6502/r65c02.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m740.o: ../../../../../src/devices/cpu/m6502/m740.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m3745x.o: ../../../../../src/devices/cpu/m6502/m3745x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6502/m5074x.o: ../../../../../src/devices/cpu/m6502/m5074x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6800/m6800.o: ../../../../../src/devices/cpu/m6800/m6800.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6805/m6805.o: ../../../../../src/devices/cpu/m6805/m6805.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/m6809.o: ../../../../../src/devices/cpu/m6809/m6809.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/hd6309.o: ../../../../../src/devices/cpu/m6809/hd6309.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m6809/konami.o: ../../../../../src/devices/cpu/m6809/konami.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/mc68hc11/mc68hc11.o: ../../../../../src/devices/cpu/mc68hc11/mc68hc11.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m68000/m68kcpu.o: ../../../../../src/devices/cpu/m68000/m68kcpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/m68000/m68kops.o: ../../../../../src/devices/cpu/m68000/m68kops.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/dsp56k.o: ../../../../../src/devices/cpu/dsp56k/dsp56k.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/dsp56mem.o: ../../../../../src/devices/cpu/dsp56k/dsp56mem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp56k/dsp56pcu.o: ../../../../../src/devices/cpu/dsp56k/dsp56pcu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pdp1/pdp1.o: ../../../../../src/devices/cpu/pdp1/pdp1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pdp1/tx0.o: ../../../../../src/devices/cpu/pdp1/tx0.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/patinhofeio/patinho_feio.o: ../../../../../src/devices/cpu/patinhofeio/patinho_feio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/powerpc/ppccom.o: ../../../../../src/devices/cpu/powerpc/ppccom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/powerpc/ppcfe.o: ../../../../../src/devices/cpu/powerpc/ppcfe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/powerpc/ppcdrc.o: ../../../../../src/devices/cpu/powerpc/ppcdrc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/nec/nec.o: ../../../../../src/devices/cpu/nec/nec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/nec/v25.o: ../../../../../src/devices/cpu/nec/v25.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/nec/v25sfr.o: ../../../../../src/devices/cpu/nec/v25sfr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/nec/v53.o: ../../../../../src/devices/cpu/nec/v53.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/v30mz/v30mz.o: ../../../../../src/devices/cpu/v30mz/v30mz.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/v60/v60.o: ../../../../../src/devices/cpu/v60/v60.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/v810/v810.o: ../../../../../src/devices/cpu/v810/v810.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7725/upd7725.o: ../../../../../src/devices/cpu/upd7725/upd7725.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7810/upd7810.o: ../../../../../src/devices/cpu/upd7810/upd7810.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7810/upd7810_opcodes.o: ../../../../../src/devices/cpu/upd7810/upd7810_opcodes.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/upd7810/upd7810_table.o: ../../../../../src/devices/cpu/upd7810/upd7810_table.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ucom4/ucom4.o: ../../../../../src/devices/cpu/ucom4/ucom4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ucom4/ucom4op.o: ../../../../../src/devices/cpu/ucom4/ucom4op.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/minx/minx.o: ../../../../../src/devices/cpu/minx/minx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rsp.o: ../../../../../src/devices/cpu/rsp/rsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rspdrc.o: ../../../../../src/devices/cpu/rsp/rspdrc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rspfe.o: ../../../../../src/devices/cpu/rsp/rspfe.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rspcp2.o: ../../../../../src/devices/cpu/rsp/rspcp2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/rsp/rspcp2d.o: ../../../../../src/devices/cpu/rsp/rspcp2d.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/saturn/saturn.o: ../../../../../src/devices/cpu/saturn/saturn.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm510/sm510.o: ../../../../../src/devices/cpu/sm510/sm510.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm510/sm510op.o: ../../../../../src/devices/cpu/sm510/sm510op.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm510/sm510core.o: ../../../../../src/devices/cpu/sm510/sm510core.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm510/sm511core.o: ../../../../../src/devices/cpu/sm510/sm511core.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sm8500/sm8500.o: ../../../../../src/devices/cpu/sm8500/sm8500.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/s2650/s2650.o: ../../../../../src/devices/cpu/s2650/s2650.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/sc61860/sc61860.o: ../../../../../src/devices/cpu/sc61860/sc61860.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/spc700/spc700.o: ../../../../../src/devices/cpu/spc700/spc700.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/ssp1601/ssp1601.o: ../../../../../src/devices/cpu/ssp1601/ssp1601.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/unsp/unsp.o: ../../../../../src/devices/cpu/unsp/unsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/avr8/avr8.o: ../../../../../src/devices/cpu/avr8/avr8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms0980/tms0980.o: ../../../../../src/devices/cpu/tms0980/tms0980.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms7000/tms7000.o: ../../../../../src/devices/cpu/tms7000/tms7000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms9900/tms9900.o: ../../../../../src/devices/cpu/tms9900/tms9900.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms9900/tms9980a.o: ../../../../../src/devices/cpu/tms9900/tms9980a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms9900/tms9995.o: ../../../../../src/devices/cpu/tms9900/tms9995.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms9900/ti990_10.o: ../../../../../src/devices/cpu/tms9900/ti990_10.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms34010/tms34010.o: ../../../../../src/devices/cpu/tms34010/tms34010.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32010/tms32010.o: ../../../../../src/devices/cpu/tms32010/tms32010.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32025/tms32025.o: ../../../../../src/devices/cpu/tms32025/tms32025.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32031/tms32031.o: ../../../../../src/devices/cpu/tms32031/tms32031.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32051/tms32051.o: ../../../../../src/devices/cpu/tms32051/tms32051.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32082/tms32082.o: ../../../../../src/devices/cpu/tms32082/tms32082.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms32082/mp_ops.o: ../../../../../src/devices/cpu/tms32082/mp_ops.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o: ../../../../../src/devices/cpu/tms57002/tms57002.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o: ../../../../../src/devices/cpu/tms57002/tms57kdec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tlcs90/tlcs90.o: ../../../../../src/devices/cpu/tlcs90/tlcs90.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/tlcs900/tlcs900.o: ../../../../../src/devices/cpu/tlcs900/tlcs900.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/z80.o: ../../../../../src/devices/cpu/z80/z80.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/z80daisy.o: ../../../../../src/devices/cpu/z80/z80daisy.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/tmpz84c011.o: ../../../../../src/devices/cpu/z80/tmpz84c011.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/tmpz84c015.o: ../../../../../src/devices/cpu/z80/tmpz84c015.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z80/kl5c80a12.o: ../../../../../src/devices/cpu/z80/kl5c80a12.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lr35902/lr35902.o: ../../../../../src/devices/cpu/lr35902/lr35902.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z180/z180.o: ../../../../../src/devices/cpu/z180/z180.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z8000/z8000.o: ../../../../../src/devices/cpu/z8000/z8000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/z8/z8.o: ../../../../../src/devices/cpu/z8/z8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/superfx/superfx.o: ../../../../../src/devices/cpu/superfx/superfx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/pps4/pps4.o: ../../../../../src/devices/cpu/pps4/pps4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/hd61700/hd61700.o: ../../../../../src/devices/cpu/hd61700/hd61700.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/lc8670/lc8670.o: ../../../../../src/devices/cpu/lc8670/lc8670.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/scudsp/scudsp.o: ../../../../../src/devices/cpu/scudsp/scudsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/score/score.o: ../../../../../src/devices/cpu/score/score.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/alto2cpu.o: ../../../../../src/devices/cpu/alto2/alto2cpu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2disk.o: ../../../../../src/devices/cpu/alto2/a2disk.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2disp.o: ../../../../../src/devices/cpu/alto2/a2disp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2curt.o: ../../../../../src/devices/cpu/alto2/a2curt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2dht.o: ../../../../../src/devices/cpu/alto2/a2dht.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2dvt.o: ../../../../../src/devices/cpu/alto2/a2dvt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2dwt.o: ../../../../../src/devices/cpu/alto2/a2dwt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2emu.o: ../../../../../src/devices/cpu/alto2/a2emu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2ether.o: ../../../../../src/devices/cpu/alto2/a2ether.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2hw.o: ../../../../../src/devices/cpu/alto2/a2hw.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2kbd.o: ../../../../../src/devices/cpu/alto2/a2kbd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2ksec.o: ../../../../../src/devices/cpu/alto2/a2ksec.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2kwd.o: ../../../../../src/devices/cpu/alto2/a2kwd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2mem.o: ../../../../../src/devices/cpu/alto2/a2mem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2mouse.o: ../../../../../src/devices/cpu/alto2/a2mouse.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2mrt.o: ../../../../../src/devices/cpu/alto2/a2mrt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2part.o: ../../../../../src/devices/cpu/alto2/a2part.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2ram.o: ../../../../../src/devices/cpu/alto2/a2ram.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/alto2/a2roms.o: ../../../../../src/devices/cpu/alto2/a2roms.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/dac.o: ../../../../../src/devices/sound/dac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/dmadac.o: ../../../../../src/devices/sound/dmadac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/speaker.o: ../../../../../src/devices/sound/speaker.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/beep.o: ../../../../../src/devices/sound/beep.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/cdda.o: ../../../../../src/devices/sound/cdda.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/discrete.o: ../../../../../src/devices/sound/discrete.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/asc.o: ../../../../../src/devices/sound/asc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/awacs.o: ../../../../../src/devices/sound/awacs.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/pokey.o: ../../../../../src/devices/sound/pokey.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/tiasound.o: ../../../../../src/devices/sound/tiasound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/tiaintf.o: ../../../../../src/devices/sound/tiaintf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/amiga.o: ../../../../../src/devices/sound/amiga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/astrocde.o: ../../../../../src/devices/sound/astrocde.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/es5503.o: ../../../../../src/devices/sound/es5503.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/es5506.o: ../../../../../src/devices/sound/es5506.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/esqpump.o: ../../../../../src/devices/sound/esqpump.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/cdp1863.o: ../../../../../src/devices/sound/cdp1863.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/cdp1864.o: ../../../../../src/devices/sound/cdp1864.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/cdp1869.o: ../../../../../src/devices/sound/cdp1869.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ay8910.o: ../../../../../src/devices/sound/ay8910.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/hc55516.o: ../../../../../src/devices/sound/hc55516.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/c6280.o: ../../../../../src/devices/sound/c6280.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/k051649.o: ../../../../../src/devices/sound/k051649.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/lmc1992.o: ../../../../../src/devices/sound/lmc1992.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/mos6560.o: ../../../../../src/devices/sound/mos6560.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/mos7360.o: ../../../../../src/devices/sound/mos7360.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/nes_apu.o: ../../../../../src/devices/sound/nes_apu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/upd7759.o: ../../../../../src/devices/sound/upd7759.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/315-5641.o: ../../../../../src/devices/sound/315-5641.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/okiadpcm.o: ../../../../../src/devices/sound/okiadpcm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/msm5205.o: ../../../../../src/devices/sound/msm5205.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/okim6295.o: ../../../../../src/devices/sound/okim6295.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/okim6258.o: ../../../../../src/devices/sound/okim6258.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/saa1099.o: ../../../../../src/devices/sound/saa1099.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/qsound.o: ../../../../../src/devices/sound/qsound.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/dsp16/dsp16dis.o: ../../../../../src/devices/cpu/dsp16/dsp16dis.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/rf5c68.o: ../../../../../src/devices/sound/rf5c68.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/scsp.o: ../../../../../src/devices/sound/scsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/scspdsp.o: ../../../../../src/devices/sound/scspdsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/aica.o: ../../../../../src/devices/sound/aica.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/aicadsp.o: ../../../../../src/devices/sound/aicadsp.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/mos6581.o: ../../../../../src/devices/sound/mos6581.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sid.o: ../../../../../src/devices/sound/sid.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sidenvel.o: ../../../../../src/devices/sound/sidenvel.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sidvoice.o: ../../../../../src/devices/sound/sidvoice.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/t6w28.o: ../../../../../src/devices/sound/t6w28.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/spu.o: ../../../../../src/devices/sound/spu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/spu_tables.o: ../../../../../src/devices/sound/spu_tables.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/spureverb.o: ../../../../../src/devices/sound/spureverb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sp0256.o: ../../../../../src/devices/sound/sp0256.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/s14001a.o: ../../../../../src/devices/sound/s14001a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sn76477.o: ../../../../../src/devices/sound/sn76477.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/sn76496.o: ../../../../../src/devices/sound/sn76496.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/tms5110.o: ../../../../../src/devices/sound/tms5110.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/tms5220.o: ../../../../../src/devices/sound/tms5220.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/spchrom.o: ../../../../../src/devices/machine/spchrom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/t6721a.o: ../../../../../src/devices/sound/t6721a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/upd7752.o: ../../../../../src/devices/sound/upd7752.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/vlm5030.o: ../../../../../src/devices/sound/vlm5030.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/votrax.o: ../../../../../src/devices/sound/votrax.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/wave.o: ../../../../../src/devices/sound/wave.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2151intf.o: ../../../../../src/devices/sound/2151intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ym2151.o: ../../../../../src/devices/sound/ym2151.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2413intf.o: ../../../../../src/devices/sound/2413intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ym2413.o: ../../../../../src/devices/sound/ym2413.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2203intf.o: ../../../../../src/devices/sound/2203intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/fm.o: ../../../../../src/devices/sound/fm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2608intf.o: ../../../../../src/devices/sound/2608intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ymdeltat.o: ../../../../../src/devices/sound/ymdeltat.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2610intf.o: ../../../../../src/devices/sound/2610intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/2612intf.o: ../../../../../src/devices/sound/2612intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/fm2612.o: ../../../../../src/devices/sound/fm2612.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/3812intf.o: ../../../../../src/devices/sound/3812intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/fmopl.o: ../../../../../src/devices/sound/fmopl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/3526intf.o: ../../../../../src/devices/sound/3526intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/8950intf.o: ../../../../../src/devices/sound/8950intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ymf262.o: ../../../../../src/devices/sound/ymf262.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/262intf.o: ../../../../../src/devices/sound/262intf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/ymf278b.o: ../../../../../src/devices/sound/ymf278b.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/sound/vrc6.o: ../../../../../src/devices/sound/vrc6.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/315_5124.o: ../../../../../src/devices/video/315_5124.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/315_5313.o: ../../../../../src/devices/video/315_5313.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/cdp1861.o: ../../../../../src/devices/video/cdp1861.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/cdp1862.o: ../../../../../src/devices/video/cdp1862.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/crt9007.o: ../../../../../src/devices/video/crt9007.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/crt9021.o: ../../../../../src/devices/video/crt9021.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/crt9212.o: ../../../../../src/devices/video/crt9212.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/dl1416.o: ../../../../../src/devices/video/dl1416.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/dm9368.o: ../../../../../src/devices/video/dm9368.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/ef9340_1.o: ../../../../../src/devices/video/ef9340_1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/ef9345.o: ../../../../../src/devices/video/ef9345.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/ef9365.o: ../../../../../src/devices/video/ef9365.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/gf4500.o: ../../../../../src/devices/video/gf4500.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/hd44102.o: ../../../../../src/devices/video/hd44102.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/hd44352.o: ../../../../../src/devices/video/hd44352.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/hd44780.o: ../../../../../src/devices/video/hd44780.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/hd61830.o: ../../../../../src/devices/video/hd61830.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/hd66421.o: ../../../../../src/devices/video/hd66421.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/huc6202.o: ../../../../../src/devices/video/huc6202.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/huc6260.o: ../../../../../src/devices/video/huc6260.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/huc6261.o: ../../../../../src/devices/video/huc6261.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/huc6270.o: ../../../../../src/devices/video/huc6270.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/huc6272.o: ../../../../../src/devices/video/huc6272.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/i8244.o: ../../../../../src/devices/video/i8244.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/i82730.o: ../../../../../src/devices/video/i82730.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/i8275.o: ../../../../../src/devices/video/i8275.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/mc6845.o: ../../../../../src/devices/video/mc6845.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/mc6847.o: ../../../../../src/devices/video/mc6847.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/msm6222b.o: ../../../../../src/devices/video/msm6222b.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/msm6255.o: ../../../../../src/devices/video/msm6255.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/mos6566.o: ../../../../../src/devices/video/mos6566.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/cgapal.o: ../../../../../src/devices/video/cgapal.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/pc_vga.o: ../../../../../src/devices/video/pc_vga.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/bus/isa/trident.o: ../../../../../src/devices/bus/isa/trident.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/clgd542x.o: ../../../../../src/devices/video/clgd542x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/psx.o: ../../../../../src/devices/video/psx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/ramdac.o: ../../../../../src/devices/video/ramdac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/saa5050.o: ../../../../../src/devices/video/saa5050.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/sed1200.o: ../../../../../src/devices/video/sed1200.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/sed1330.o: ../../../../../src/devices/video/sed1330.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/sed1520.o: ../../../../../src/devices/video/sed1520.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/scn2674.o: ../../../../../src/devices/video/scn2674.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/snes_ppu.o: ../../../../../src/devices/video/snes_ppu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/stvvdp1.o: ../../../../../src/devices/video/stvvdp1.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/stvvdp2.o: ../../../../../src/devices/video/stvvdp2.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/t6a04.o: ../../../../../src/devices/video/t6a04.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/tea1002.o: ../../../../../src/devices/video/tea1002.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/tms3556.o: ../../../../../src/devices/video/tms3556.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/tms9927.o: ../../../../../src/devices/video/tms9927.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/tms9928a.o: ../../../../../src/devices/video/tms9928a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/upd3301.o: ../../../../../src/devices/video/upd3301.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/upd7220.o: ../../../../../src/devices/video/upd7220.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/upd7227.o: ../../../../../src/devices/video/upd7227.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/vic4567.o: ../../../../../src/devices/video/vic4567.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/v9938.o: ../../../../../src/devices/video/v9938.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/video/crtc_ega.o: ../../../../../src/devices/video/crtc_ega.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/akiko.o: ../../../../../src/devices/machine/akiko.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/autoconfig.o: ../../../../../src/devices/machine/autoconfig.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cr511b.o: ../../../../../src/devices/machine/cr511b.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/dmac.o: ../../../../../src/devices/machine/dmac.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/gayle.o: ../../../../../src/devices/machine/gayle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/40105.o: ../../../../../src/devices/machine/40105.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/53c7xx.o: ../../../../../src/devices/machine/53c7xx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/53c810.o: ../../../../../src/devices/machine/53c810.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6522via.o: ../../../../../src/devices/machine/6522via.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6525tpi.o: ../../../../../src/devices/machine/6525tpi.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6532riot.o: ../../../../../src/devices/machine/6532riot.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6821pia.o: ../../../../../src/devices/machine/6821pia.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6840ptm.o: ../../../../../src/devices/machine/6840ptm.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/6850acia.o: ../../../../../src/devices/machine/6850acia.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68230pit.o: ../../../../../src/devices/machine/68230pit.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68561mpcc.o: ../../../../../src/devices/machine/68561mpcc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc68681.o: ../../../../../src/devices/machine/mc68681.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/7200fifo.o: ../../../../../src/devices/machine/7200fifo.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/74123.o: ../../../../../src/devices/machine/74123.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/74145.o: ../../../../../src/devices/machine/74145.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/74148.o: ../../../../../src/devices/machine/74148.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/74153.o: ../../../../../src/devices/machine/74153.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/74181.o: ../../../../../src/devices/machine/74181.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/7474.o: ../../../../../src/devices/machine/7474.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/8042kbdc.o: ../../../../../src/devices/machine/8042kbdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/8530scc.o: ../../../../../src/devices/machine/8530scc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/aakart.o: ../../../../../src/devices/machine/aakart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/adc0808.o: ../../../../../src/devices/machine/adc0808.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/adc083x.o: ../../../../../src/devices/machine/adc083x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/adc1038.o: ../../../../../src/devices/machine/adc1038.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/adc1213x.o: ../../../../../src/devices/machine/adc1213x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/aicartc.o: ../../../../../src/devices/machine/aicartc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/am53cf96.o: ../../../../../src/devices/machine/am53cf96.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/am9517a.o: ../../../../../src/devices/machine/am9517a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/amigafdc.o: ../../../../../src/devices/machine/amigafdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/at28c16.o: ../../../../../src/devices/machine/at28c16.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/at29x.o: ../../../../../src/devices/machine/at29x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/at45dbxx.o: ../../../../../src/devices/machine/at45dbxx.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ataflash.o: ../../../../../src/devices/machine/ataflash.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ay31015.o: ../../../../../src/devices/machine/ay31015.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/bankdev.o: ../../../../../src/devices/machine/bankdev.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cdp1852.o: ../../../../../src/devices/machine/cdp1852.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cdp1871.o: ../../../../../src/devices/machine/cdp1871.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/com8116.o: ../../../../../src/devices/machine/com8116.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cr589.o: ../../../../../src/devices/machine/cr589.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cs4031.o: ../../../../../src/devices/machine/cs4031.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/cs8221.o: ../../../../../src/devices/machine/cs8221.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds1302.o: ../../../../../src/devices/machine/ds1302.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds1315.o: ../../../../../src/devices/machine/ds1315.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds2401.o: ../../../../../src/devices/machine/ds2401.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds2404.o: ../../../../../src/devices/machine/ds2404.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds75160a.o: ../../../../../src/devices/machine/ds75160a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds75161a.o: ../../../../../src/devices/machine/ds75161a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/e0516.o: ../../../../../src/devices/machine/e0516.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/e05a03.o: ../../../../../src/devices/machine/e05a03.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/e05a30.o: ../../../../../src/devices/machine/e05a30.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/eeprom.o: ../../../../../src/devices/machine/eeprom.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/eepromser.o: ../../../../../src/devices/machine/eepromser.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/eeprompar.o: ../../../../../src/devices/machine/eeprompar.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/er2055.o: ../../../../../src/devices/machine/er2055.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/f3853.o: ../../../../../src/devices/machine/f3853.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/hd63450.o: ../../../../../src/devices/machine/hd63450.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/hd64610.o: ../../../../../src/devices/machine/hd64610.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i2cmem.o: ../../../../../src/devices/machine/i2cmem.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8155.o: ../../../../../src/devices/machine/i8155.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8212.o: ../../../../../src/devices/machine/i8212.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8214.o: ../../../../../src/devices/machine/i8214.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8243.o: ../../../../../src/devices/machine/i8243.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8251.o: ../../../../../src/devices/machine/i8251.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8257.o: ../../../../../src/devices/machine/i8257.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8271.o: ../../../../../src/devices/machine/i8271.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8279.o: ../../../../../src/devices/machine/i8279.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8355.o: ../../../../../src/devices/machine/i8355.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i80130.o: ../../../../../src/devices/machine/i80130.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/atadev.o: ../../../../../src/devices/machine/atadev.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/atahle.o: ../../../../../src/devices/machine/atahle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ataintf.o: ../../../../../src/devices/machine/ataintf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/atapicdr.o: ../../../../../src/devices/machine/atapicdr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/atapihle.o: ../../../../../src/devices/machine/atapihle.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/idectrl.o: ../../../../../src/devices/machine/idectrl.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/idehd.o: ../../../../../src/devices/machine/idehd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/vt83c461.o: ../../../../../src/devices/machine/vt83c461.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/im6402.o: ../../../../../src/devices/machine/im6402.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ins8154.o: ../../../../../src/devices/machine/ins8154.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ins8250.o: ../../../../../src/devices/machine/ins8250.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/intelfsh.o: ../../../../../src/devices/machine/intelfsh.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/jvsdev.o: ../../../../../src/devices/machine/jvsdev.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/jvshost.o: ../../../../../src/devices/machine/jvshost.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/k033906.o: ../../../../../src/devices/machine/k033906.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/k053252.o: ../../../../../src/devices/machine/k053252.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/k056230.o: ../../../../../src/devices/machine/k056230.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/kb3600.o: ../../../../../src/devices/machine/kb3600.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/kr2376.o: ../../../../../src/devices/machine/kr2376.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/latch8.o: ../../../../../src/devices/machine/latch8.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/lc89510.o: ../../../../../src/devices/machine/lc89510.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ldpr8210.o: ../../../../../src/devices/machine/ldpr8210.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ldstub.o: ../../../../../src/devices/machine/ldstub.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ldv1000.o: ../../../../../src/devices/machine/ldv1000.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ldvp931.o: ../../../../../src/devices/machine/ldvp931.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/lh5810.o: ../../../../../src/devices/machine/lh5810.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/linflash.o: ../../../../../src/devices/machine/linflash.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/m6m80011ap.o: ../../../../../src/devices/machine/m6m80011ap.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/matsucd.o: ../../../../../src/devices/machine/matsucd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb14241.o: ../../../../../src/devices/machine/mb14241.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb3773.o: ../../../../../src/devices/machine/mb3773.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb8421.o: ../../../../../src/devices/machine/mb8421.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb87078.o: ../../../../../src/devices/machine/mb87078.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb8795.o: ../../../../../src/devices/machine/mb8795.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb89352.o: ../../../../../src/devices/machine/mb89352.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb89371.o: ../../../../../src/devices/machine/mb89371.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc146818.o: ../../../../../src/devices/machine/mc146818.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ds128x.o: ../../../../../src/devices/machine/ds128x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc2661.o: ../../../../../src/devices/machine/mc2661.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc6843.o: ../../../../../src/devices/machine/mc6843.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc6846.o: ../../../../../src/devices/machine/mc6846.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc6852.o: ../../../../../src/devices/machine/mc6852.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc6854.o: ../../../../../src/devices/machine/mc6854.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc68328.o: ../../../../../src/devices/machine/mc68328.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mc68901.o: ../../../../../src/devices/machine/mc68901.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mccs1850.o: ../../../../../src/devices/machine/mccs1850.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68307.o: ../../../../../src/devices/machine/68307.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68307sim.o: ../../../../../src/devices/machine/68307sim.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68307bus.o: ../../../../../src/devices/machine/68307bus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68307tmu.o: ../../../../../src/devices/machine/68307tmu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68340.o: ../../../../../src/devices/machine/68340.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68340sim.o: ../../../../../src/devices/machine/68340sim.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68340dma.o: ../../../../../src/devices/machine/68340dma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68340ser.o: ../../../../../src/devices/machine/68340ser.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/68340tmu.o: ../../../../../src/devices/machine/68340tmu.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mcf5206e.o: ../../../../../src/devices/machine/mcf5206e.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/microtch.o: ../../../../../src/devices/machine/microtch.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mm58274c.o: ../../../../../src/devices/machine/mm58274c.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mm74c922.o: ../../../../../src/devices/machine/mm74c922.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6526.o: ../../../../../src/devices/machine/mos6526.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6529.o: ../../../../../src/devices/machine/mos6529.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6702.o: ../../../../../src/devices/machine/mos6702.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos8706.o: ../../../../../src/devices/machine/mos8706.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos8722.o: ../../../../../src/devices/machine/mos8722.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos8726.o: ../../../../../src/devices/machine/mos8726.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6530.o: ../../../../../src/devices/machine/mos6530.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6530n.o: ../../../../../src/devices/machine/mos6530n.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mos6551.o: ../../../../../src/devices/machine/mos6551.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/msm5832.o: ../../../../../src/devices/machine/msm5832.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/msm58321.o: ../../../../../src/devices/machine/msm58321.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/msm6242.o: ../../../../../src/devices/machine/msm6242.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ncr539x.o: ../../../../../src/devices/machine/ncr539x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nmc9306.o: ../../../../../src/devices/machine/nmc9306.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nscsi_bus.o: ../../../../../src/devices/machine/nscsi_bus.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nscsi_cb.o: ../../../../../src/devices/machine/nscsi_cb.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nscsi_cd.o: ../../../../../src/devices/machine/nscsi_cd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nscsi_hd.o: ../../../../../src/devices/machine/nscsi_hd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nscsi_s1410.o: ../../../../../src/devices/machine/nscsi_s1410.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pcf8593.o: ../../../../../src/devices/machine/pcf8593.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/lpci.o: ../../../../../src/devices/machine/lpci.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pckeybrd.o: ../../../../../src/devices/machine/pckeybrd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pic8259.o: ../../../../../src/devices/machine/pic8259.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pit8253.o: ../../../../../src/devices/machine/pit8253.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pla.o: ../../../../../src/devices/machine/pla.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rf5c296.o: ../../../../../src/devices/machine/rf5c296.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/roc10937.o: ../../../../../src/devices/machine/roc10937.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rp5c01.o: ../../../../../src/devices/machine/rp5c01.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rp5c15.o: ../../../../../src/devices/machine/rp5c15.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rp5h01.o: ../../../../../src/devices/machine/rp5h01.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/64h156.o: ../../../../../src/devices/machine/64h156.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rtc4543.o: ../../../../../src/devices/machine/rtc4543.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rtc65271.o: ../../../../../src/devices/machine/rtc65271.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/rtc9701.o: ../../../../../src/devices/machine/rtc9701.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/s3520cf.o: ../../../../../src/devices/machine/s3520cf.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/s3c2400.o: ../../../../../src/devices/machine/s3c2400.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/s3c2410.o: ../../../../../src/devices/machine/s3c2410.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/s3c44b0.o: ../../../../../src/devices/machine/s3c44b0.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/s3c2440.o: ../../../../../src/devices/machine/s3c2440.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/saturn.o: ../../../../../src/devices/machine/saturn.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/smc91c9x.o: ../../../../../src/devices/machine/smc91c9x.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/smpc.o: ../../../../../src/devices/machine/smpc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/stvcd.o: ../../../../../src/devices/machine/stvcd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/t10mmc.o: ../../../../../src/devices/machine/t10mmc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/t10sbc.o: ../../../../../src/devices/machine/t10sbc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/t10spc.o: ../../../../../src/devices/machine/t10spc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tc009xlvc.o: ../../../../../src/devices/machine/tc009xlvc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/timekpr.o: ../../../../../src/devices/machine/timekpr.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tmp68301.o: ../../../../../src/devices/machine/tmp68301.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tms1024.o: ../../../../../src/devices/machine/tms1024.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tms5501.o: ../../../../../src/devices/machine/tms5501.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tms6100.o: ../../../../../src/devices/machine/tms6100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tms9901.o: ../../../../../src/devices/machine/tms9901.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/tms9902.o: ../../../../../src/devices/machine/tms9902.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/upd1990a.o: ../../../../../src/devices/machine/upd1990a.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/upd4701.o: ../../../../../src/devices/machine/upd4701.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/upd7002.o: ../../../../../src/devices/machine/upd7002.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/upd71071.o: ../../../../../src/devices/machine/upd71071.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/upd765.o: ../../../../../src/devices/machine/upd765.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/fdc_pll.o: ../../../../../src/devices/machine/fdc_pll.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/v3021.o: ../../../../../src/devices/machine/v3021.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wd_fdc.o: ../../../../../src/devices/machine/wd_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wd11c00_17.o: ../../../../../src/devices/machine/wd11c00_17.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wd2010.o: ../../../../../src/devices/machine/wd2010.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wd33c93.o: ../../../../../src/devices/machine/wd33c93.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wd7600.o: ../../../../../src/devices/machine/wd7600.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/x2212.o: ../../../../../src/devices/machine/x2212.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/x76f041.o: ../../../../../src/devices/machine/x76f041.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/x76f100.o: ../../../../../src/devices/machine/x76f100.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ym2148.o: ../../../../../src/devices/machine/ym2148.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80ctc.o: ../../../../../src/devices/machine/z80ctc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80dart.o: ../../../../../src/devices/machine/z80dart.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80sio.o: ../../../../../src/devices/machine/z80sio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80scc.o: ../../../../../src/devices/machine/z80scc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80dma.o: ../../../../../src/devices/machine/z80dma.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80pio.o: ../../../../../src/devices/machine/z80pio.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z80sti.o: ../../../../../src/devices/machine/z80sti.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/z8536.o: ../../../../../src/devices/machine/z8536.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pccard.o: ../../../../../src/devices/machine/pccard.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/i8255.o: ../../../../../src/devices/machine/i8255.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mb89363b.o: ../../../../../src/devices/machine/mb89363b.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ncr5380.o: ../../../../../src/devices/machine/ncr5380.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ncr5380n.o: ../../../../../src/devices/machine/ncr5380n.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/ncr5390.o: ../../../../../src/devices/machine/ncr5390.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mm58167.o: ../../../../../src/devices/machine/mm58167.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/dp8390.o: ../../../../../src/devices/machine/dp8390.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pc_lpt.o: ../../../../../src/devices/machine/pc_lpt.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pc_fdc.o: ../../../../../src/devices/machine/pc_fdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/mpu401.o: ../../../../../src/devices/machine/mpu401.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/at_keybc.o: ../../../../../src/devices/machine/at_keybc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/hdc92x4.o: ../../../../../src/devices/machine/hdc92x4.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/strata.o: ../../../../../src/devices/machine/strata.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/steppers.o: ../../../../../src/devices/machine/steppers.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/corvushd.o: ../../../../../src/devices/machine/corvushd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/wozfdc.o: ../../../../../src/devices/machine/wozfdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/diablo_hd.o: ../../../../../src/devices/machine/diablo_hd.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/netlist.o: ../../../../../src/devices/machine/netlist.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/nsc810.o: ../../../../../src/devices/machine/nsc810.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/vt82c496.o: ../../../../../src/devices/machine/vt82c496.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/machine/pdc.o: ../../../../../src/devices/machine/pdc.cpp
	@echo Compiling $(subst ../,,$<)...
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -MF $(@:%.o=%.d) -c "$<"

$(OBJDIR)/src/devices/cpu/arcompact/arcompact.o: ../../../../generated/emu/cpu/arcompact/arcompact.inc

$(OBJDIR)/src/devices/cpu/arcompact/arcompact_execute.o: ../../../../generated/emu/cpu/arcompact/arcompact.inc

$(OBJDIR)/src/devices/cpu/h8/h8.o: ../../../../generated/emu/cpu/h8/h8.inc

$(OBJDIR)/src/devices/cpu/h8/h8h.o: ../../../../generated/emu/cpu/h8/h8h.inc

$(OBJDIR)/src/devices/cpu/h8/h8s2000.o: ../../../../generated/emu/cpu/h8/h8s2000.inc

$(OBJDIR)/src/devices/cpu/h8/h8s2600.o: ../../../../generated/emu/cpu/h8/h8s2600.inc

$(OBJDIR)/src/devices/cpu/mcs96/mcs96.o: ../../../../generated/emu/cpu/mcs96/mcs96.inc

$(OBJDIR)/src/devices/cpu/mcs96/i8x9x.o: ../../../../generated/emu/cpu/mcs96/i8x9x.inc

$(OBJDIR)/src/devices/cpu/mcs96/i8xc196.o: ../../../../generated/emu/cpu/mcs96/i8xc196.inc

$(OBJDIR)/src/devices/cpu/m6502/deco16.o: ../../../../generated/emu/cpu/m6502/deco16.inc

$(OBJDIR)/src/devices/cpu/m6502/m4510.o: ../../../../generated/emu/cpu/m6502/m4510.inc

$(OBJDIR)/src/devices/cpu/m6502/m6502.o: ../../../../generated/emu/cpu/m6502/m6502.inc

$(OBJDIR)/src/devices/cpu/m6502/m65c02.o: ../../../../generated/emu/cpu/m6502/m65c02.inc

$(OBJDIR)/src/devices/cpu/m6502/m65ce02.o: ../../../../generated/emu/cpu/m6502/m65ce02.inc

$(OBJDIR)/src/devices/cpu/m6502/m6509.o: ../../../../generated/emu/cpu/m6502/m6509.inc

$(OBJDIR)/src/devices/cpu/m6502/m6510.o: ../../../../generated/emu/cpu/m6502/m6510.inc

$(OBJDIR)/src/devices/cpu/m6502/n2a03.o: ../../../../generated/emu/cpu/m6502/n2a03.inc

$(OBJDIR)/src/devices/cpu/m6502/r65c02.o: ../../../../generated/emu/cpu/m6502/r65c02.inc

$(OBJDIR)/src/devices/cpu/m6502/m740.o: ../../../../generated/emu/cpu/m6502/m740.inc

$(OBJDIR)/src/devices/cpu/m6809/m6809.o: ../../../../generated/emu/cpu/m6809/m6809.inc

$(OBJDIR)/src/devices/cpu/m6809/hd6309.o: ../../../../generated/emu/cpu/m6809/hd6309.inc

$(OBJDIR)/src/devices/cpu/m6809/konami.o: ../../../../generated/emu/cpu/m6809/konami.inc

$(OBJDIR)/src/devices/cpu/tms57002/tms57kdec.o: ../../../../generated/emu/cpu/tms57002/tms57002.inc

$(OBJDIR)/src/devices/cpu/tms57002/tms57002.o: ../../../../generated/emu/cpu/tms57002/tms57002.inc

../../../../generated/emu/cpu/arcompact/arcompact.inc: ../../../../../src/devices/cpu/arcompact/arcompact_make.py ../../../../../src/devices/cpu/arcompact/arcompact_make.py 
	$(SILENT) @echo Generating arcompact source .inc files...
	$(SILENT) python ../../../../../src/devices/cpu/arcompact/arcompact_make.py   $@

../../../../generated/emu/cpu/h8/h8.inc: ../../../../../src/devices/cpu/h8/h8.lst ../../../../../src/devices/cpu/h8/h8make.py 
	$(SILENT) @echo Generating H8-300 source file...
	$(SILENT) python ../../../../../src/devices/cpu/h8/h8make.py  $< o   $@

../../../../generated/emu/cpu/h8/h8h.inc: ../../../../../src/devices/cpu/h8/h8.lst ../../../../../src/devices/cpu/h8/h8make.py 
	$(SILENT) @echo Generating H8-300H source file...
	$(SILENT) python ../../../../../src/devices/cpu/h8/h8make.py  $< h   $@

../../../../generated/emu/cpu/h8/h8s2000.inc: ../../../../../src/devices/cpu/h8/h8.lst ../../../../../src/devices/cpu/h8/h8make.py 
	$(SILENT) @echo Generating H8S/2000 source file...
	$(SILENT) python ../../../../../src/devices/cpu/h8/h8make.py  $< s20 $@

../../../../generated/emu/cpu/h8/h8s2600.inc: ../../../../../src/devices/cpu/h8/h8.lst ../../../../../src/devices/cpu/h8/h8make.py 
	$(SILENT) @echo Generating H8S/2600 source file...
	$(SILENT) python ../../../../../src/devices/cpu/h8/h8make.py  $< s26 $@

../../../../generated/emu/cpu/mcs96/mcs96.inc: ../../../../../src/devices/cpu/mcs96/mcs96ops.lst ../../../../../src/devices/cpu/mcs96/mcs96make.py 
	$(SILENT) @echo Generating mcs96 source file...
	$(SILENT) python ../../../../../src/devices/cpu/mcs96/mcs96make.py  mcs96 $< $@

../../../../generated/emu/cpu/mcs96/i8x9x.inc: ../../../../../src/devices/cpu/mcs96/mcs96ops.lst ../../../../../src/devices/cpu/mcs96/mcs96make.py 
	$(SILENT) @echo Generating i8x9x source file...
	$(SILENT) python ../../../../../src/devices/cpu/mcs96/mcs96make.py  i8x9x $< $@

../../../../generated/emu/cpu/mcs96/i8xc196.inc: ../../../../../src/devices/cpu/mcs96/mcs96ops.lst ../../../../../src/devices/cpu/mcs96/mcs96make.py 
	$(SILENT) @echo Generating i8xc196 source file...
	$(SILENT) python ../../../../../src/devices/cpu/mcs96/mcs96make.py  i8xc196 $< $@

../../../../generated/emu/cpu/m6502/deco16.inc: ../../../../../src/devices/cpu/m6502/odeco16.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/ddeco16.lst 
	$(SILENT) @echo Generating deco16 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  deco16_device $< ../../../../../src/devices/cpu/m6502/ddeco16.lst  $@

../../../../generated/emu/cpu/m6502/m4510.inc: ../../../../../src/devices/cpu/m6502/om4510.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm4510.lst 
	$(SILENT) @echo Generating m4510 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m4510_device $< ../../../../../src/devices/cpu/m6502/dm4510.lst  $@

../../../../generated/emu/cpu/m6502/m6502.inc: ../../../../../src/devices/cpu/m6502/om6502.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm6502.lst 
	$(SILENT) @echo Generating m6502 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m6502_device $< ../../../../../src/devices/cpu/m6502/dm6502.lst  $@

../../../../generated/emu/cpu/m6502/m65c02.inc: ../../../../../src/devices/cpu/m6502/om65c02.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm65c02.lst 
	$(SILENT) @echo Generating m65c02 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m65c02_device $< ../../../../../src/devices/cpu/m6502/dm65c02.lst  $@

../../../../generated/emu/cpu/m6502/m65ce02.inc: ../../../../../src/devices/cpu/m6502/om65ce02.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm65ce02.lst 
	$(SILENT) @echo Generating m65ce02 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m65ce02_device $< ../../../../../src/devices/cpu/m6502/dm65ce02.lst  $@

../../../../generated/emu/cpu/m6502/m6509.inc: ../../../../../src/devices/cpu/m6502/om6509.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm6509.lst 
	$(SILENT) @echo Generating m6509 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m6509_device $< ../../../../../src/devices/cpu/m6502/dm6509.lst  $@

../../../../generated/emu/cpu/m6502/m6510.inc: ../../../../../src/devices/cpu/m6502/om6510.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm6510.lst 
	$(SILENT) @echo Generating m6510 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m6510_device $< ../../../../../src/devices/cpu/m6502/dm6510.lst  $@

../../../../generated/emu/cpu/m6502/n2a03.inc: ../../../../../src/devices/cpu/m6502/on2a03.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dn2a03.lst 
	$(SILENT) @echo Generating n2a03 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  n2a03_device $< ../../../../../src/devices/cpu/m6502/dn2a03.lst  $@

../../../../generated/emu/cpu/m6502/m740.inc: ../../../../../src/devices/cpu/m6502/om740.lst ../../../../../src/devices/cpu/m6502/m6502make.py ../../../../../src/devices/cpu/m6502/dm740.lst 
	$(SILENT) @echo Generating m740 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  m740_device $< ../../../../../src/devices/cpu/m6502/dm740.lst  $@

../../../../generated/emu/cpu/m6502/r65c02.inc: ../../../../../src/devices/cpu/m6502/dr65c02.lst ../../../../../src/devices/cpu/m6502/m6502make.py 
	$(SILENT) @echo Generating r65c02 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6502/m6502make.py  r65c02_device - $< $@

../../../../generated/emu/cpu/m6809/m6809.inc: ../../../../../src/devices/cpu/m6809/m6809.ops ../../../../../src/devices/cpu/m6809/m6809make.py ../../../../../src/devices/cpu/m6809/base6x09.ops 
	$(SILENT) @echo Generating m6809 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6809/m6809make.py  $< > $@

../../../../generated/emu/cpu/m6809/hd6309.inc: ../../../../../src/devices/cpu/m6809/hd6309.ops ../../../../../src/devices/cpu/m6809/m6809make.py ../../../../../src/devices/cpu/m6809/base6x09.ops 
	$(SILENT) @echo Generating hd6309 source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6809/m6809make.py  $< > $@

../../../../generated/emu/cpu/m6809/konami.inc: ../../../../../src/devices/cpu/m6809/konami.ops ../../../../../src/devices/cpu/m6809/m6809make.py ../../../../../src/devices/cpu/m6809/base6x09.ops 
	$(SILENT) @echo Generating konami source file...
	$(SILENT) python ../../../../../src/devices/cpu/m6809/m6809make.py  $< > $@

../../../../generated/emu/cpu/tms57002/tms57002.inc: ../../../../../src/devices/cpu/tms57002/tmsinstr.lst ../../../../../src/devices/cpu/tms57002/tmsmake.py 
	$(SILENT) @echo Generating TMS57002 source file...
	$(SILENT) python ../../../../../src/devices/cpu/tms57002/tmsmake.py  $< $@

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
endif
